Welcome SEIS

Welcome to ERP Integration Suite (EIS)

This is the introductory page of the online ERP Integration Suite (EIS) Documentation. This documentation includes information about some of the integrations. Some of the integrations are documented in MS Word DOC files that are available on the root of the CD.

See the ReleaseDocs.CHM for release note information about Oracle Imaging and Process Management and EIS.

If you have questions which are not addressed in these files contact your system administrator for technical support.

Printing Instructions

Individual topics in the Help can be printed. So can each of the headings with all linked sub topics or the entire document.

To begin, view the entire table of contents. Viewing the fully expanded table of contents, you may select the topics you wish to print.

To print the entire contents of the help file

  1. Select the very first heading in the Table of Contents.

  2. Click Print. The Print Topics dialog appears.

  3. Select the Print the selected topic radio button.

  4. Click OK. The Print dialog appears.

  5. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  6. Click Print.

To print one of the headings and all its sub topics

  1. Select the desired heading.

  2. Click on the topic frame on the right.

  3. Click Print. The Print Topics dialog appears.

  4. Select the Print the Selected Topic radio button.

  5. Click OK. The Print dialog appears.

  6. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  7. Click Print.

To Print One Topic

  1. Select the desired topic.

  2. Click Print. The Print Topics dialog appears.

  3. Select the Print the Selected Topic radio button.

  4. Click OK. The Print dialog appears.

  5. Click Print.


Home Page EIS.CHM

Oracle® Imaging and Process Management

ERP Integration Suite Help File
Version 7.7

May 2007

Oracle

Oracle Imaging and Process Management ERP Integration Suite Help File, Release 7.7

Copyright © 1998, 2007, Oracle. All rights reserved.

Primary Author: Amy Willard

The Programs (which include both the software and documentation) contain proprietary information; they are provided under a license agreement containing restrictions on use and disclosure and are also protected by copyright, patent, and other intellectual and industrial property laws. Reverse engineering, disassembly, or decompilation of the Programs, except to the extent required to obtain interoperability with other independently created software or as specified by law, is prohibited.

The information contained in this document is subject to change without notice. If you find any problems in the documentation, please report them to us in writing. This document is not warranted to be error-free. Except as may be expressly permitted in your license agreement for these Programs, no part of these Programs may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose.

If the Programs are delivered to the United States Government or anyone licensing or using the Programs on behalf of the United States Government, the following notice is applicable:

U.S. GOVERNMENT RIGHTS Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are "commercial computer software" or "commercial technical data" pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the Programs, including documentation and technical data, shall be subject to the licensing restrictions set forth in the applicable Oracle license agreement, and, to the extent applicable, the additional rights set forth in FAR 52.227-19, Commercial Computer Software--Restricted Rights (June 1987). Oracle USA, Inc., 500 Oracle Parkway, Redwood City, CA 94065.

The Programs are not intended for use in any nuclear, aviation, mass transit, medical, or other inherently dangerous applications. It shall be the licensee's responsibility to take all appropriate fail-safe, backup, redundancy and other measures to ensure the safe use of such applications if the Programs are used for such purposes, and we disclaim liability for any damages caused by such use of the Programs.

Oracle, JD Edwards, PeopleSoft, and Siebel are registered trademarks of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.

The Programs may provide links to Web sites and access to content, products, and services from third parties. Oracle is not responsible for the availability of, or any content provided on, third-party Web sites. You bear all risks associated with the use of such content. If you choose to purchase any products or services from a third party, the relationship is directly between you and the third party. Oracle is not responsible for: (a) the quality of third-party products or services; or (b) fulfilling any of the terms of the agreement with the third party, including delivery of products or services and warranty obligations related to purchased products or services. Oracle is not responsible for any loss or damage of any sort that you may incur from dealing with any third party.


EIS Overview

ERP Integration Suite (EIS)

The ERP Integration Suite (EIS) CD includes various tools that may be used to integrate Oracle I/PM with other applications. This help file contains information about some of the integrations.

For information about integrations that are not documented in this help file see the appropriate MS Word DOC file on the EIS CD.

Refer to the Release Notes topics of the ReleaseDocs.CHM, especially the various Version Control topics for information about supported database, internet software, network and operating system versions. See the ReleaseDocs.CHM for hardware minimums and recommendations as well as other limitations.

EIS Release Notes

This topic contains release note information regarding EIS.

For information about product name changes as a result of the Stellent acquisition by Oracle in December of 2006, see the ReleaseDocs.CHM help file.

For issues that may have been identified after the CD was created, please check for Release Notes that may accompany the CD.

For information about new functionality introduced with this release see the New Features section of this help file. For information about known issues see the Known Issues section of this help file.

Install Information

This version of EIS is not compatible with any FilePower programs or files.

Most of the Oracle Imaging and Process Management documentation is shipped in electronic form and is installed during the installation of the product or is in this CHM file or on the CD. Instructions for installing some of the Integration Tools (not included in this CHM) are located in the ERP Integration Suite folder of the CD in Word documents.

Application Link

Application Link is an ERP Integration Suite tool that manages the movement of data between adapters. The Application Link typically is used with line of business (LOB) applications. Please refer to the Release Notes (ReleaseDocs.CHM) on the Oracle I/PM CD for a complete list of system specifications and prerequisites. An Application Link Adapter is a module that performs actions on data.

EIS Configuration Tool

The help for this tool is scattered in the PeopleSoft, Oracle, and EnterpriseOne (previously referred to as PeopleSoft EnterpriseOne or JDEdwards OneWorld) docs as the user would need to use the tool.

MFC

MFC80.DLL should have version number 8.0.50727.762. If this is not correct, make sure that the DSMS server MasterFiles folder has been correctly updated during installation and that the correct version of VCREDIST_X86.exe was downloaded to the machine running the JDE integration. VCREDIST_86.exe is the Microsoft Visual C++ 2005 Redistributable Package (X86).

Testing Limitations

EIS has been tested with OneWorld™, versions B7.3.3.1 and B7.3.3.2 and Xe.

Software

Oracle I/PM Integration is supported with

  • PeopleSoft

  • GUI400

  • eCapture

  • Rumba Client

  • IBM Client Access

  • Oracle

  • Great Plains

  • Reflections

  • Host on Demand

  • Attachmate

  • AccuTerm

Integration with PureEdge InternetForms is not supported at this time.


Support Statement

EIS Support Statement

The following statement is intended for customers utilizing any ERP Integration Suite (EIS) products. This statement is provided to more clearly define our testing and support guidelines for all versions of ERP Integration components and all related ERP system versions.

As a general rule, ERP Integration Suite (EIS) products are tested and supported against major versions of the associated ERP systems. The EIS product will generally be tested and supported within 6 months of the Generally Available release of an ERP system. We will consider testing minor versions, service packs and patches of the ERP system upon customer request. Some minor versions, service packs, and patches may not be supported if the ERP vendor recommends additional upgrades or patches. EIS products will not be supported when integrated with 3rd party products no longer supported by the vendor. We will seek ERP vendor certification of the EIS product as required by market demand.

Please note that we do not test all combinations of Operating Systems, ERP Systems and ERP Databases. Do not assume that your configuration has been tested. We specifie support only for an ERP system version, not all components of an ERP environment. The EIS products are designed to use published ERP integration points that abstract differences between ERP system environments. It is the responsibility of the ERP vendor to ensure support of these integration points across their supported environments. Please refer to EIS documentation for each integration for supported ERP versions. Please refer to the ERP vendor’s documentation regarding supported environments including OS and Database.

If you are unable to find the specific detail for your Oracle release or ERP version on the CD please contact Customer Support for clarification.

Solutions that use EIS products may necessitate modifications to the ERP system during solution implementation. If the solution includes modifications to the ERP system, special consideration to these modifications should be given before applying any new release, service pack or patch to the ERP system. Oracle endeavors to develop ERP integration products that are resilient to updates of the ERP system, however ERP system architecture, technical limitations or ERP vendor upgrade policies may require parts or all of the integration to be uninstalled before the upgrade and re-applied after the upgrade. Oracle recommends careful review of the ERP upgrade documentation, EIS product documentation and any Oracle solution documentation to determine the possible impact to the solution during an ERP system upgrade.


Generic Installation

Generic Installation and Upgrade Procedures

This section describes the generic steps to install the ERP Integration Suite (EIS) or upgrade them from the Acorde Integration Tools 3.1 or 4.0.

This information applies to the EnterpriseOne, PeopleSoft Enterprise, Oracle Financials, Great Plains, HLLAPI, web based and other standard Windows integrations. After this install, please refer to the help file and other documentation for specific integration configurations.

Before you begin the installation or upgrade, you must have a functional Oracle Imaging and Process Management 7.7 system which includes a functioning installation of Web Server. Please refer to the Oracle I/PM documents for installation and upgrade instructions.

Install or Upgrade EIS

EIS must be installed on the DSMS server. To do this, follow the steps below:

  • Stop the DSMS Server.
  • IMPORTANT: If an older version of the Integration Tools was installed previously, please completely uninstall all components by using Add or Remove Programs.
  • Insert the EIS CD in the CD drive. The install program should automatically start. If not, please run Setup.exe located on the CD root directory.
  • Select Application Link and other integration options depending on your system and installation.
  • Follow the displayed instructions to complete the installation.

If the system being integrated with is PeopleSoft 7.5, manually copy the files from the \PeopleSoft Files\7.5 Integration Sample\Masterfiles directory on the EIS CD to the DSMS/MasterFiles directory. Refer to the PeopleCode.txt file for example code.

Update the Imaging System with the DSMS Update files

Update the DSMS server by running GenCfg.exe, select the DSMS tab, select Update Install Directory on exit and click OK.

Start the DSMS server.

If Security Server, Process Broker and Information Broker are not on the same machine as DSMS, stop and restart them respectively by running IBPMStartUp /diag /svc from a command line.

Update Client

After installing Oracle I/PM and upgrading the servers, run SEISStartUp on the client.

Update the Web Services with the Web Server Updates

Follow the regular Web installation or upgrade instructions, making sure Web Server is running and fully functional.

A number of files must be added to C:\Program Files\Stellent\IBPM. The location of the files on the EIS download indicates the target folders where they must be copied. Copy files from the download Erp Integration Suite\ Program Files\Stellent\IBPM to the installation directory on the Web Server, \Program Files\Stellent\IBPM.

IMPORTANT: These files will have the Read Only attribute set when they are copied from the CD. Please make sure to clear this attribute so the following steps can modify the files. Also make sure the IUSR <Computer Name> and IWAM <Computer Name> accounts, where the <Computer Name> is the Web Server machine name, have full access to these files.

Enable SOAP on the Web Server

Login to the Web client as an administrator and select the Administration\SOAP Settings menu. Perform the following steps on the SOAP Settings page.

Make sure that the URL to connect to the Web client does not use localhost. The machine name or Internet Protocol (IP) Address must be used. Using localhost will set the server name to "localhost" in the SOAP WSDL files. If this happens, other clients will not be able to communicate with the server properly.

  • Click the Enable SOAP check box.
  • Enter the webserver machine name for WebServerName.
  • Enter a temporary directory name for TicketStorageDir.
  • Enter the full path for IBPMWebServerURL in the following format, http://servername/IBPMWeb/default.asp?

Make sure there are no trailing spaces after the IBPMWebServerURL. Including a trailing space will cause an invalid URL to be constructed during execution.

  • Click the Save button at the top of the page.

IMPORTANT: After these steps are finished please also make sure the IUSR_<Computer Name> and IWAM_<Computer Name> accounts, where the <Computer Name> is the Web server machine name, have full access to the temporary directory specified above. You may need to specifically add these two users and give them rights.

Add EIS Support to the Web Server

On the Web Server, run SEISStartUp.exe, which was created by the EIS Install on the DSMS Server. This will download the required files to the Web Server. When the Login dialog is displayed, click Cancel.

Update LOB Tables in the Imaging Database

The following step should be followed after performing the regular upgrade to the new EIS components when upgrading from Acorde 4.0 or earlier. Please locate the appropriate script on the EIS CD in the "Upgrade Scripts\oracle" or "Upgrade Scripts\SQL" folder:

Upgrade From 4x.sql
Upgrade From 7x.sql

Please choose the script carefully based on the database type (Oracle or SQL Server) and version of the previous installation of IBPM.

This script must be run against the Imaging (previously Context) database. The scripts may be executed in Microsoft SQL Analyzer or Oracle SQL Plus, depending on which product you use as your Imaging database. This will replace all occurrences of Acorde with IBPM in the stock LOB adapters in the LOBSourceTypes table as well as changing the string AcordeWebServer to IBPMWebServer in the LOBFields table.

Capture

To use Capture, contact Captovation directly. This product is not bundled as an option with Oracle Imaging and Process Management.


SEIS Configuration Tool

EIS Configuration Tool

The ERP Integration Suite (EIS) includes a client tool that is used to configure the Web integrations with ERP systems, including Oracle Financials, PeopleSoft, and JD Edwards EnterpriseOne.

Terms

The follow diagram shows terms for objects that are part of an EIS Configuration and their relationship to the other configuration objects.

Figure 1: EIS Components and Relationships.

The following terms are used in this document and must be understood to properly use the EIS Configuration tool.

  • Integration Solution
    The solution is the collection of all integrations that have been configured for use in a particular LOB session as well as how the integration functionality is invoked. A user logs in to a single Integration Solution.
  • Integration
    The Integration is an Imaging Search or an Process Automation.
  • Process Automation
    The Process Automation is a set of functionality that workflow enables a particular screen/form in the LOB system.
  • Logical Update
    Logical Update is a Process Update and/or an Imaging Update and/or a Complete configuration.

Note: Many screenshots in this document are based on Oracle Financials. Unless the settings for other ERP systems differ dramatically, there will be no additional screenshots for them individually.

EIS Configuration Tool Main User Interface

The following figure shows the EIS Configuration Tool main interface.

Figure 2: EIS Configuration Tool

There are three concepts at the top-level of the EIS Configuration Tool:

  • System Configuration

  • Integration Configuration

  • Integration Solution Configuration

Each of these concepts is discussed in the following section.

System Configuration

Selecting the desired system in the System drop-down box and selecting the Configure... button accesses the System Configuration dialog.

All the ERP systems have “Login Frequency” setting, in addition to their own specific settings.

The Login Frequency setting means:

· Always show login dialog - The Oracle I/PM login dialog will be displayed in all cases before making a connection to IBPM (even after an Oracle I/PM session timeout) from the ERP system.

· Show login dialog initially, auto-login on timeout - The IBPMOracle I/PM login dialog is shown once per ERP client session, but login will occur automatically on subsequent needed connections (i.e. if the Oracle I/PM session times out during the ERP client session).

· Auto-login - The user will log into Oracle I/PM only one time. On each subsequent ERP client session, the user will be logged in automatically without displaying a login dialog. If Auto-login is selected, the Oracle I/PM key will be stored in the ERP system for future use. With the Oracle Financial system, it is stored in the database, and on a JDE EnterpriseOne system, it is stored as a temp file, therefore no additional settings are required for these two. With a PeopleSoft system, however, a path must be specified by the user to store such information. This path should be a valid, secure directory on the PeopleSoft Application server. The PeopleSoft Application Server will use this directory to store Oracle I/PM Alias Keys that facilitate silent login.

The PeopleSoft System configuration dialog is shown below.

.

Figure 3: PeopleSoft System Configuration.

Enable User Logging - When Enable User Logging is selected, a valid directory on the PeopleSoft Application Server must be entered in the Path for the Oracle I/PM User Log Files. User log files can grow very large, so this setting should only be used for troubleshooting purposes and turned off afterwards.

When user logging is enabled, each Oracle I/PM Integration user will have a user log in the specified directory on the PeopleSoft Application Server. The user log will have the format: AIT-User.Log, where User is the PeopleSoft User ID being used. Here is a sample log entry and a description of its contents.

Oct 14, 2003 4:01 PM [VCHR_QUICK_PNL, VCHR_HEADER_QV] GetIntegrationTypeByRecField: Looking for Search with RecField: ACORDE_INT_1

Each log entry will begin with the date and time. Then, in brackets, will be the current PeopleSoft component and page that is executing. Next, a function or program name will appear. Finally, there will be a message specific to that particular log entry.

The Oracle System configuration dialog is shown below:

Figure 3: PeopleSoft System Configuration.

The Explicit Login Key must be set to allow the user of the Oracle client to login to the Oracle I/PM system and activate the Integration Solution. The login key is selectable from the list as a value of Key-F1 through Key-F10. This key value should be unique and not used when setting up the keys for the integration solution.

The EnterpriseOne system configuration dialog is shown below:

Figure 4: PeopleSoft EnterpriseOne (JDE) System Configuration.

The Database Connection Information section defines the data for the ODBC data source that is set up on the Logic Server to access the EnterpriseOne database table where the Oracle I/PM custom tables exist.

If your system is installed to use Microsoft SQL Server and the connection type is ODBC, the DSN should already be created on Enterprise Server and the DSN Name will be “Business Data – Test” if the tables are in the JDE_DEVELOPMENT database on the Enterprise Server. The DB Username will need to be the table owner for these tables, usually “TESTDTA”. See your EnterpriseOne administrator for the DB Password for this user.

If your system is using any other database (Oracle, DB2, etc), you will need to manually create the DSN on your Enterprise Server with the name of your choice. Please make sure the DSN name here is the same as the one you created.

Integrations

The Integrations tab on the EIS Configuration Tool is shown below.

Figure 5: Integrations tab of EIS Configuration Tool.

This dialog displays a list of the currently configured Integrations by Name, Type and Container Name. The user may add a new Integration, remove an existing Integration or view the properties of an existing Integration. The Container name has different meanings in different ERP system.

  • In Oracle Financials, it is the Form name, for example APXINWKB. See the section How to Get the Oracle Form Name.
  • In PeopleSoft, it is the Component name, for example AP_VCHR_INQ, or VCHR_QUICK_PNL. See the section How to get PeopleSoft Record Fields from a PeopleSoft Page..
  • In JDE, it is the Form name, for example, W0411A, or W0411G.

To add a new Integration, select the Add button. The following dialog is displayed.

Figure 6: New Integration Name and Type.

Enter an Integration Name, select either Search or Process Automation and select the OK button. The Integration Name must be unique. The two integration types are discussed below.

Search Integration Type

The following dialog shows the Search Integration dialog:

Figure 7: Search Integration Dialog.

Enter the name of the Container (see the previous section for correct Container names), where this integration will be available.

To configure the search, select the desired ERP template from the left drop-down box and the desired Imaging Search (i.e. Saved Search) from the right drop-down box. A list of fields for the selected template and Saved Search will be displayed.

To map a field, drag and drop a field from the left list box on top of a field in the right list box, or select a field in the left list box and right list box and select the Map button. When items are selected from the upper list boxes for mapping and placed in the bottom mapping list box, those items will be removed from the upper list boxes.

To remove a mapping, select the mapping and select the Remove Mapping button. When a mapping is removed the respective fields are placed back in the upper list boxes.

Selecting the OK button saves the Integration.

Make sure that the users of this Integration have security access to any of the Saved Searches that are referenced.

Process Automation Integration Type

The Process Automation integration workflow enables a specified screen in the ERP system so the user can work with IBPM packages while entering the data in the ERP system. The main Process Automation dialog is shown below:

Figure 8: Process Automation Integration Design.

Enter the name of the Container (see the previous section for correct Container names), where this integration will be available.

The following settings can be configured for a Process Automation integration:

  • Skip Configuration - This defines what occurs when the user initiates an explicit Skip command. The skip can be configured to leave the current package locked, unlock the current package, or display a prompt asking the user whether they would like to leave the package locked or unlock the package.
  • Force Journal Entry on Skip – If this is checked, the user will be forced to provide a journal entry that will be placed in the package that is being skipped.
  • Logical Updates – This will be discussed in the Logical Updates section below.
  • Prompt Profile Mappings – This is discussed in the Prompted Profiles section below.
Logical Updates

A Process Automation configuration may consist of 1 to N logical updates. A logical update is a Process Update configuration and/or an Imaging Update configuration and/or a Complete configuration. The main Logical Update dialog is shown below.

Figure 9: Logical Update.

To configure a Logical update, check the checkbox next to the functionality to be configured and then select the ellipsis [...] button next to that option.

The Smart Update check box will only be available if both the Process Update and Imaging Update check boxes are selected. If the Smart Update is checked, when this logical update is executed in ERP system, only one of the updates will occur based on whether there is a package open at the time the logical update is executed. If there is an open package, then only the Process Update will occur. If there is not an open package, only the Imaging Update will occur.

If the Complete check box is selected, this will indicate in the run-time environment that the current IBPM package should be completed when this logical update is executed.

The individual logical update types are described in the following sections.

Process Update

The Process Update dialog is shown below:

Figure 10: Process Update Dialog.

To configure the Process Update, select the desired Template from the left combo box and the desired Package Template from the right combo box. A list of fields for the selected templates will be displayed.

Creating or removing mappings between fields is done in the same fashion as Search Integration.

NOTE: Please ensure the user has sufficient rights to perform a Process Update on all packages that may be selected from the ERP system.

Imaging Update

The Imaging Update dialog is shown below.

Figure 11: Imaging Update Dialog.

An Imaging Update consists of two operations. First, specify the search criteria to retrieve the desired document. Second, specify which fields to update.

To configure the Imaging Update, select the desired Template from the left drop-down box and the desired Imaging Application from the right drop-down box. A list of fields for the selected templates will be displayed in both the Search and Update field lists.

Creating or removing mappings between fields is done in the same fashion as Search Integration.

Complete

The Complete portion of a logical update defines the behavior that occurs during a Complete operation. The Complete dialog is shown below.

Figure 12: Complete Dialog.

The following settings can be configured for a Complete logical update.

  • Always Prompt Complete To - The Complete To dialog will not be shown if there is only one decision route from the current queue. The Complete To dialog is always displayed if there is more than one decision route and there is no default decision.
    Check this option to always show the Complete To dialog even if there is a default decision.

  • Force Comments on Complete - If this option is checked the user is forced to enter a comment before the package is completed.

  • When Auto Open Next Package is selected, the ERP system will automatically fetch next package from the user's working queue, after current package is completed.

  • Complete With - The Complete With configuration sets up a set of package fields that can (or must) be filled out by the user before completing the package. To configure a Complete With configuration, select a Package Template and the list of package template fields will be displayed in the left list box. One or more events must also be selected. The Complete With configuration is only in effect for packages of the selected package template type and when the package is currently in the specified event(s). The desired fields can then be moved from the Available list to the Selected list. If the Req. box next to a field is checked, that field is required to be populated before completing the current package

Prompt Profile Mappings

The Prompt Profile Mappings allows the user to configure how fields from ERP system map to an IBPM prompted profile. The Prompt Profile Mapping dialog is shown below.

Figure 13: Prompted Profile Mapping Dialog.

To configure a Prompt Profile Mapping, select the template and the Prompted Profile. Then select a field in each list and click the Map button. In ERP system, when a Prompted Profile is selected from the Select Work screen, the only option will be Open. If more than one package is returned from the IBPM system for the mapped profile, the user must select only one package to be worked on.

NOTE: Creating multiple prompts in the Profile Manager may create an unexpected situation. One such case would be if a prompt is defined for a string value and another for a number and both are set as required and or use a distinct list. If the EIS Configuration Tool is used in the prompted profiles section and a prompt is mapped for a string and the numeric is not mapped, the system will treat it as a mapped prompt and will ignore any other user prompts created.

Integration Solution

An Integration Solution is a set of 1 to N Integrations with associated configuration information. To add a solution, from the EIS Configuration Tool, select the Integration Solutions tab and click the Add button. In the Solution Name dialog enter a valid descriptive name. The Integration Solution Designer dialog will be shown as below.

For an Oracle Financials system

Figure 14: EIS Solution Designer for Oracle Financials System.

To configure an Integration Solution, check the Integrations that you want to be a part of the Solution. The Assign HotKeys button can then be selected to configure how the associated integration functionality is to be invoked from Oracle Applications.

The Oracle Assign Keys dialog is shown below:

Figure 15: Oracle Assign Keys

All solutions will have an Explicit Logout command.

For each Search Integration that was selected as part of this solution there will be a command listed with the name of that search integration. For each Process Automation that is selected as part of this solution there will be a set of standard commands that can be assigned invocation methods:

  • Select Work (Open Work List)

  • Open Package Action

  • Skip package

  • Comments (Audit)

In addition, there will be one command for each logical update that was configured as part of this Process Automation integration.

A command can be assigned invocation functionality by double-clicking on the command in the list or selecting the item in the list and pressing the Assign Key button. The dialog for assigning Oracle invocation functionality is shown below:

Figure 16: Oracle Assign Single Key

The command can be assigned to either execute off an Explicit action such as a Hot Key or be triggered when a record is updated in Oracle Applications.

The Explicit Action configuration is as follows:

  • HotKey – A key combination that can be pressed to activate the command.

  • Menu – This command will be displayed in an Oracle menu with the text specified in the Menu Text box.

  • Menu Text – This is the text that will be displayed in the Menu.

  • Zoom – This command will be displayed in the Zoom menu of the Oracle form.

The Invoke on Update configuration is as follows:

  • Data Block Event – This is required to let the Oracle know the name of the event that this command should execute on. In most cases the name of this event will be POST-INSERT, but for flexibility it can be set to any Oracle data block event.

For a PeopleSoft system

Figure 17: EIS Solution Designer for PeopleSoft System.

Clicking the Configure Solution button will bring up the following dialog:

Figure 18: PeopleSoft Integration Command Configuration Dialog.

For each Search Integration selected as part of this solution, there is a command listed with the name of that search integration. For each Process Automation that is selected as part of this solution, there is a set of standard commands (see the List of Standard Commands). In addition, there is one command for each logical update that was configured as part of this Process Automation integration. These labels will appear as hyperlinks on the stock IBPM Integration pages explained later in this document.

IMPORTANT: The command ACORDE_INT_20 is reserved for "Logout" function.

A command may be assigned a label by double-clicking on the command in the list or selecting the item in the list and selecting the Configure button.

In addition to setting command labels, this dialog also displays the associated PeopleSoft Record Field for commands that are eligible to be called from custom buttons within PeopleSoft. This functionality is explained in more detail in PeopleSoft Section.

The PeopleSoft Command Configuration dialog is shown below.

Figure 19: PeopleSoft Command Configuration Dialog.

For all commands except logical update, the PeopleSoft Command Configuration will appear as it does above. This dialog allows a command label to be entered for the command.

PeopleSoft Command Configuration for logical updates contains an additional checkbox and will look like the dialog below.

Figure 20: PeopleSoft Command Configuration for logical updates.

The Auto-execute during the Save command check box allows logical updates to be bound to the save command on the PeopleSoft Component in which they exist.

For a JDE EnterpriseOne (also known as PeopleSoft EnterpriseOne) system

Figure 21: EIS Solution Designer for JDE EnterpriseOne System.

To configure an Integration Solution, check the Integrations that you want to be a part of the Solution.

For each Search Integration that was selected as part of this solution there will be a command listed with the name of that search integration. For each Process Automation that is selected as part of this solution, there is a set of standard commands (see the List of Standard Commands).

In addition there is one command for each logical update that was configured as part of this Process Automation integration.

Click the Command Report button to see the list of available command. This list can be copied to the clipboard and printed as a guide when implementing the integration points within the EnterpriseOne forms.

Figure 22: Command Report for JDE EnterpriseOne System.

IMPORTANT: After a solution is created, you must assign security rights to use it from PeopleSoft. This is done in the Windows client Security tool, on the EIS Solutions tab.

IBPM Security

The following screen shows the IBPM Security tool with the EIS Solutions tab selected. Before a solution can be used in ERP system, the appropriate rights to that solution must be granted. To make a solution available to a particular Windows User Group, select the group and then move the desired solutions from the Available Solutions list to the Selected Solutions list.

Figure 24: PeopleSoft Command Configuration for logical updates.

NOTE: If the options on the EIS Solutions tab in the Security tool are disabled, make sure that you have a license with at least one ERP system enabled.

See the Copyright topic for copyright information.


EIS Map Tool

Introduction

Application Link is an ERP Integration Suite tool that manages the movement of data between adapters. The Application Link typically is used with line of business (LOB) applications. Please refer to the Release Notes (ReleaseDocs.CHM) on the Oracle I/PM CD for a complete list of system specifications and prerequisites. An Application Link Adapter is a module that performs actions on data. See the Application Link Map section for more detail on Adapters.

Topics included on this page include

  • Overview
  • Assumptions
  • Installing Application Link
  • Application Link Map
  • Creating an Application Link Map
  • Creating a Map Group
  • Service Templates
  • Command Definition
  • Use of Application Link Adapters
  • Client Searching

Overview

Application Link is designed to use Application Link Adapters that retrieve, modify, or deliver data. Application Link uses a map to determine the data flow. The map is created using the EIS Map Tool, which is an Administrative tool in the Oracle I/PM Windows Client.

There are two ways to launch Application Link. It may be launched by running a command line executable, LOBLink.EXE. This command line can be further defined by a series of command line parameters.

Application Link may also be launched by creating and calling an OLE Object. If the line of business application supports OLE automation, the second method, using an OLE object, is better because more error and response checking can be done by calling an OLE method rather than an executable.

Assumptions

Application Link program installation requires awareness of command line executables and search characteristics. Although Application Link can be activated directly from the desktop command line, it is likely that a command button or menu will be used to activate the program. An understanding of form controls and their creation for the specific line of business application in use is necessary for complete installation.

Installing Application Link

The Application Link installation is performed as part of the ERP Integration Suite (EIS) Installation. Run the EIS Installation Wizard on the DSMS machine to complete the installation.

The Installation Wizard applies files to the MasterFiles directory to take advantage of the automatic software distribution capabilities in Oracle I/PM. Sample data (images, Filer input files, database, etc.) are also available.

Application Link Maps

Application Link uses the Application Link Map to determine how to handle retrieval, modification and delivery of data. The Application Link Map is divided into stages. Each stage has a specific Application Link Adapter associated with it. Each Application Link Adapter performs an action with the data.

Available Adapters:

  • JDE OneWorld Data – Retrieves data from the JDE OneWorld client.
  • JDE OneWorld Update – Passes data into the JDE OneWorld client.
  • GUI400 Data – Retrieves Data from the GUI/400 panel.
  • GUI400 Update – Passes data into the GUI/400 panel.
  • Imaging Update – Updates an index within Imaging.
  • Client Search – Executes a Saved Search within the Oracle I/PM Client.
  • Client Process Data – Retrieves package data of a package loaded in the Package Viewer Tool in the Oracle I/PM Client
  • Client Process Update – Updates the package data of a package loaded in the Package Viewer or Package Bar Tool in the Oracle I/PM Client. To avoid unexpected behavior, only have one of these tools (Package Viewer or Package Bar Tool) in the gallery at any time.
  • Process Data – Retrieves package data of a specified package.
  • eCapture Update – Passes data to the eCapture client.
  • LOB Web Integration - Executes a Saved Search within the Web Client.

Each Application Link Adapter specifies the input and output data that it is compatible with. Each stage of a map has an input pipe and an output pipe for data. Each input item for an adapter can be mapped to an item in the input pipe for the stage. Also, each output item for an adapter can be carried over into the output pipe of the stage. The output pipe for a stage is also the input pipe of the next stage of the map.

In the diagram above, the data is passed into Adapter1. Adapter1 completes its action on the data and makes 3 output items available. The items in the output pipe are added to the items that are in the data pipe. The input for Adapter2 is pulled from the data pipe and sent to Adapter2. Adapter2 completes its action on the data and makes 1 output item available. The data pipe is now returned to the calling application.

Creating an Application Link Map

After Installing EIS, the Administrator may add the EIS Map Tool to a gallery.

When the EIS Map Tool is opened, four tabs will display, Map Groups, Maps, Command Definitions and Service Templates. Select the Maps tab to create the integration maps. To create a new map, click the New button.

Select the adapter to act on the data. To select the adapter, use the drop-down box labeled Service Type. For this example select Client Search.

Select a Saved Search that the Client Search adapter is to execute. Select this from the drop-down box labeled Service Template. All of the Saved Search prompts will be displayed in the Service Input column. This column is the input for the adapter. The Service Output column is the output from the adapter. When the adapter will execute a Saved Search, there is no output from the adapter.

By default all of the input fields are displayed in the input pipe and mapped to the appropriate input. Also, all of the data in the input pipe is carried over to the output pipe. If the names in the input pipe are incorrect, right click to select Insert Pipe Item and enter the desired name. Un-map the Adapter Input item from the old input pipe item and map the new input item to the appropriate adapter input item.

Since this data will not be used in any future map stages, the data may be dropped from the output pipe. To do this, right click on the grid and select Drop All. This will drop all of the data from the output pipe.

Save this map.

  • Click the Save button and a Map Name dialog will appear.
  • Enter a name for the map.
  • Search Map is entered in the example.

Click the OK button. The search will appear in the Maps list on the left side of the tool and the map may now be executed.

Make sure that you are in a gallery that has the Search tools in the Client. From the command line navigate to the directory that LOBLink.exe is installed. Enter

Loblink.exe –u=UserName -m=Search Map –Field1=ABC –Field2=123

Remember that the Map Name, UserName and Input Pipe fields will be different from this example. The field names are case sensitive.

When the map is executed, if this is the first time Application Link is executed, a login dialog will display. Enter the Oracle I/PM login and password. You can also choose for Application Link to remember the password and silently log in next time. If the Oracle I/PM Client is not executing it will be launched and the Saved Search will be executed with the data entered in the command line.

This was an example of a single stage map. To do more with the data after running the search, press the green arrow that points to the right to move to the next stage. From here we can select another adapter and do more with our data.

Remember that the data in the output pipe of a stage is the data that is in the input pipe of the next stage. For efficiency, only have data in the output pipe that is to be used in the next stages. If data is present going across stages that is not being used, the transaction will take longer than is needed.

Creating a Map Group

If multiple maps are to be grouped together add them to a Map Group. Select the Map Groups tab on the EIS Map Tool. If the maps are not present in the Maps list, click the Refresh button to refresh the list.

Create a new group.

  • Click the New button.
  • A Map Group Name dialog appears.
  • Enter the name of the map group to be created, for example Search Group.

Assign the maps to be included in this group.

  • Select the map.
  • Click the green arrow that points to the right or double click the map name.
  • The map will appear in the Assigned Maps list.
  • Click the Save button when all maps have been assigned.

Now try the map group. From the command line navigate to the directory that Loblink.exe is installed. Enter

Loblink.exe –u=UserName -g=Search Group –Field1=ABC –Field2=123

Remember that your Group Name, UserName and Input Pipe fields will be different from this example. A dialog appears allowing the selection of the map to be executed. The maps displayed in the dialog are the maps that were assigned to the map group that were included in the command line. In our example we had 2 maps that took the same input (Field1 and Field2). If there are maps in the map group that take different input, be sure to include tags for each possibility.

For example, if a map uses Field1 and Field2 as input and another map uses FieldA and FieldB as input and they are grouped in the same map group, enter the following as the command line.

Loblink.exe –u=UserName -g=Search Group –Field1=ABC –Field2=123 –FieldA=ABC –FieldB=123

If the map does not have the field mapped it will ignore the data in the input pipe, so this command line will pass the proper parameters to any map chosen from the map group.

Service Templates

Each Application Link Service publishes a set of Service Templates that define the data to be processed by the Service. It is these Service Templates that determine the data that can be mapped in the EIS Map tool. This allows Services to be created that are capable of processing a type of data, and defer the specifics of the data to the Service Template.

For example, the Client Search Service is capable of executing Saved Searches through the Client. The data used to execute the Saved Search is the set of promptable search fields that make up the Saved Search definition. The Client Search Service publishes a set of Service Templates, where each Service Template represents a Saved Search definition.

Each Client Search Service Template defines its data as the promptable search fields derived from the associated Named Search definition. Likewise the Process Services process data associated with Process Package Template fields and publish Service Templates associated with the available Process Package Templates.

Certain Services, like the two described above, publish their Service Templates based on system configuration information. Other Services require their Service Templates to be defined more directly. Typically these Services are those that interact with the ERP or LOB application client, and their Service Templates describe data contained within a client screen. For these types of Services, a Business Analyst or System Administrator must define the contents of the Service Template.

The Application Link Service Templates tab within the EIS Map tool provides the ability to create user defined Service Templates. At this time, only the Great Plains integration supports user defined Service Template administration through this tool. The J.D. Edwards World and HLLAPI integration Service Templates are administered using the HLLAPI Screen Definition Tool. Please refer to the "HLLAPI Screen Definition Tool – Users Guide" document for detailed instructions on creating these Service Templates.

The Service Templates tab within the EIS Map tool provides the ability to create and edit Service Templates for a given Application Link System. This tab includes a drop-down field to select the System name and three buttons for Add, Properties and Remove.

The System combo box is populated with only the systems that are properly licensed and capable of supporting user defined Service Templates. Only the Great Plains integration supports user defined Service Template administration through this tool.

Service Templates for Great Plains

The figure below shows the Great Plains Template Editor dialog for the Great Plains integration.

The Great Plains Service Template defines the data associated with a Great Plains window. Using Great Plains terminology, each piece of data is uniquely identified by a Form, Window and Field name. This editor captures the definitions required to describe the data used by the Service Template. The administrator will need to locate the Great Plains Technical Form name, Technical Window name and Technical Field name for each piece of data required for the Template definition. These names can be located either in the Great Plains documentation or using the Great Plains Modifier tool.

The easiest way to identify these names is to navigate to the desired window in the Great Plains client and use the Great Plains Modifier tool. Please refer to the Great Plains documentation for a complete discussion of this tool. The Tools/Customize/Modify Current Window menu item will load the Modifier tool with the active Form. Selecting the Layout/Show Field Names menu item will display the available fields.

The following is a description of the Template Editor fields:

Template Name – The Template Name field allows the administrator to assign a unique name to identify the Service Template name. This name will be used in both the Maps and Command Definitions tabs of the EIS Map tool.

Technical Form Name – The Technical Form Name field must be assigned the Great Plains Technical Form name associated with the form described by this Service Template. This value must exactly match the Great Plains Technical Form name.

Template Data – The Template Data list contains a list of each piece of data defined by the Service Template. Edit the data within this list using the controls immediately below the list. Selecting a row within the Template Data list will place the appropriate values into the Technical Window Name, Technical Field Name and Service Tag fields.

Technical Window Name – The Technical Window Name field must be assigned the Great Plains Technical Window name associated with the window containing the data to be defined. This value must exactly match the Great Plains Technical Window name.

Technical Field Name – The Technical Field Name field must be assigned the Great Plains Technical Field name associated with the field containing the data to be defined. This value must exactly match the Great Plains Technical Field name.

Service Tag – The Service Tag field should be assigned the name of the Service Input or Service Output tag that will be shown in the Map definition list of the EIS Map tool Maps tab. This tag will be displayed in the Service Input column for the Great Plains Update Service and the Service Output column for the Great Plains Data Service.

Add – The Add button adds values from the Technical Window Name, Technical Field Name and Service Tag fields to the Template Data list.

Remove - The Remove button removes the selected data from the Template Data list.

Save – The Save button saves the Service Template definition. If the template name already exists, the administrator will be prompted to overwrite the exiting Template definition. The Template Name field can be changed to save the Template under a different name.

Close – The Close button closes the Template Editor. If the Template definition has changed, the administrator will be prompted to save the definition.

The typical steps required in defining a Great Plains Service Template are as follows:

  1. Navigate to the Service Templates tab within the EIS Map tool.
  2. Select Great Plains from the System combo box.
  3. Click the Add button.
  4. Enter a name in the Template Name field.
  5. Enter the required Great Plains Technical Form Name in the Technical Form Name field.
  6. Enter the required Great Plains Technical Window Name in the Technical Window Name field.
  7. Enter the required Great Plains Technical Field Name in the Technical Field Name field.
  8. Enter the desired Service Tag Name in the Service Tag field
  9. Click the Add button to add the data definition to the Template definition.
  10. Repeat steps 6 – 9 for each piece of data required in the Template definition.
  11. Click the Save button to save the Template definition.
  12. Click the Close button to close the Template Editor.

Command Definitions

Application Link Command Definitions provide the ability to configure the run-time invocation of certain Application Link Maps. This functionality is available for JD Edwards World, HLLAPI terminal emulator and Great Plains integrations.

  • Great Plains uses these Command Definitions to dynamically build Oracle I/PM integration points (commands) in the Great Plains system at run-time.
  • JD Edwards World and HLLAPI systems take advantage of this functionality through the Oracle I/PM Application Link Application Bar, which runs independently from the line of business system as an Oracle I/PM Windows client tool.

The following figure shows the Command Definitions tab of the EIS Map Tool. This tab provides the ability to create and order commands for a given Application Link system and template.

The System combo box is populated with only the systems that are properly licensed and capable of supporting command definitions. The HLLAPI system is the appropriate selection for JD Edwards World integrations as well as other HLLAPI system integrations. Great Plains may also appear in this list.

The Service Template combo box lists the templates for the selected line of business system that has one or more Maps defined for them. Once a System and Service Template have been selected, the Add… button may be clicked to create a new Command Definition for this System Service Template.

Command Definitions for use by the Application Link Application Bar (JD Edwards World and HLLAPI systems)

Selecting the Add button causes a dialog to be displayed to allow a Button Definition to be entered.

JD Edwards World and HLLAPI based systems use the Application Link Application Bar to execut Command Definitions at run-time. The Application Bar contains a toolbar for each Service Template that has Command Definitions defined. Inside each toolbar is a button for each Command Definition for which the user has been assigned security rights to the underlying Map (or group of maps in the case of a Map Group). The Application Link Application Bar also supports button labels, tool tips, icons, and associated hot-keys. The Add Button Definition dialog for JD Edwards World and HLLAPI based systems provides functionality to define a button. The following steps are required to define a button.

  • Select a Map Group
  • Enter a Button Label
  • Enter the Tool Tip to be associated with the button.
  • Enter a System Modifier Key and the specific key to be used as a hot key.
  • Select a button icon
  • Click OK
  1. Assign a Map/Map Group to the Command Definition. This Map or Map Group will be executed when the command is selected at run-time. If a Map Group is selected, and the user has security rights to all of the Maps within the Map Group, execution of this command will result in a dialog box appearing in which the user must select which Map to execute. All the Maps in the Map Group must reference the specified Service Template to appear in this list.
  2. Assign a button label to the Application Bar button. This label may be shown or hidden by the user by using the right-click Show Text option on the Application Bar.
  3. Assign a tool tip to the Application Bar button. This tool tip appears when the user rests the mouse over the Application Bar button.
  4. Assign a hot key to the Application Bar button. The hot key consists of two parts, the system modifier key and the hot key. The system modifier is optional and, if used, may be set to Alt, Ctrl or Shift. If it is not to be used, it should be set to None. The hot key is the key which, when pressed in combination with the system modifier key, will have the same effect as clicking the Application Bar button. Currently for JD Edwards World and HLLAPI based systems, the hot key may be any of the 12 function keys (F1 through F12).
  5. Assign an icon to the Application Bar button. This icon will appear in combination with the label on the Application Bar button. The icons have suggested uses in their tool tips. These suggested uses may be viewed by resting the mouse over the icon. These tool tips are for administrative cues only, the actual icon tool tip used by the Application Bar will be the text entered in #3 above. To select an icon, click on the desired image. The Application Link Application Bar requires that an icon is selected for each command definition.

Command Definitions with Great Plains Integration

The Oracle I/PM integration for Great Plains will look for Great Plains Command Definitions during the run-time of the Great Plains line of business software. Each Command Definition for a given Service Template will result in the command being available to the corresponding screen within Great Plains. Please refer to the Great Plains integration document for more detailed information on this integration. The Add Command Definition dialog Great Plains provides functionality to do the following:

  1. Assign a Map to the Command Definition. This Map is executed when the command is selected at run-time. Due to the menu structure within Great Plains, Map Groups are not supported through the Great Plains Integration.
  2. Assign a Command Label to the command. This command label appears as the menu item label in Great Plains.
  3. Assign a hot key to the Command Definition. For Great Plains, the Ctrl key is always required as the system modifier key. All available hot keys appear in the Hot Key combo box.

Map Security for Application Link Maps with Command Definitions

Maps referenced by Application Link Command Definitions need to be administered through the Oracle I/PM Windows client Security Administration Tool. In the Maps tab, Application Link map execution rights may be granted to groups of users. At run-time, a user must belong to at least one group that has been granted Map execution rights for the corresponding Command Definition to be available.

For the execution of Map Groups through Command Definitions, permission to all Maps within the Map Group must exist. This functionality is currently specific to the execution of Maps through Application Link Command Definitions and is neither required nor available for other uses of the EIS. The available Maps list shows only Maps that may be configured for Command Definitions (i.e. those that reference a supported system). Additionally, if a license to a supported system is not found, this entire tab will be disabled.

To grant Application Link Map execution rights to a given group, select the group, select the Map from the Available Maps list, and click the >> button. To revoke Map execution rights for a given group, select the group, select the Map from the Selected Maps list, and click the << button. A user will have access to the aggregate set of Maps across all groups to which they belong.

Application Link Application Bar

The Application Link Application Bar is an Oracle I/PM Windows client tool that runs as a standard Application Bar within the Windows desktop environment. The Application Bar supports the execution of Application Link Maps that perform integration transactions between the Oracle I/PM Windows client and certain line of business system clients. The Application Link Application Bar supports JD Edwards World and other HLLAPI based systems. In the future, other line of business systems may be supported as well.

The advantage of the Application Link Application Bar is that it allows integration points to be configured completely independently from the line of business system. This means that there is no impact at all to the line of business system’s application code or user interface.

To configure the Application Link Application Bar, the following steps are required:

  1. Configure the Service Templates for the line of business application. For JD Edwards World and other HLLAPI based systems, refer to the HLLAPI Screen Definition Tool – Users Guide document for detailed instructions on creating Service Templates.
  2. Create the Application Link Maps that use the Service Templates created in step 1. Refer to the beginning of this document for instructions on this process.
  3. Grant Application Link Map execution privileges to the appropriate user groups for the Maps created in step 2. Refer to the previous section of this document for instructions on this process.
  4. Add the App Bar Tool to the galleries for which it should be available.
  5. Login to a gallery configured in step 4 as a user belonging to a group configured in step 3.

When a user logs into a gallery containing the Application Link Application Bar, the Application Bar creates a toolbar inside of itself for each Service Template that contains Command Definitions. Toolbars corresponding to Service Templates that are currently available in the line of business system (i.e. the corresponding screen is open in the terminal emulator session) will be visible on the Application Bar. Toolbars corresponding to Service Templates that are not currently available in the line of business system (i.e. the corresponding screen is not open in the terminal emulator session) will not be visible on the Application Bar.

As new line of business screens are opened, the Application Link Application Bar responds dynamically and shows only those buttons that are applicable to the open screens. When multiple sessions are opened, the Application Bar inspects all open sessions and the buttons are shown/hidden accordingly. If two or more sessions are open to the same screen, the Command Definitions for that screen only appear once on the Application Bar. When the command is executed, the user is prompted to select the session they would like to use for the Application Link transaction.

The Application Link Application Bar may be dragged and docked to any of the four sides of the desktop. Each individual toolbar within the Application Bar may be minimized to show only the Service Template title (with a drop-down list of commands) or maximized to show each command button. The buttons themselves may be configured to show or hide their label with the right-click Show Text command.

Use of Application Link Adapters

JDE OneWorld Data – Retrieves data from the JDE OneWorld client.

JDE OneWorld Data adapter is installed with 3 JDE OneWorld Data Structures (AP Short, AR Short, and GN Short). If starting a transaction from the JDE OneWorld client (i.e. Pressing the Search Button), then this adapter will be the first stage of the map. OneWorld Data must be in the in pipe and mapped to the Input of the Adapter. Carry over the data, from the output of the adapter, that is to be moved to the next stage.

JDE OneWorld Update – Passes data into the JDE OneWorld client.

This adapter is used for delivering data to the OneWorld Client or Populate functionality. This will typically be the adapter in the last stage of the map. Make sure that the OneWorld Data in the output of the adapter is carried over into the output pipe for this functionality to work.

GUI400 Data – Retrieves Data from the GUI/400 panel.

To map with this adapter first navigate to the defined panel with your GUI/400,RTSPro software. The name of this panel is the only choice in the Service Template drop down. When the panel is selected from Service Template, the fields defined in the panel are output fields for the adapter.

GUI400 Update – Passes data into the GUI/400 panel.

This adapter will typically be in the last stage of the map. This adapter provides the Populate functionality for GUI/400. To map with this adapter first navigate to the defined panel with the GUI/400,RTSPro software. The name of this panel is the only choice in the Service Template drop-down. The fields defined in the panel are input items for the adapter.

Imaging Update – Updates an index within Imaging.

This adapter updates the indexes of an Oracle I/PM Object. The inputs for this adapter are the indexes and the index id. The Service Template is a choice from the Schema objects of the Oracle I/PM system. There are no outputs.

Client Search – Executes a Saved Search within the Oracle I/PM Client.

This adapter executes a Saved Search within the Oracle I/PM Client. The Service Template for this adapter are the Saved Searches in the Oracle I/PM System. The inputs are the Saved Search fields. There are no outputs.

Client Process Data – Retrieves package data of a package loaded in the Package Viewer Tool in the Oracle I/PM Client

This adapter retrieves the package data from the package that is loaded in the package viewer. There are no inputs. The outputs are the fields within the package template. The Service Template is all of the Package Templates within Process.

Client Process Update – Updates the package data of a package loaded in the Package Viewer Tool in the Oracle I/PM Client

This adapter updates the data of the package that is loaded in the Package Viewer tool within the Oracle I/PM Client. The inputs are the fields of the package template. There are no outputs. The Service Template is all of the Package Templates within Process.

Process Data – Retrieves package data of a specified package.

This adapter retrieves the data of a specified package. The input is the package id. The outputs are the fields of the package template. The Service Template is all of the Package Templates in Process.

eCapture Update – Passes data to the eCapture client.

This adapter updates index data in eCapture. The eCapture client must have a batch open when a map is created. The Service Template is the current batch that eCapture has open. The input are the fields in the current batch that eCapture has open. There are no outputs.

LOB Web Integration - Executes a Saved Search within the Web Client.

This adapter executes a Saved Search within the Web Client. This adapter filters input parameters that are not needed, transforms the field names to match the associated Saved Search field names, and provides the Web system with the name of the search to be executed.

Client Searching

The Client Search Adapter allows a search to be executed either via the Windows Client or via Web.

The field, that supports the ability to have a Map execute a search by using Web, is IBPMWebServer. By default, this field appears at the end of the list of Saved Search prompts in the Input Pipe, Service Input, and Output Pipe columns.

To Execute a search via the Windows Client:

Ignore the IBPMWebServer field. Do not make any modifications. It does not need to be unmapped or removed. If no value is supplied for this field when executing a map, then the search will run on the Windows Client.

There are two alternate ways to Execute a search via a Web Client:

Alternative One – Provide a value for IBPMWebServer field when executing the Map.

Provide the value of an Web Server location for the IBPMWebServer field when executing the Map. An ending backslash is required. For example, http://Stellent/IBPMweb/ would be passed as a value for the IBPMWebServer field.

LOBLink.exe –u=UserName -m=”Search by Supplier” –SupplierID=ABC –InvoiceNumber=123 –IBPMWebServer=” http://Stellent/IBPMweb/ ”

This command executes the Search by Supplier map and use the SupplierID and InvoiceNumber prompt values in the search. It opens an Internet Explorer browser, executes the search and displays the results by using the provided Web system, http://Stellent/IBPMweb/.

This alternative allows a user to determine if the search is to be executed on the Windows Client or the Web. By not providing any value for IBPMWebServer, the search executes on the Windows Client. By providing the location of a valid Web Server, the search runs on Web in an Internet Explorer browser.

Alternative Two – Assign a literal value to the IBPMWebServer field.

This alternative does not require a user to provide a value for the IBPMWebServer field when executing a Map. However, this Map will always be executed on the web and cannot be run on the Windows Client.

  1. Select the IBPMWebServer field.
  2. Right click, Unmap Item.
  3. Right click, Add Literal Value.
  4. Provide the name of a valid Web Server location (http://Stellent/IBPMweb/ ). Note that an ending backslash is required on the URL.
  5. Select the new literal value of the Web location.
  6. Move this field up to the IBPMWebServer location by using the Up arrow.
  7. Save the Map.

The following command executes the search via Web in an Internet Explorer browser even though the IBPMWebServer field was not provided.

LOBLink.exe –u=UserName -m=”Search by Supplier” –SupplierID=ABC –InvoiceNumber=123


4.0 Known Issues Aug 2004

Acorde Integration Tools 4.0 August 2004

Known Issues

This topic contains known issues with the shipping version of Acorde 4.0 August 2004.

AIT Config Tool

68527 -- AIT CONFIG TOOL ALLOWS MULTIPLE PROCESS AUTOMATIONS - For Oracle and PeopleSoft integrations, there can only be one Process Automation per form (page), however, the AIT Config tool does not perform a check and allows multiple Process Automations to be created on the same form. Users must manually ensure that only one Process Automation exists for each form.

69823 -- AIT CONFIG TOOL ALLOWS MORE THAN ONE LOGICAL UPDATE COMMAND PER PEOPLESOFT FORM - Only one Logical Update command per PeopleSoft form can be used with the Save button, however, the AIT Config tool allows more than one to be created. Users must manually ensure that only one Logical Update Command is created for each form.

69825 -- AIT CONFIG TOOL ALLOWS MORE THAN FIVE LABELS - The number of Logical Updates that may be created is unlimited, however, only five of them may have a label assigned. The AIT Config tool allows more than five to be created. Users must manually ensure that only five labels are assigned to each Logical Update Command.

73294 -- COLDSQL NOT SUPPORTED - Integration allow a map to be created using the COLDSQL option in the Process Automation Logical Update section. COLDSQL is not supported for this integration and this map will not update when executed.

AIT Map Tool

73172 -- TEMPLATE NAME 50 CHARACTER LIMIT - Support for the Template Name field in the Peoplesoft Template Editor dialog is limited to 50 characters. Do not enter more than 50 characters into the Template Name field in the Peoplesoft Template Editor dialog that is launched from the AIT Map Tool.

73381 -- INVALID KEY ERRORS ON CONFIGURE - The Service field must not contain only numbers. This will cause Invalid Key errors when trying to configure the Integration Solution.

Great Plains

67963 -- UNABLE TO PARSE CONFIG FILE - When something is missing in the Great Plains configuration in a new system, (command definition, template..etc), logging Great Plains will get following error: An unexpected problem has occurred. Please Please send the following information to your System Administrator. Unable to parse the LOBLink configuration file." Review the configuration for all required elements.

Oracle Applications

68656 -- UNKNOWN RUNTIME ERROR - When a Package template has more than 255 fields and the Oracle application's user tries to update more than one field, Oracle returns an Unknown Runtime Error.

PeopleSoft Integration

71467 -- CONTEXT ONLY UPDATE - Context only update does not work off of the Save button in the PeopleSoft integration. PeopleSoft EnterpriseOne and Oracle Financials integration also have the same issue.

73519 -- REFRESH TO SEE LOCK - If a package is locked from outside the PeopleSoft integration the user may need to refresh their worklist to see this change. If the worklist is not refreshed, nothing will happen (no error message) when attempting to open the locked package.

73554 -- VALUE NOT PROMPTED - Prompt and Prompt Required Process profile do not prompt for a value through the PeopleSoft integration. PeopleSoft EnterpriseOne and Oracle Financials integration also have the same issue.

Web SDK

68042 -- UNEXPECTED LOGIN DIALOG - When the Web client times out while viewing a package attachment in the Package Viewer, an Acorde login screen may display to return the user to the Package Viewer. When presented with this login, close the Acorde browser window and re-execute the package atttachment from within the PeopleSoft integration.

69458 -- UNEXPECTED MESSAGE TO REMEMBER LOGIN INFORMATION - Users may be presented with an Acorde message asking "Do you want to remember your login information? ....". Close the browser window and re-execute the integration.

73467 -- SESSION TIME OUT - If a PeopleSoft session times out, close and re-open the browser before logging in to PeopleSoft to enable our integration points.

@


7.5 Known Issues

Known Issues SEIS 7.5 May 2005

This topic contains known issues with the shipping version of SEIS 7.5, May 2005.

AIT Config Tool

68527 -- AIT CONFIG TOOL ALLOWS MULTIPLE PROCESS AUTOMATIONS - For Oracle and PeopleSoft integrations, there can only be one Process Automation per form (page), however, the AIT Config tool does not perform a check and allows multiple Process Automations to be created on the same form. Users must manually ensure that only one Process Automation exists for each form.

69823 -- AIT CONFIG TOOL ALLOWS MORE THAN ONE LOGICAL UPDATE COMMAND PER PEOPLESOFT FORM - Only one Logical Update command per PeopleSoft form can be used with the Save button, however, the AIT Config tool allows more than one to be created. Users must manually ensure that only one Logical Update Command is created for each form.

69825 -- AIT CONFIG TOOL ALLOWS MORE THAN FIVE LABELS PER LOGICAL UPDATE - The number of Logical Updates that may be created is unlimited, however, only five of them may have a label assigned. The AIT Config tool allows more than five to be created. Users must manually ensure that only five labels are assigned to each Logical Update Command.

AIT Map Tool

67616 -- DELETED MAPS STILL PRESENT - After a map is selected in Security Tool, it will always be there even after it is deleted from Map Tool

68088 -- HOT KEY - On the Command Definition tab, when defining the command for Great Plains, the hot key listed is from Ctrl 1 to 10. Ctrl 10 really refers to Ctrl Zero and if Ctrl 10 is configured a duplicate will result. This shows up in Great Plains as "CTRL+1" andCTRL+1 activates it.

73381 -- INVALID KEY ERRORS ON CONFIGURE - The Service field must not contain only numbers. This will cause Invalid Key errors when trying to configure the Integration Solution.

73636 -- SPECIAL CHARACTERS - On the command definition tab for Great Plains, the Command Label may not have any of these special characters: \ / & ' < > ". Otherwise executing the command from Great Plains will result in an "Invalid Procedure Call".

75951 -- QUIT OR SWITCH GALLERY WITHOUT SAVE - The Map tool does not prompt for saving when the dirty flag is on and users try to quit or switch gallery. It is necessary to save before quitting or switching galleries.

77811 -- NO TIMEOUT NOTICE - After a gallery has timed out Service Templates may still be created and saved. The timeout notification does not display until after closing all of the SEIS Config or Map dialogs.

App Bar

76104 -- APP BAR CRASHING - If App Bar crashes intermittently after the first or second search, make sure Attachmate has been upgraded from version 7 to 8.

Application Link

65574 -- INVALID PROCEDURE CALL - An error "Invalid procedure call or argument", is returned when the Script Server user is not a Process user or administrator. Script Server is not a Process Server, thus it doesn't require that a Process user or administrator be configured. This message should be interpreted to mean that this this user does not have privileges to access the Process database.

70299 -- CLIENT MINIMIZED - When LOBLink sends a request to IBPM, if the IBPM client is minimized, it remains minimized with the button in the Task Bar reading 'IBPM - Viewer'. Bring the client to the foreground and maximize it.

77988 -- CONFLICT WITH AVENTAIL CONNECT VPN - If the "Aventail Connect" VPN software is installed, the Win32 client will GPF upon exit. Specifically, the ASLSP.DLL module will throw the exception. For more information see: http://support.microsoft.com/?kbid=299932.

Great Plains

67963 -- UNABLE TO PARSE CONFIG FILE - When something is missing in the Great Plains configuration in a new system, (command definition, template.. etc), logging Great Plains will get following error: "An unexpected problem has occurred. Please send the following information to your System Administrator. Unable to parse the LOBLink configuration file." Review the configuration for all required elements.

74105 -- ASSIGN SEARCH TOOLS TO GALLERY - The Great Plains integration will open the last gallery accessed on a particular machine. If this gallery does not have Search tools assigned, then the integration will not execute a search. Make sure the gallery used for the integration has search tools assigned to it.

77332 -- SAVE FOR AUTOMATIC LOGIN - The IBPM client fails to generate a user token when logging into Great Plains with the "Save for Automatic login" checkbox unchecked. Make sure to check this box.

Oracle Applications

68656 -- UNKNOWN RUNTIME ERROR - When a Package template has more than 255 fields and the Oracle application's user tries to update more than one field, Oracle returns an Unknown Runtime Error.

PeopleSoft

69757 -- PEOPLESOFT IGNORES THE "AUTO OPEN" SETTING ON PROCESS AUTOMATION DESIGN DIALOG - The package will not be auto opened and users must explicitly click the "Open Next Package" command.

73364 -- CHANGES TO IBPM PAGES - Do not make any modifications to the default IBPM pages within PeopleSoft. Recovery from these changes can be very difficult and time consuming.

73519 -- REFRESH TO SEE LOCK - If a package is locked from outside the PeopleSoft integration the user may need to refresh their work list to see this change. If the work list is not refreshed, nothing will happen (no error message) when attempting to open the locked package.

73554 -- VALUE NOT PROMPTED - Prompt and Prompt Required Process profile do not prompt for a value through the PeopleSoft integration. PeopleSoft EnterpriseOne and Oracle Financials integration also have the same issue.

73631 -- FORCED LOGOUT - The integration fails and forces a logout if the user navigates away from an integration page, then returns to it after the initial IBPM login without selecting an integration solution.

75835 -- AMPERSAND SIGN - The ampersand (&) sign may not exist in the <fielddisplaytitle>section of the BasicCoverSheet.xml file.

77952 -- ALMOST EXPIRED PASSWORD - If an NT user is set to change their password at their next login, when trying to login to IBPM though PeopleSoft the following error will display.
**************************
An unknown Acorde web service error has occurred. The People code program executed an Error statement, which has produced this message.
**************************

77956 -- USER WITHOUT PROCESS ACCESS - A user with no Process access, attempting to login to IBPM through a PeopleSoft integration, will receive the following error message.
*******************
XML parser error CreateXmlDoc Fatal Error: at file Integration Server line: 2column: 38 message Expected equal sign (159, 5) At ACORDE_PRF_AUTO.ActivatePCPC:911 Statement: 10 XML parse error
*******************

77977 -- CHARACTER LIMIT IN JOURNAL ENTRY FIELD - The Journal entry field will accept unlimited characters. PeopleSoft generates an error saying that it will truncate at 2000characters, however, it actually truncates at 254 characters.

78051 -- UNLOCKING MULTIPLE PACKAGES - Unlocking multiple packages from the work list doesn't always unlock all of the selected packages.

78055 -- SPECIAL CHARACTERS IN COMMENT - Adding a comment to a package with a < in it will generate an XML parser error stating that the < character is not allowed. The comment is saved anyway and it is not necessary to remove this special character.

78096 -- 30 CHARACTER LIMIT - String field package updates only allow 30 characters. Process allows 80 characters.

78216 -- TIMEOUT - If the IBPM backend is down for any reason, PeopleSoft will display the "Processing" message indefinitely. There is no message that it can't communicate with the back-end.


7.6 Known Issues

Known Issues SEIS 7.6 August 2005

This topic contains known issues with the shipping version of SEIS 7.6, August 2005.

AIT Config Tool

68527 -- AIT CONFIG TOOL ALLOWS MULTIPLE PROCESS AUTOMATIONS - For Oracle and PeopleSoft integrations, there can only be one Process Automation per form (page), however, the AIT Config tool does not perform a check and allows multiple Process Automations to be created on the same form. Users must manually ensure that only one Process Automation exists for each form.

69823 -- AIT CONFIG TOOL ALLOWS MORE THAN ONE LOGICAL UPDATE COMMAND PER PEOPLESOFT FORM - Only one Logical Update command per PeopleSoft form can be used with the Save button, however, the AIT Config tool allows more than one to be created. Users must manually ensure that only one Logical Update Command is created for each form.

69825 -- AIT CONFIG TOOL ALLOWS MORE THAN FIVE LABELS PER LOGICAL UPDATE - The number of Logical Updates that may be created is unlimited, however, only five of them may have a label assigned. The AIT Config tool allows more than five to be created. Users must manually ensure that only five labels are assigned to each Logical Update Command.

AIT Map Tool

67616 -- DELETED MAPS STILL PRESENT - After a map is selected in Security Tool, it will always be there even after it is deleted from Map Tool

68088 -- HOT KEY - On the Command Definition tab, when defining the command for Great Plains, the hot key listed is from Ctrl 1 to 10. Ctrl 10 really refers to Ctrl Zero and if Ctrl 10 is configured a duplicate will result. This shows up in Great Plains as "CTRL+1" andCTRL+1 activates it.

73381 -- INVALID KEY ERRORS ON CONFIGURE - The Service field must not contain only numbers. This will cause Invalid Key errors when trying to configure the Integration Solution.

73636 -- SPECIAL CHARACTERS - On the command definition tab for Great Plains, the Command Label may not have any of these special characters: \ / & ' < > ". Otherwise executing the command from Great Plains will result in an "Invalid Procedure Call".

75951 -- QUIT OR SWITCH GALLERY WITHOUT SAVE - The Map tool does not prompt for saving when the dirty flag is on and users try to quit or switch gallery. It is necessary to save before quitting or switching galleries.

77811 -- NO TIMEOUT NOTICE - After a gallery has timed out Service Templates may still be created and saved. The timeout notification does not display until after closing all of the SEIS Config or Map dialogs.

App Bar

76104 -- APP BAR CRASHING - If App Bar crashes intermittently after the first or second search, make sure Attachmate has been upgraded from version 7 to 8.

Application Link

65574 -- INVALID PROCEDURE CALL - An error "Invalid procedure call or argument", is returned when the Script Server user is not a Process user or administrator. Script Server is not a Process Server, thus it doesn't require that a Process user or administrator be configured. This message should be interpreted to mean that this this user does not have privileges to access the Process database.

70299 -- CLIENT MINIMIZED - When LOBLink sends a request to IBPM, if the IBPM client is minimized, it remains minimized with the button in the Task Bar reading 'IBPM - Viewer'. Bring the client to the foreground and maximize it.

77988 -- CONFLICT WITH AVENTAIL CONNECT VPN - If the "Aventail Connect" VPN software is installed, the Win32 client will GPF upon exit. Specifically, the ASLSP.DLL module will throw the exception. For more information see: http://support.microsoft.com/?kbid=299932.

Great Plains

67963 -- UNABLE TO PARSE CONFIG FILE - When something is missing in the Great Plains configuration in a new system, (command definition, template.. etc), logging Great Plains will get following error: "An unexpected problem has occurred. Please send the following information to your System Administrator. Unable to parse the LOBLink configuration file." Review the configuration for all required elements.

74105 -- ASSIGN SEARCH TOOLS TO GALLERY - The Great Plains integration will open the last gallery accessed on a particular machine. If this gallery does not have Search tools assigned, then the integration will not execute a search. Make sure the gallery used for the integration has search tools assigned to it.

77332 -- SAVE FOR AUTOMATIC LOGIN - The IBPM client fails to generate a user token when logging into Great Plains with the "Save for Automatic login" checkbox unchecked. Make sure to check this box.

Oracle Applications

68656 -- UNKNOWN RUNTIME ERROR - When a Package template has more than 255 fields and the Oracle application's user tries to update more than one field, Oracle returns an Unknown Runtime Error.

PeopleSoft

69757 -- PEOPLESOFT IGNORES THE "AUTO OPEN" SETTING ON PROCESS AUTOMATION DESIGN DIALOG - The package will not be auto opened and users must explicitly click the "Open Next Package" command.

73364 -- CHANGES TO IBPM PAGES - Do not make any modifications to the default IBPM pages within PeopleSoft. Recovery from these changes can be very difficult and time consuming.

73519 -- REFRESH TO SEE LOCK - If a package is locked from outside the PeopleSoft integration the user may need to refresh their work list to see this change. If the work list is not refreshed, nothing will happen (no error message) when attempting to open the locked package.

73554 -- VALUE NOT PROMPTED - Prompt and Prompt Required Process profile do not prompt for a value through the PeopleSoft integration. PeopleSoft EnterpriseOne and Oracle Financials integration also have the same issue.

73631 -- FORCED LOGOUT - The integration fails and forces a logout if the user navigates away from an integration page, then returns to it after the initial IBPM login without selecting an integration solution.

75835 -- AMPERSAND SIGN - The ampersand (&) sign may not exist in the <fielddisplaytitle>section of the BasicCoverSheet.xml file.

77952 -- ALMOST EXPIRED PASSWORD - If an NT user is set to change their password at their next login, when trying to login to IBPM though PeopleSoft the following error will display.
**************************
An unknown Acorde web service error has occurred. The People code program executed an Error statement, which has produced this message.
**************************

77956 -- USER WITHOUT PROCESS ACCESS - A user with no Process access, attempting to login to IBPM through a PeopleSoft integration, will receive the following error message.
*******************
XML parser error CreateXmlDoc Fatal Error: at file Integration Server line: 2column: 38 message Expected equal sign (159, 5) At ACORDE_PRF_AUTO.ActivatePCPC:911 Statement: 10 XML parse error
*******************

77977 -- CHARACTER LIMIT IN JOURNAL ENTRY FIELD - The Journal entry field will accept unlimited characters. PeopleSoft generates an error saying that it will truncate at 2000characters, however, it actually truncates at 254 characters.

78051 -- UNLOCKING MULTIPLE PACKAGES - Unlocking multiple packages from the work list doesn't always unlock all of the selected packages.

78055 -- SPECIAL CHARACTERS IN COMMENT - Adding a comment to a package with a < in it will generate an XML parser error stating that the < character is not allowed. The comment is saved anyway and it is not necessary to remove this special character.

78096 -- 30 CHARACTER LIMIT - String field package updates only allow 30 characters. Process allows 80 characters.

78216 -- TIMEOUT - If the IBPM backend is down for any reason, PeopleSoft will display the "Processing" message indefinitely. There is no message that it can't communicate with the back-end.

Screen Definition Tool

78190 -- UNABLE TO ESTABLISH CONNECTION - When the IBPM Server is down and the Screen Definition Tool is unable to establish a connect the tool simply shuts down without an error message.


7.6 SP1 Known Issues

Known Issues SEIS 7.6 SP 1 November 2005

This topic contains known issues with the shipping version of SEIS 7.6 SP 1, November 2005.

Oracle Applications

80085 -- PROMPT PROFILE FIELD TYPE - When using Oracle the field type of a prompt profile is not known and the user input may not be verified from the client side. Entering incorrect data types (for example, entering letters while IBPM is expecting a number) can still return packages.

80099 -- EMPTY LIST RETURNED - When a profile is partially mapped, Oracle is unable to execute it and returns an empty list. An entry is made in the log file for this error.


7.6 with SP 1 Resolved Issues

Resolved Issues SEIS 7.6 with SP 1 November 2005

This topic contains resolved issues with the shipping version of SEIS 7.6 with SP 1, November 2005.

AIT Config Tool

73294 -- COLDSQL NOT SUPPORTED - The integration allowed a map to be created using the COLDSQL option in the Process Automation Logical Update section. COLDSQL is not supported for this integration and this map will not update when executed. This has been resolved and teh filter on Connections now only includes Imaging Applications when returning tables.

PeopleSoft

69757 -- PEOPLESOFT IGNORED THE "AUTO OPEN" SETTING ON PROCESS AUTOMATION DESIGN DIALOG - The package would not auto open and users would have to explicitly click the "Open Next Package" command. This has been resolved.

71467 -- CONTEXT ONLY UPDATE - Context only update did not work using the Save button in the PeopleSoft integration. PeopleSoft EnterpriseOne and Oracle Financials integration also had the same issue. This has been resolved.

73519 -- REFRESH TO SEE LOCK - If a package was locked from outside the PeopleSoft integration the user may need to refresh their worklist to see this change. If the worklist was not refreshed, nothing would happen (no error message) when attempting to open the locked package. This has been resolved.

73554 -- VALUE NOT PROMPTED - Prompt and Prompt Required Process profile did not prompt for a value through the PeopleSoft integration. PeopleSoft EnterpriseOne and Oracle Financials integration also had the same issue. This has been resolved.

73631 -- FORCED LOGOUT - The integration would fail and force a logout if the user navigated away from an integration page, then returned to it after the initial IBPM login without selecting an integration solution. This has been resolved.

77952 -- ALMOST EXPIRED PASSWORD - If an NT user is set to change their password at their next login, when trying to login to IBPM though Peoplesoft the following error would display.
**************************
An unknown Acorde web service error has occurred. The Peoplecode program executed an Error statement, which has produced this message.
**************************
This has been resolved.

77956 -- USER WITHOUT PROCESS ACCESS - A user with no Process access, attempting to login to IBPM through a PeopleSoft integration, would receive the following error message.
*******************
XML parser error CreateXmlDoc Fatal Error: at file Integration Server line: 2 column: 38 message Expected equal sign (159, 5) At ACORDE_PRF_AUTO.Activate PCPC:911 Statement: 10 XML parse error *
******************
This has been resolved.

78051 -- UNLOCKING MULTIPLE PACKAGES - Unlocking multiple packages from the work list didn't always unlock all of the selected packages. This has been resolved.

78055 -- SPECIAL CHARACTERS IN COMMENT - Adding a comment to a package with a < in it would generate an XML parser error stating that the < character is not allowed. The comment was saved anyway and it was not necessary to remove this special character. This has been resolved.


7.6 SP2 Known Issues

Known Issues SEIS 7.6 SP 2 January 2007

This topic contains known issues with the shipping version of SEIS 7.6 SP 2, January 2007.

PeopleSoft Version 8.9

Internal -- T&E functionality is not supported with PeopleSoft version 8.9.


7.6 with SP 2 SEIS Resolved Issues

Resolved Issues

This topic contains resolved issues with the shipping version of IBPM 7.6 with SP 2.

SEIS -- HLLAPI Adapter

83154 -- SCREEN CAPTURE FAILURE WITH SCRIPT OUT OF RANGE ERROR - When using a HLLAPI session that is not the default 1920 screen size, the HLLAPI.cfg file must be configured. When this Config file is called during compliance it uses the Row variable from the file for the column variable also. Even though the Run Complinace Test would pass, the screen capture failed with a script out of range error. This has been resolved.

SEIS -- JDE OneWorld

81182 -- MEMORY CORRUPTION WITH WIN 2003 AND NUMERIC DATA - JDE update adapter would cause a memory corruption when sending numeric data to JDE. The problem would only appear after the data was converted to a string in JDE. This was only a problem when the client was using Windows 2003. This has been resolved and the adapter now initializes memory correctly.

SEIS -- JDE OneWorld - Tight

80370 -- COMPILE - The JDE tight integration package for ERP8 would not compile when the JDE logic server was a non-Windows operating system. This has been resolved.

80577 -- J DE USERS SHARING LOG FILES - When LOB logging was turned on in the JDE Logic Server and the integration is run using different JDE users, the JDE users would share the same log file. This has been resolved and log files are now distinct for each JDE user and are identified by JDE usernames.

80594 -- NEXT PACKAGE NOT OPENED - The Open Next button would not open the package the first time it is selected when in Pick mode. This has been resolved.

80632 -- RUN TIME MEMORY ERRORS - JDEAcordeUpdate.dll only allocated six slots to cache nine customized table names. This could cause intermittent run time memory errors. This has been resolved.

80648 -- OPENNEXTPACKAGE FAILURE - The Select statement that was formed to retrieve the next pacakge had a hardcoded 'TESTDTA' table owner. This caused a failure when the integration was used in a production environment. The problem has been resolved by removing the hard coded table owner.

80814 -- COMPLETE BUTTON FUNCTIONAL WITH NO DEFAULT ACTION - If there is no default Decision on Complete a Package(Complete To) and the user doesn't manually choose one, the Complete button would execute anyway. This would cause a timeout and repeated attempts to log in to IBPM, using up all the available licenses. The Complete appeared to be successful but the package was not Completed. This has been resolved.

80816 -- COMPLETE WITH OPTION - After auto opening the next package and then working with packages in the selected profife, a package would complete using the last Completes With value, even though the user is workingin a queue that is not configured to use the Complete With option. This has been resolved.

80929 -- JDE SEARCH LICENSE - JDE searching will now use a Web View license rather than a Full Seat license.

81236 -- LOB LOGGING - LOB Logging did not work in JDE 8.10 single thread environment. The product would hang and no result would be returned. This has been resolved.

SEIS -- Oracle Applications

80657 -- PERFORMANCE - Performance has been improved by caching system configuration information on the Web Server and using the INI file to control the cache behavior.

81106 -- USE OF WEB VIEW LICENSE FOR SEARCH- The Oracle integration now uses a Web View license for the Search Only operation.

81233 -- LOCKED ROWS - There was an intermittent problem resulting in rows locked in AcordeWorklist table. A DBA would have to force an unlock. This has been resolved.

82067 -- LOADING FORMS ERROR FRM-40010 - At run time, Oracle was unable to load IBPM forms and returned an error, FRM-40010. This has been resolved. The Form path is now forced at run time (using a static path defined in the OracleInsertScript.sql script) when the form is not located in the patch specified in the FORMS60_PATH environment variable.

SEIS -- PeopleSoft Integration

81085 -- WEB VIEW LICENSE - The PeopleSoft integration now uses a Web View license while performing searches.

81696 -- AUTO OPEN AND AUTO EXECUTE - If a logical update was configured for both auto-open next package and auto-execute on save, it would only work correctly for the first transaction if the "Add" button was used to begin a subsequent transaction. This has been resolved.

82475 -- S AVE BUTTON FAILURES - When Print Cover Sheet was the first IBPM functionality called and auto-login was NOT configured, any subsequent IBPM/Acorde integration points would fail from Save button, except for other Print Cover Sheet requests. This has been resolved.

83454 -- LOG FILE NAMES - Web Express no longer includes any hard coded log file information. The IBPM Web Server name is now extracted from the database.

83024 -- LOG TIME STAMP - The log time stamp now reflects seconds.

83025 -- WEB SERVER PERFORMANCE - The user configuration is now cached on the Web Server. This improves performance.

83282 -- SEARCH RESULTS IN FETCH ARRAY ERROR - The ACORDE_INTEGRATION.xml with Web Express Search functionality would break existing, non-Web Express integrations when using Search or Process. The error was Fetch Array Error and nothing would appear in the .log files. This has been resolved.

SEIS -- SAP Integration

83455 -- LOCKUP DURING COMPONENT CREATE - SAPALINK would sometimes lock up during a component create operation. This has been resolved.

83478 -- IBPMSTARTUPMONITOR.EXE - IBPMStartUpMonitor.exe is now available. This Windows service will ensure that the IBPM servers are completely started and ready for client logins before allowing the KGS Content Server to start. This prevents initialization problems within the Content Server.


HLLAPI Overview

The ERP Integration Suite (EIS) CD includes an integration with HLLAPI.

This document contains the following sections.

  • HLLAPI Terminal Emulator Configuration
  • HLLAPI Screen Definition Tool - Users Guide
  • Install World HLLAPI
  • HLLAPI Screen Field Types

Printing Tips

To print this headings and all its sub topics

  1. Click on the topic frame on the right (this page).

  2. Click Print. The Print Topics dialog appears.

  3. Select the Print the Selected Topic radio button.

  4. Click OK. The Print dialog appears.

  5. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  6. Click Print.


HLLAPI Terminal Emulator Configuration

HLLAPI in the Screen Definition Tool and HLLAPI Adapters

What is HLLAPI?

The Screen Definition Tool and the Application Link adapters HLLAPI Data and HLLAPI Update use a mechanism called HLLAPI (High Level Language API) to communicate with terminal emulator sessions running on a system. HLLAPI is a standard that all modern IBM terminal emulators support.

To use the HLLAPI communication mechanism, Screen Definition Tool and the HLLAPI adapters must find and load a component DLL supplied by the manufacturer of the terminal emulator. This component DLL is referred to as the HLLAPI Implementation DLL.

Screen Definition Tool and the HLLAPI Adapters support two “dialects” of the HLLAPI specification in order to support the widest range of terminal emulators. These dialects are usually referred to as WinHLLAPI and EHLLAPI. All emulators tested thus far supports both and are interchangeable.

The implementation DLLs supplied by the emulator manufacturer are usually named WHLAPI32.DLL for WinHLLAPI and EHLAPI32.DLL for EHLLAPI. These implementation DLLs are usually located in the same program directory as the emulator itself. However, there is no standard for the name or the location of the implementation DLL. If an emulator differs from the ones mentioned below, consult the manual or online help to determine where that emulator installs the implementation DLL.

The HLLAPI Short Name

In order for the Screen Definition Tool or the HLLAPI adapters to “see” an active emulator session, a HLLAPI short name must be assigned to the session. This short name is a single alphabetic identifier of A – Z. Some emulators automatically assign the short name identifier. Others require manual assignment which can then be stored as part of a saved session profile. Information on how to assign the HLLAPI short name for tested emulators is included later in this document.

Locating the HLLAPI Implementation DLL
via the Screen Definition Tool or HLLAPI Adapters

Screen Definition Tool and the HLLAPI Adapters use the following algorithm to attempt to automatically locate the implementation DLL.

  • Consult the system registry: HKEY_CURRENT_USER\Software\Optika\HLLAPIInterface\ImplementationDLL for a valid DLL name.
  • Consult the HLLAPI.cfg file. This is a plain text file installed in DSMS server. There can be zero or more full path dll names separated by newlines (return).
  • Search for EHLAPI32.DLL, HLLAPI32.DLL, or WHLAPI32.DLL in the same directory of all top-level window processes executable’s module. A terminal emulator session must be running before Screen Definition Tool capture screen button is clicked or before a map using a HLLAPI adapter is executed in order to locate the implementation DLL automatically using this method.
  • Search for EHLAPI32.DLL, HLLAPI32.DLL or WHLAPI32.DLL in directories specified by the PATH variable of the client machine. Most emulators include their implementation DLL’s directory in the ”PATH” variable.

Configuring HLLAPI in Supported Emulators

The following terminal emulators have been tested with the Oracle I/PM Screen Definition Tool and HLLAPI adapters. Earlier versions of these programs may be different.

  • Rumba Office 2000 AS/400 Display (v6.0) V00
  • IBM Client Access Express for Windows (v4.3)
  • Attachmate MyExtra Enterprise (v8.0)
  • WRQ Reflection for IBM (v9.0.3)
  • AccuTerm 2K2 from AccuSoft Enterprises

Rumba Office

Tested: Rumba Office 2000 AS/400 Display (v6.00 V00)

Default Install Directory: \Program Files\WallData\

Configuring HLLAPI and HLLAPI Options

EHLLAPI is implemented in EHLAPI32.DLL found in \Program Files\WallData\System directory. WinHLLAPI is implemented in WHLAPI.DLL also found in \Program Files\WallData\System.

The short name is configured as a part of the currently running session. To configure the short name, select Options->API Options. The following dialog appears:

Rumba Office Session Short Name Configuration

Other HLLAPI options that can effect the HLLAPI Interface behavior are configurable. Selecting Options | API Options displays a dialog to configure HLLAPI behavior. For proper HLLAPI Interface operation, “Classic HLLAPI data structure” must be checked. Note: this is not the default. These options are stored in the profile.

Rumba Office HLLAPI Configuration options

Rumba Office supports the ability to rename the DLL that implements HLLAPI. (Some HLLAPI applications expect a DLL of a specific name.) However, if the implementation DLL is given a new name, Rumba Office must be informed of the new name. The name is configured in the Rename DLLs dialog. (see below)

The HLLAPI Interface component searches for EHLAPI32.DLL and WINHLAPI.DLL which are the default names for Rumba. If the names are changed for some reason, this dialog will allow the reconfiguration back to the default.

Rumba Office HLLAPI Rename DLLs

Rumba HLLAPI Operation Issues

  • The session short name must be assigned manually. However, the short name can be assigned and saved as a part of a profile that a user can save to the desktop. After the initial configuration and saving the profile, the user will start the session by double clicking the specific profile icon.
  • The “Classic HLLAPI data structure” must be checked for proper operation. If this box is not checked, HLLAPI Interface will not be able to see the session even though it may have a short name assigned.
  • We recommend that the location of the HLLAPI DLL (i.e. \Program Files\WallData\System) be added to the system path to improve stability.

Configuring Profiles

The profile contains the HLLAPI short name, display colors, and toolbar configurations.

Adding Toolbar buttons

To add a toolbar button that invokes a command, right click on the toolbar and select “New Application Button…” The following dialog appears:

Rumba Office New Application Button Dialog

Enter the description, command line, and working directory if necessary. To browse to the desired application instead of typing the full path to the application in the command line, click the browse button. Command line arguments can also be used in the command line field. To change the button properties, right click on the button and select “button properties…”

If the application has an associated icon, Rumba will use that on the toolbar. To change the button icon, right click on the button and select “Toolbars” On the General tab, click “Select Bitmaps…” and drag one of the predefined icons to the toolbar button you want to change. To use an alternate bitmap, click “Browse Bitmap…” and navigate to a desired .bmp file. After finding the desired .bmp file, drag it up to the toolbar icon you want to change.

Toolbar customizations are saved as a part of the profile. After making toolbar customizations, save them as part of a profile. Starting a new session will return to the default.

IBM Client Express

Tested: Client Access Express for Windows (v4.3)

Default Install Directory: \Program Files\IBM\Client Access\Emulator

Configuring HLLAPI and HLLAPI Options

EHLLAPI is implemented in EHLAPI32.DLL found in \Program Files\IBM\Client Access\Emulator directory. WinHLLAPI is implemented in WHLAPI32.DLL also found in \Program Files\IBM\Client Access\Emulator.

The short name is automatically generated when a session starts up. First session is assigned “A” followed by “B”, etc. No manual short name configuration is required.

File->API Settings brings up the following dialog where you can enable or disable HLLAPI. The default is enabled. When disabled, HLLAPIInterface is unable to communicate with the session. No other HLLAPI configuration options are available.

Configuring Profiles

Adding Toolbar buttons

Follow these steps to add toolbar button that invokes an external application.

Right click the session toolbar and select Create Item…

Select the Application tab. The following dialog appears.

IBM Client Express Toolbar Customization Dialog

Enter the full path to the application name or click the List button to navigate to the application. If necessary, enter any command line parameters in the Application parameters field.

Click the customize button to change the toolbar button text and/or text button image. The button image can be modified by clearing the “Default” check box in the picture area and clicking the Load File… button.

The toolbar is saved as a part of the profile. However, the toolbar layout itself is saved in a separate file with a .bar extension.

Attachmate EXTRA! Personal Client

Tested: Attachmate MyExtra 8.0

Default Install Directory: \Program Files\Attachmate\E!E2K

As of SEIS 7.5, Attachmate 7.0 is no longer supported.

Configuring HLLAPI and HLLAPI Options

WinHLLAPI implementation: WHLAPI32.DLL (in the path)

EHLLAPI implementation: EHLAPI32.DLL (in the path)

In the HLLAPI.CFG file, remove the "#" in this line and save it. This may be done on the DSMS Server so the HLLAPI.CFG is distributed to all client machines.

#FirstFieldCall=0

The short name is a global configuration setting. The short name is assigned based on the profile name. See the dialog below.

Select the Options menu in the EXTRA! Application and then select Global Preferences to display a dialog to configure HLLAPI Transport Type as Standard or Enhanced. The Transport Type determines which mechanism the HLLAPI implementation uses to communicate with the session. Either Transport Type works with HLLAPIInterface.

EXTRA!Personal Client HLLAPI configuration dialog.

Select the Advanced tab.

Select the desired session short name from the displayed list (A to Z).

Select the Browse button.

Select the session to be assigned to this short name.

Select the Open button to assign the selected session to the short name.

Repeat the above steps for every session to be configured with a session short name. Select the desired short name then browse and select the session and click Open.

Select the Apply button and click OK.

Configuring Profiles

The profile contains the HLLAPI short name, display colors, and toolbar configurations.

Adding Toolbar buttons

To add a toolbar button that invokes a command, select Options | Settings and select Toolbar from the categories. Click the New… button to add a new toolbar.

Attachmate Toolbar Configuration

In the Toolbar Editor, click the bitmap button. A new button to the empty toolbar will be added.

Double click the new button.

On the button properties dialog select the actions tab.

In the Category drop-down, select Application.

In the commands list, select Run Application.

In the Application field, enter the application and command line arguments to invoke.

The bitmap assigned to the new toolbar button can also be customized.

After the toolbar is completed, save the toolbar. Verify that the new toolbar is checked in the toolbars settings dialog. The toolbars that are checked will be included in the current session.

Reflection

Tested: Reflection for IBM v 9.0

Default Install Directory: \Program Files\Reflection

Configuring HLLAPI and HLLAPI Options

WinHLLAPI implementation: WHLAPI32.DLL in the path

EHLLAPI implementation: HLLAPI32.DLL in the path

The short name is configured as a part of the currently running session. To configure the short name, select Setup | Terminal… The following dialog appears.

Reflection for IBM HLLAPI configuration

Other HLLAPI options are configurable that can affect the HLLAPI Interface behavior. Setup->View Settings… brings up a dialog where you can configure HLLAPI behavior. The HLLAPI Style is a hex number that specifies the HLLAPI behavior. Configurable options include “translate non ASCII characters to blanks” and other options may affect our implementation. The online help details each setting. This setting is stored in the profile. 0x129 is the recommended configuration for proper HLLAPIInterface operation.

Reflection HLLAPI Operation Issues

  • The session short name must be assigned manually. However, the short name can be assigned and saved as a part of a profile that a user can save to the desktop. After the initial configuration and saving the profile, the user will start the session by double clicking the specific profile icon.
  • On a Windows 98 platform, the Reflection installation does not add itself to the system path in the autoexec.bat file. To work consistently with all other tested terminal emulators, the Reflection installation directory must be manually added to the path variable in the autoexec.bat file.

Configuring Profiles

The profile contains the HLLAPI short name, display colors, and toolbar configurations.

Adding Toolbar buttons

Reflection includes Visual Basic for Applications. Macros can be written in VBA can then be associated with a toolbar icon. Macros and toolbar configurations are saved as a part of the session profile.

To invoke another application from a toolbar button, first create a simple macro in VBA. Select Macro->Visual Basic Editor from the menu. In the Project window right click on “ThisSession” and select “View Code” Add the following code to the code editor:

Sub SearchInvoices()
Shell "loblink.exe", "-m=""SearchInvoiceMap""",
rcNormal
End Sub

In this example, “SearchInvoices” is the name of the macro which will eventually get assigned to the toolbar button. The Shell() method invokes the application "loblink.exe" with the command line arguments "-m="SearchInvoiceMap"

To add a button to the toolbar which invokes this macro, right click on the toolbar and select “properties”. Select the Customize tab.

Reflection Customize Toolbar dialog

Click “New Button” and fill in the optional Label, ToolTip, and Help text fields. Click the “Macros..” button and select the name of the macro created earlier.

The picture can also be changed by selecting one of the pictures in the list or by adding additional ones stored on the machine. After creating the toolbar button, save the profile.

AccuTerm 2K2

The HLLAPIInterface component will default to using HLLAPI to find a suitable terminal emulator with which to communicate. To tell the HLLAPIInterface component to use AccuTerm, perform either of these steps:

1) Uncomment "AccuTerm" in the HLLAPI.cfg file. This file is included in the HLLAPI installation. Open this file in Notepad and follow the instructions in that file.

2) Add "ImplementationDLL=AccuTerm" to the registry under HKEY_CURENT_USER\Software\Optika\HLLAPIInterface.

The HLLAPI integration supports multiple sessions. It is recommended to provide descriptive text for each session of AccuTerm. This is done by the following steps.

1) In AccuTerm, select Tools, Settings.

2) In the AccuTerm Settings dialogue box, select the Screen tab.

3) When a new session is created, the Session Title field is blank. Please enter the desired text in the Session Title field.

See the Copyright topic for copyright information.


HLLAPI Screen Definition Tool - Users Guide

This topic discusses the HLLAPI and the Screen Definition Tool and HLLAPI Adapters.

Screen Definition Tool Overview

HLLAPI Screen Definition Tool is an application used by an administrator to manage templates that are accessible to the HLLAPI Update and HLLAPI Data adapters. Templates define fields on a HLLAPI compliant terminal emulator that the adapter can either put data to or get data from.

Following are a few terms used in this document.

1. Screen

A screen is defined as a single, HLLAPI compliant, terminal emulator session. The session must have an identifiable short name (or session name) to be identified by the tool.

2. Template

A template is defined as a collection of fields stored under a unique name. There must be one or more screen identifiers and one or more mapped fields.

3. Field

A field is defined as a location and an amount of characters on the screen. E.g.. The field starts at location 5 and is 6 characters in length. There are two major field types:

  • Screen Identifier
    A Screen Identifier is a field that will be used to match a screen to a template. If multiple Screen Identifiers are defined for a template, then all of them will be used for the identification process.

  • Mapped Field
    A Mapped Field defines the location and size of a character string on the screen that data can either be extracted from or placed on to. There are four types of Mapped Fields:

1. SINGLE

A field defined solely based on its screen position and size. The data at this location can be extracted or placed at all times. There can be many SINGLE field types defined for a template.

2. MULTIPLE

A field defined by its screen position, size and location of the current cursor. A MULTIPLE field can be thought of as a group of SINGLE fields in which the value is extracted or placed depending on the one field identified by the cursor. There can only be one MULTIPLE field type defined for a template. MULTIPLE, COLUMN and RECORD field types are mutually exclusive (one or the other can be defined, but not a mix).

3. COLUMN

A field defined by its screen position, size and location of the current cursor. A COLUMN field can be thought of as stacked SINGLE fields in which the value is extracted or placed depending on the one row identified by the cursor. There can be many COLUMN field types defined for a template as long as they are defined by the same rows.

4. RECORD FIELD

A field defined by its screen position, size and location of the current cursor. A RECORD field can be thought of as a SINGLE field in which the value is extracted or placed depending on the one record identified by the cursor. There can only be one RECORD field type defined for a template. There may be many RECORD field types identified per RECORD field type as long as they are located within the RECORD definition.

NOTE: A RECORD must be identified by the top most position that it will ever be found on the screen and by its size or number of rows. This definition will serve as the anchor record and thus all records below this can be programmatically calculated.

Detailed functionality with UI discussion

UI Layout

The application UI is initially laid out in two areas – the top portion is the “Capture Screen”, consisting of “how to” instructions and a button, and the lower portion is the Screen Replica area. Once the user has successfully “captured” a screen to define, two areas – Screen Identifiers and Mapped Fields –replace the top portion, and the Screen Replica area gets populated with the fields from the terminal emulator. The name that best describes the terminal emulator session is placed on a label atop the Screen Replica area.

Capture Screen

This area informs the user to run the terminal emulator, locate the screen to be defined and “capture” the screen. Clicking the “Capture Screen” button initiates the “capture” functionality.

A right mouse popup menu is not available.

Screen Identifiers

This area provides a list of the identifying values that will be used in the validation process.

A right mouse popup menu is available and is the Screen Identifier Menu.

On selection of identifier, the identifier is highlighted in the Screen Replica area.

Mapped Fields

This area provides a list of the defined mapped fields identified by field name and field type.

A right mouse popup menu is available and is the Mapped Fields Menu.

On selection of mapped field, the field is highlighted in the Screen Replica area.

Screen Replica

This area provides a copy of the terminal emulator screen to define the template. This is the work area. The user will select (via a left mouse click or a left mouse selection) the position and size of the field to be defined. Once a selection is made, identify the type of field to be defined by a right mouse click. The Windows highlight setting identifies a selection. A Screen Identifier is colored yellow and a Mapped Field is colored gray.

A right mouse popup menu is available and is the Screen Replica Menu.

On selection of mapped field, the field is selected in the Mapped Field area.

On selection of screen identifier, the value is selected in the Screen Identifiers area.

Menus

Main Menu
Menu Item | Enabled | Key Access | Description
File | At all times | [alt] F | Standard Windows File menu. Pops up File submenu.
New | At all times | [alt] F-N | If changes were made to previous template, there will be a prompt to save. Clears out Screen Replica area. Sets application title to “Template”. Replaces top area with Capture Screen area.
Open | At all times | [alt] F-O | If changes were made to previous template, there will be a prompt to save. Brings up “Open” dialog, which is a list of HLLAPI templates. User selects template and clicks “Open” button. The application title changes to the selected template. If a screen has been captured, the top area is replaced with Screen Identifiers and Mapped Fields. Also, the screen identifiers will be verified on the screen and the user will be alerted if they are not verified.
Exit | At all times | [alt] F-X | If changes were made to previous template, there will be a prompt to save. Application is shut-down.
Save | Screen Identifier count > 0 AND Mapped field count > 0 AND a change has been made. | [alt] F-S | If it is a new template, a “Save” dialog will be presented to user. The name is defaulted to the first screen identifier. A name is provided and the “Save” button is clicked. If the name is not unique, the user will be prompted with an “Overwrite?” dialog. The application title changes to the newly named template. If the template is not new, the system will save the template without user interaction.
Save As | Screen Identifier count > 0 AND Mapped field count > 0 AND a change has been made. | [alt] F-A | A “Save” dialog will be presented to user. The name is defaulted to the first screen identifier. A name is provided and the “Save” button is clicked. If the name is not unique, the user will be prompted with an “Overwrite?” dialog. The application title changes to the newly named template.
Delete | Current template has been saved. | [alt] F-D | The user is prompted with a “Do you want to remove…?” dialog. Clicking “Yes” button removes the template from the database, clears out the Screen Identifier and Mapped Fields lists, but leaves the captured screen in the Screen Replica area.
Help | At all times | [alt] H | Standard Windows Help menu. Pops up Help submenu.
Edit | At all times | [alt] E | Standard Windows Edit menu. Pops up Screen Replica submenu.

Screen Identifier
Menu Item | Enabled | Key Access | Description
Remove | When a screen identifier is selected. | None | Removes the selected screen identifier from the list. The Screen Replica area is updated to appropriately.

Mapped Fields
Menu Item | Enabled | Key Access | Description
Remove | When a mapped field is selected. | None | Removes the selected mapped field from the list. The Screen Replica area is updated to appropriately.
Rename | When a mapped field is selected. | None | Highlights the field name text and places the cursor in the field, ready for the user to type in a name.

Screen Replica
Menu Item | Enabled | Key Access | Description
Add | When a selection is made. | [alt] E-A | Brings up Add submenu.
Remove | When a screen identifier or mapped field is selected. | [alt] E-R | Removes the selected screen identifier or mapped field from the list. The Screen Replica area is updated to appropriately.
Screen Identifier | At all times. | [alt] E-A-I | Adds the selection as a screen identifier by adding it to Screen Identifier list and updating Screen Replica area appropriately.
Single | At all times | [alt] E-A-S | Adds the selection as a SINGLE mapped field by adding it to the Mapped Fields list and updating Screen Replica area appropriately.
Multiple | COLUMN field and RECORD field count = 0 | [alt] E-A-M | Adds the selection as a MULTIPLE mapped field by adding it to the Mapped Fields list and updating Screen Replica area appropriately.
To Record | MULTIPLE field and COLUMN field count = 0 | [alt] E-A-R | Brings up the To Record submenu.
To Column | MULTIPLE field and RECORD field count = 0 | [alt] E-A-C (select column name to add to or ‘new’) | Adds the selection as a COLUMN mapped field by adding it to the Mapped Fields list and updating Screen Replica area appropriately.

Screen Replica – To Record submenu
Menu Item | Enabled | Key Access | Description
Rows | RECORD field count = 0 | [alt] E-A-R-R | Creates a selection of the entire rows of the selected cells and adds the selection as a RECORD mapped field by adding it to the Mapped Fields list and updating Screen Replica area appropriately.
Field | RECORD field count > 0 | [alt] E-A-R-F | Adds the selection as a RECORD FIELD mapped field by adding it to the Mapped Fields list and updating Screen Replica area appropriately.
Help submenu
Menu Item | Enabled | Key Access | Description
About | At all times | [alt] H-A | Brings up About dialog.
Run Compliance | At all times | [alt] H-R | Brings up HLLAPI Compliance dialog. This allows the user to gather compliance information from HLLAPI compliant terminal emulators. It can be used to track down issues regarding anomalies in the terminal emulators.

Functionality

The HLLAPI Screen Definition Tool will allow the user to manage templates. The user can create and save a template; open, modify, save and or delete a template; or copy a template through the ‘save as’ operation. Fields can be added, removed and renamed to a template.

Example – Create Template

Steps to create a new template:

1. Open HLLAPI Screen Definition Tool from the install directory of the Oracle I/PM client (i.e. C:\Program Files\Stellent\IBPM) To launch the Screen Definition Tool, double click on the ScreenDefTool.exe.

The following figure shows the initial state of a new template. Drop-downs menus are available for File, Edit and Help. The Top Area consists of steps to Capture a screen. The Screen Area, on the lower portion of the window, is available for display of a Screen Replica.

2. Open a HLLAPI compliant terminal emulator, such as Rumba, Attachmate, Client Access, Reflections, etc.

3. Navigate to a screen on the terminal emulator that you would like to map.

4. In the HLLAPI Screen Definition Tool, click the ‘Capture Screen’ button.

The HLLAPI Screen Definition Tool appears, as follows, with an area in the top left of the window for Screen Identifier to be listed. To the right, the upper portion of the window has an area for a Mapped Field List. The lower portion contains a Screen Replica and a Screen Identification appears at the top of the Screen Replica.

5. In the Screen Replica Area, highlight (via the mouse) a value to use to identify this screen.

6. Once selected, use the right click Add pop-up menu to select the Screen. You may choose as many values as desired.

For example, in the screen displayed below, Standard Voucher Entry would be selected as the screen identifier. The Screen Identifier Value is listed as Standard Voucher Entry. The Screen Identifier Selection shows in the Screen Replica area as Standard Voucher Entry.

7. In the Screen Replica Area, highlight (via the mouse) a field to map, for example, Supplier Number. Once the field is selected, using the right click Add pop-up menu, select Single. You may choose as many fields as desired.

In the Mapped Fields section, in the upper right, the Mapped Field Name, Single_1, and the Field Type, SINGLE appear. In the Screen Replica section the Mapped Field selection will appear.

8. In the Mapped Field section, highlight (via the mouse) a Single_1 to rename.

9. Right click on Single_1 and select the Rename option. The field is ready for text input. In this example, String1 would be renamed to Supplier Num.

10. Select Save from the File menu. The Save dialog appears.

11. Enter the name for the new Template.

12. Click the Save button.

Final Notes

The template name appears in the window title bar at the very top of the window. The Screen Identifier is highlighted in yellow, Standard Voucher Entry in this example. The Mapped Field is highlights in gray in this example, the Supplier Number.

Example – Single Field

Steps to add a Single Field to a template:

1. In the Screen Replica Area, highlight (via the mouse) a field to map, for example as below, Supplier Number

2. Once selected, select Single using the right click Add popup menu. You may choose as many fields as desired.

The Mapped Field Name and Type will reflect the Field Name, Single_1, and the Type, SINGLE.

Example – Multiple Field

Steps to add a Multiple Field to a template:

1. In the Screen Replica Area, highlight (via the mouse) a field to map, for example, Invoice Amount.

2. Once selected, select Multiple using the right click Add popup menu.

3. Add to this Multiple field be selecting other fields, for example, Tax Amount and Taxable Amount. You may choose as many fields as desired to add to the Multiple Field.

The Mapped Fields area will contain the Mapped Field Name,Multiple_1, and the Type, MULTIPLE. The Screen Replica area will contain the highlighted Mapped Field selection.

Example – Column Field

Steps to add a Column Field to a template:

1. In the Screen Replica Area, highlight (via the mouse) a column to map, for example, the column under Taxable Amount.

2. Once selected, select To Column->New using the right click Add popup menu.

The Mapped Fields area will list the Mapped Field Name, Column_1, and the Type, COLUMN. The Screen Replica area will contain the highlighted Mapped Field selection.

Example – Record Field

Steps to add a Record Field to a template:

1. In the Screen Replica Area, highlight (via the mouse) a collection of rows to map, for example, the four rows under Pay Item.

2. Once selected, select To Record->Rows using the right click Add popup menu.

The Mapped Fields area will list the Mapped Field Name, Record_1, and the Type, RECORD. The Screen Replica area will contain the highlighted Mapped Field selection.

3. In the Screen Replica Area, in the RECORD just identified, highlight (via the mouse) a field to map, for example Taxable Amount.

4. Once selected, select To Record->Field using the right click Add popup menu. You may choose as many fields as desired.

The Mapped Fields area will list the Mapped Field Name, Record_Field_1, and the Type, RECORD FIELD. The Screen Replica area will contain the highlighted Mapped Field selection.

Error Messages

Message | Possible reason for error | How to resolve
Unable to capture screen | HLLAPIInterface.dll not registered. | Locate and register HLLAPIInterface.dll
Username or password is incorrect | The username or password was not identified in database or user canceled out of Login screen. | Provide correct username and password and click ‘OK’ button.
Unable to load HLLAPI Screen Definition Tool | System Error | Check system documentation
Unable to open template | Template record in database is not valid. | Remove template from database and create
Unable to save template | Database connectivity lost. | Exit application and run again.
Unable to delete template | Database connectivity lost. | Exit application and run again.
Unable to set current template | Template record in database is not valid. | Remove template from database and create
Unable to get list of templates | Template record in database is not valid. | Remove template from database and create
Unable to initialize templates | Template record in database is not valid. | Remove template from database and create
Unable to connect to HLLAPI session | A valid HLLAPI compliant library was not found in the loaded processes. | Load a terminal emulator that is HLLAPI compliant. Some terminal emulators have an option setting them to be HLLAPI compliant.

See the Copyright topic for copyright information.


HLLAPI Install World

HLLAPI Installation Guide for WorldSoftware

The ERP Integration Suite (EIS) CD includes Oracle I/PM Application Link for WorldSoftware.

This document covers the integration with J.D. Edwards WorldSoftware. We also provide an Oracle Imaging and Process Management and J.D. Edwards OneWorld integration.

Primary Functions

There are four primary functions in the WorldSoftware integration:

  • Search for Oracle I/PM Documents
  • Update Process and Document Fields
  • Single Step Data Entry from Document
  • Single Step Data Entry from Batch
  • Support for WorldSoftware Output

Design Goals

Four key issues were considered during design of this integration:

  • Seamless Integration
  • Minimal impact to WorldSoftware environment
  • Leverage existing Oracle I/PM functionality
  • Minimal time necessary for implementation in a WorldSoftware environment.

Document Content

This document allows installation of the ERP Integration Suite (EIS) for WorldSoftware into a live production system. This document also contains instructions for setting up a demonstration system. Steps that are strictly for demonstration and steps that are modifiable depending on the customers’ needs are noted.

Prerequisites

Before proceeding with the installation of the EIS for WorldSoftware, the following prerequisites must be met.

  • Imaging must be installed and operational to use the Search functionality of the integration. Please see the documentation that comes on the Oracle I/PM CD for complete installation instructions.
  • Process must be installed and operational to use the Update, Single Step Data Entry from Document or Single Step Data Entry from Batch functionality of the integration. Please see the documentation that comes on the Oracle I/PM CD for complete installation instructions.
  • J.D. Edwards WorldSoftware must be installed and operational to use any portion of this integration. If a complete World system is not available, We supply a Demo Host file with J.D. Edwards screen shots that can be used in conjunction with NetManage’s Rumba product to simulate a live World system. This document outlines the installation steps for Rumba and the Demo Host file.

Installing Rumba Software

The section provides instructions for the installation of Rumba Version 2000 v6.0a and the Demo Host file, which contains J.D. Edwards World screen shots. If a World system is already in place and terminal emulation software is already installed on a client machine, skip to the next section.

The World integration works with terminal emulation software other than Rumba such as Client Access, Attachmate, and Reflections, but Rumba provides the capability of replaying captured screen shots while being disconnected from a live system so it is the perfect product for doing demonstrations. The primary requirement is that the terminal emulation software used must be HLLAPI compliant.

The Rumba software is installed on a client machine.

Install the Base Rumba Product

1. Write down the Serial Number and Product Key from the CD label on a separate sheet of paper.

2. Place the Rumba Version 2000 v6.0a CD in the CD-ROM drive. The Rumba installation program launches automatically if AutoLaunch is enabled. If the installation program does not launch automatically, run Setup.exe from the root of the Rumba CD.

The Welcome to Rumba 2000 window is displayed.

3. Click on the word Install under the heading Rumba 2000.

4. Type the Serial Number into the boxes provided. The Serial Number is case sensitive.

5. Type the Product Key into the boxes provided. The Product Key is case sensitive.

6. Click Next. The Software License Agreement is displayed.

7. Click Accept to accept the License Agreement. The User Information screen is displayed.

8. Verify or Update the Name field.

9. Verify or Update the Company field.

10. Click Next. The Setup Options window is displayed.

11. Verify that the Express radio button is on.

12. Click Next. A window is displayed that shows the default Installation Folder. If you change this directory other files on the Oracle I/PM CD will also need to be modified. We recommend that you choose the default directory.

13. Click Next. If this is the first time you are installing Rumba on this machine, you will get a message that says the directory does not exist, would you like to create it? Click Yes. The Select Private Directories window is displayed with default values already filled in.

14. Click Next. If this is the first time you are installing Rumba on this machine, you will get a message that says the directory does not exist, would you like to create it? Click Yes. The files will be copied from the CD to your hard drive. When the files are copied, the Wall Data Registration window is displayed.

15. Click No. A window is displayed asking you to confirm that you do not want to register now.

16. Click Yes. A window is displayed asking you if you want to view the README file.

17. Click No. A window is displayed asking you if you want to restart your computer now.

18. Click Yes. Your computer will reboot.

Install the Rumba Demo Host File

1. Place the EIS CD in the CD-ROM drive.

2. Use Windows Explorer to locate the \RumbaClient sub-directory on the CD.

3. Copy JDEDemo.dh file from the CD.

4. Use Windows Explorer to browse to C:\Program Files\WallData\System\DemoHost.

5. Create a new sub-directory called JDE.

6. Paste JDEDemo.dh into C:\Program Files\WallData\System\DemoHost\JDE.

7. Highlight the JDEDemo.dh file in the C:\Program Files\WallData\System\DemoHost\JDE directory.

8. Click the right mouse button and choose the Properties menu option.

9. Click on the General tab.

10. Uncheck the Read-Only box in the Attributes section.

11. Click OK.

Install the Rumba Shortcut File

1. Place the EIS CD in the CD-ROM drive.

2. Use Windows Explorer to locate the \RumbaClient sub-directory on the CD.

3. Drag the JDE Demo.WDA file to the desktop of the client.

4. Highlight the JDE Demo.WDA file from the desktop.

5. Click the right mouse button and choose the Properties menu option.

6. Click on the General tab.

7. Uncheck the Read-Only box in the Attributes section.

8. Click OK.

9. Double click on the JDE Demo.WDA file from the desktop. The Rumba Assist program will start.

10. Click the Exit button in the lower right hand corner of the window.

Installing EIS for WorldSoftware

Install on DSMS

Please refer to the “Installation and Upgrade” section in the EIS.chm for installation instructions. When prompted for Features, please select “ApplicationLink” and “ApplicationLink for HLLAPI”.

HLLAPI Screen Definition Tool Installation

HLLAPI Screen Definition Tool is an application used by the administrator to manage templates that are accessible to the HLLAPI Update and HLLAPI Data adapters. Templates define fields on a HLLAPI compliant terminal emulator that the adapter can either put data to or get data from.

1. Copy the HLLAPISCREENDEFSTARTUP.EXE from the //…/DSMS directory.

2. Use Windows Explorer to browse to C:\Program Files\Stellent\IBPM and paste HLLAPISCREENDEFSTARTUP.EXE.

3. Double click on the HLLAPISCREENDEFSTARTUP.EXE file. The Oracle I/PM client program will begin to download the files needed for the HLLAPI Screen Definition Tool.

4. Log into the Oracle I/PM client to complete the download of all the files.

5. Exit the Oracle I/PM client.

To launch the HLLAPI Screen Definition Tool, use Windows Explorer to browse to C:\Program Files\Stellent\IBPM and double click on the ScreenDefTool.exe.

See the Copyright topic for copyright information.


HLLAP Screen Field Types

HLLAPI Screen Field Types

The ERP Integration Suite (EIS) HLLAPI interface uses a number of screen field types.

Single

Single Field Types are always pushed or pulled when the map is invoked.

In the image above, the following fields are defined as Single: Address Number, Parent Number and Document Number. When a map using this template is invoked, the data will be pushed or pulled to the fields defined above.

Multiple

The data pushed or pulled by a multiple field type is determined by the cursor location.

In the image above, if the cursor is located in one of the three fields defined on the left, the template is considered valid. If a map is invoked, the data will be pulled or pushed from the Document Number map field to whichever screen field contains the cursor.

Column

One or more column fields may be configured in a HLLAPI template. In the image above, four column fields are defined. When the map is invoked, the cursor position determines from which row the data will be pulled. In this example, the 70022 will be pulled and assigned to the Number field. 08/11/99 will be pulled and assigned to the Date field. 09/10/99 and 5.00- will be pulled and assigned to the DueDate and Amount fields respectively.

If the cursor location is not on a row for which a column field is defined, the template is not considered valid for execution.

Record

A record field is also cursor position dependent. When defining a record field in the Screen Definition Tool, the record area is defined first. The record area can span multiple rows. After defining the record area, individual record fields are defined.

In the example above, Number, Number2, Date and Amount are the record fields. When a map containing this template is invoked, the cursor position determines which row corresponds to the top row of a record. In the example above, 13180 will be assigned to the Number map field, 70022 will be assigned to Number2. 09/10/99 will be assigned to Date and 1.50 assigned to Amount.

Multiset

Multiset types are also position dependent. When the cursor is located within a multiset anchor field, all the fields defined in that multiset are populated.

In the example above, there are two multisets defined. When the cursor is positioned within the address field and a map containing the template is invoked, the Address Number, Parent Number and Document Numbers are populated. If the cursor were positioned in the DateFrom field, the DateFrom and DateTo fields are populated. If the cursor is positioned outside the two multiset anchor fields, the template is not valid for execution.

The multiset type is most useful in push operations. In host applications it is common to have parts of a form enabled after other data fields are filled in. Depending on the application, it may not be possible to push all the data at once. It may be necessary to push 3 fields, followed by another 2 fields.


Great Plains Overview

The ERP Integration Suite (EIS) CD includes an integration with Great Plains.

This document contains the following sections.

  • Introduction
  • Installation
  • Configuration
  • SEIS Upgrade

Printing Tips

To print this headings and all its sub topics

  1. Click on the topic frame on the right (this page).

  2. Click Print. The Print Topics dialog appears.

  3. Select the Print the Selected Topic radio button.

  4. Click OK. The Print dialog appears.

  5. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  6. Click Print.


Great Plains Overview

Great Plains Integration Introduction

This section describes the Installation and Use of the Microsoft Great Plains integration with Oracle I/PM. This integration is between the Oracle I/PM windows client and Great Plains windows client.

Supported versions

Acorde v3.0 and above. As of 7.5 this product is known as Stellent Imaging and Business Process Management (IBPM). As of 7.7 this product is known as Oracle Imaging and Process Management (Oracle I/PM).

Acorde Integration Tool (AIT) v3.0 and above. As of 7.5 this product is known as Stellent ERP Integration Suite (SEIS). Stellent ERP Integration Suite (SEIS). As of 7.7 the integration suite is known as the ERP Integration Suite (EIS).

The ERP Integration Suite version must exactly match the Oracle I/PM version.

Microsoft Great Plains eEnterprise 7.00g3, 7.5 or 8.0.

Assumptions

The Oracle I/PM system has been correctly installed and is fully functional

The Microsoft Great Plains eEnterprise 7.00g3, 7.5 or 8.0 has been correctly installed and fully functional.

The Oracle I/PM windows client and Great Plains windows client are running on same physical machine.


Great Plains Installation

Great Plains Integration Installation

This section describes the Installation of the Microsoft Great Plains integration with Oracle I/PM. This topic includes information about

  • Install EIS Components on the Oracle I/PM Server

  • Updating other Oracle I/PM Servers

  • Updating the Oracle I/PM Window Clients

Install EIS Components on Oracle I/PM Server

Please refer to the Installation and Upgrade section for installation instructions. When prompted for Features during the installation, select Application Link and Application Link for Great Plains.

Modify GreatPlains.DP6 to support MS Great Plains 7.5 or 8.0

By default the system supports MS Great Plains 7.0. To enable support for MS Great Plains 7.5 or 8.0 follow these steps.

  • Locate a file GreatPlains.DP7 in the DSMS directory (C:\StellentIBPM\DSMS\MasterFiles) and use a text editor (such as Windows Notepad) to open it.
  • Notice statements like the following:

....// This line is for MS Great Plains 7.0
..... file "AITfilemover.exe" postinstall
"/reg:\\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Great Plains\eEnterprise\7.0\Install\AppPath /file:IBPM.cnk"

....// This line is for MS Great Plains 7.5
....// file "AITfilemover.exe" postinstall
"/reg:\\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Great Plains\7.50\Install\AppPath /file:IBPM.cnk"

....// This line is for MS Great Plains 8.0
....// file "AITfilemover.exe" postinstall
"/reg:\\HKEY LOCAL MACHINE\SOFTWARE\Microsoft\Great
Plains\8.0\Install\AppPath /file:IBPM.cnk

  • Any lines that start with double slashes // are comments and will not be parsed by the system. Therefore simply enable the line supporting MS Great Plains 7.5 or 8.0 by removing double slashes, and disable the line supporting 7.0 by adding double slashes.
  • IMPORTANT: Please make sure NOT to enable support for more than one version of Great Plains. The system can NOT support two MS Great Plains versions at the same time.
  • Save the file GreatPlains.DP7


Great Plains Configuration

Great Plains Integration Configuration

After running IBPMStartup.exe on the IBPM client, which is also the MS Great Plains Client, the file IBPM.cnk will be automatically copied to MS Great Plains install directory (by default this is c:\Program Files\eEntrprs). No manual steps are required but user may check the existence of this file to verify the install process is completed successfully.

Note: When Great Plains client starts, it will read this IBPM.cnk file, convert it to its internal code, and remove it. Please check the file before running the client.

The following areas are covered in this topic.

  • Add Great Plains Template in Oracle I/PM Client

  • Command Definition for Great Plains in Oracle I/PM Client

  • Map Security in Oracle I/PM Client

  • Great Plains Integration Runtime

Add Great Plains Template in Oracle I/PM Client

Each Application Link Service publishes a set of Service Templates that define the data to be processed by the Service. It is these Service Templates that determine the data that can be mapped in the Map tool and therefore processed by EIS Application Link.

The Templates describe data contained within Great Plains client screen and a Business Analyst or System Administrator must define the contents of the Service Template.

The figure below shows the Service Templates tab within the Map tool. This tab provides the ability to create and edit Service Templates for a given Application Link System.

The System combo box will be populated with only the systems that are properly licensed and capable of supporting user defined Service Templates. Please select Great Plains to see existing Templates and/or add new ones.

Click the Add button, the Template editor dialogue displays.

Each Great Plains Template defines the data associated with only the one Great Plains window with which the Application Link will be integrated. Remember to define one template for each Great Plains window.

Using Great Plains terminology, each piece of data is uniquely identified by a Form, Window and Field name. This editor captures the definitions required to describe the data used by the Service Template. The administrator will need to locate the Great Plains Technical Form name, Technical Window name, and Technical Field name for each piece of data required for the Template definition. These names can be located either in the Great Plains documentation or using the Great Plains Modifier tool.

Follow these steps to identify these names by the Great Plains Modifier tool.

1) Navigate to the desired window in the Great Plains client. This example is the Payable Transaction Inquiry – Vendor window, reached by clicking the Inquiry button, followed by selecting Purchasing and Trx by Vendor.

2) Select Tools menu, click Customize/Modify Current Window, this will load the Modifier tool with the active Form.

3) The Form Definition window, which is more than likely behind the form design window shown above, will show the Technical Form Name and Technical Window Name are PM_Transaction_Inquiry.

4) Go back to the window shown in step (2), selecting the Layout/Show Field Names menu item will display the available fields. Double click the desired field; the Properties windows will show detailed information about this field, including the Technical Field Name on very top Vendor ID.

5) It is possible that one form has more than one window. In this example, the bottom half is a separate window. When selected, the properties window will display its window name, PM_Transaction_Inquiry_Scroll.

For a complete discussion of the modifier tool, Technical Form name, Technical Window Name and Technical Field Name, please refer to MS Great Plains documentation.

Summary of fields in Template Editor of EIS Map Tool

At the top of this dialogue:

Template Name – A unique name defined by the Oracle I/PM administrator to identify the Service Template. This name will be used in both the Maps and Command Definitions tabs of the EIS Map tool.

Technical Form Name – This value must exactly match the Great Plains Technical Form name.

Template Data – The Template Data list contains a list of each piece of data defined by the Service Template. You can select the existing rows to change the value.

On the bottom of this dialogue:

Technical Window Name – This value must exactly match the Great Plains Technical Window name.

Technical Field Name – This value must exactly match the Great Plains Technical Field name.

Service Tag – This field is defined by the Oracle I/PM administrator to friendly identify the Technical Field in MS Great Plains. It can be the same as Technical Field Name above or different. The assigned the name will be shown as Service Input or Service Output tag in the Map definition list of the EIS Map Tool Maps tab.

To add a new Great Plains Service Template

  1. Navigate to the Service Templates tab within the EIS Map tool.

  2. Select Great Plains from the System combo box.

  3. Click the Add button.

  4. Enter a desired name in the Template Name field.

  5. Enter Great Plains Technical Form name in the Technical Form Name field.

  6. Enter Great Plains Technical Window name in the Technical Window Name field.

  7. Enter Great Plains Technical Field name in the Technical Field Name field.

  8. Enter the desired Service Tag name in the Service Tag field

  9. Click the Add button to add the data definition to the Template definition.

  10. Repeat steps 6 – 9 for each piece of data required in the Template definition.

  11. Click the Save button to save the Template definition.

  12. Click the Close button to close the Template Editor.

To edit existing Great Plains Service Template

  1. Navigate to the Service Templates tab within the EIS Map tool.

  2. Select Great Plains from the System combo box.

  3. Select an existing template and click Properties.

  4. Change Template Name and /or Technical Form Name as needed.

  5. Select a row in Template Data list and change all other fields as needed

  6. Click Add to add changed data.

  7. Select the old row again and click Remove to clean up old data.

  8. Click Save

  9. Repeat steps 5 – 8 for each piece of data that requires modification

  10. Click the Save button to save the Template definition.

  11. Click the Close button to close the Template Editor.

Command Definition for Great Plains in the Oracle I/PM Client

After Service Template is defined, user needs to create map for the Great Plains integration. This process performed in EIS Map Tool, Maps tab, and no different than any other integration:

  1. Create an Imaging Search, and assign security.
  2. Open Map Tool, go to Maps tab.
  3. Select Great Plains Data from Service Type list.
  4. Select the Template defined in previous steps, from Service Template list.
  5. Click the right arrow button to go to next stage.
  6. Select the desired Imaging Search created in step 1.
  7. Map the field as needed, click Save and enter the map name when prompted.

To execute the map created above, one needs to define a button in Great Plains. The Oracle I/PM integration will look for Great Plains Command Definitions during the run-time. Each Command Definition for a given Service Template will result in the command being available to the corresponding screen within Great Plains.

This is accomplished by going to Map tool, Command Definition tab and following these steps.

1. Select Great Plains from System list.

2. Select Templates from Service Template list.

3. Click Add button, the Add Button Definition dialog will be shown as below.

4. Select a map to be executed in Great Plains runtime from the Map list. Note that due to the inherent menu structure within Great Plains, Map Groups are not supported through the Great Plains Integration.

5. Define a Command Label as needed. This command label will appear on Great Plains menu.

6. Assign a hot key to the Command Definition. The Ctrl key is always required as the system modifier key. All available hot keys appear in the Hot Key combo box.

7. Click OK

Map Security in Oracle I/PM Client

To correctly execute the integration maps from Great Plains client, an Oracle I/PM system administrator must assign security rights of the desired maps to the users.

1. Open an Oracle I/PM client Security Administration Tool, select the Maps tab.

2. The available Maps list will show only Maps that may be configured for Command Definitions (i.e. those that reference a supported system). Additionally, if a license to a supported system is not found, this entire tab will be disabled.

3. Select the user group, select the Map from the Available Maps list, and click the >> button.

4. To revoke Map execution rights for a given group, select the group, select the Map from the Selected Maps list, and click the << button. Note that a user will have access to the aggregate set of Maps across all groups to which they belong.

5. Save your changes and quit Security tool.

Great Plains Integration Runtime

  1. Login to MS Great Plains client. If this is the first login after EIS is installed, a dialogue will show up prompting to include new codes. Answer yes.
  2. When the user navigates to the desired form (for example, Payables Transaction Inquiry), if everything is configured properly including Command and map security rights, the Great Plains client should give a new menu item “extra” as well as a user defined Command Label under it. In Great Plains 8.0 the user defined Command is displayed by clicking on Extras, followed by clicking on Additional.
  3. Click the user defined command, the defined Map will now execute.


Great Plains Upgrade

Remove Old Integration

Remove the existing Optika integration by following these steps.

  1. Open the Dynamics.SET file
  2. Reduce the number at the top of the set file by 1 (example: if the first number in the file is 15, you will need to make this 14) This is very important! If you do not reduce this number you will not be able to run Great Plains any longer.
  3. Delete all lines that refer to "Optika" or "3409"
  4. Save and close the Dynamics.SET file
  5. Delete the Optika.DIC file from the Great Plains directory
  6. Delete the Optika.VBA file from the Great Plains directory (if it exists).

Install New Integration

Install the new integration file (IBPM.cnk) by following these steps.

  1. Open the GreatPlains.dp7 file and uncomment the line that is specific to your version of Great Plains by removing the “//” slashes in front of it.

Example:
********************************
// This line is for MS Great Plains 7.5
// file "AITfilemover.exe" postinstall "/reg:\\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Great Plains\7.50\Install\AppPath /file:IBPM.cnk" .
********************************

  2. Run SEISStartup.exe
  3. After logging into Oracle I/PM you can exit the client.
  4. Run Great Plains.
  5. Notice that you are prompted to include new code. Please click on the Yes button.
    Please follow steps 7,8 and 9 only if you are using a third party integration such as Winthrop Dexterity Consultants Omni Tools Security Suite or the Microsoft Business Solutions Advanced Security add-on.
  6. At the Great Plains login, select "Cancel" to exit.
  7. Open the Dynamics.SET file using notepad and modify as follows:
    Verify that the Oracle I/PM values appear before the OmniTools values in the Dynamics.SET file.
    The Dynamics.SET file should look something like this…

3409
Stellent IBPM Integration
2054
Omni Tools
:C:Program Files/eEntrprs/IBPM.DIC
:C:Program Files/eEntrprs/F3409.DIC
:C:Program Files/eEntrprs/R3409.DIC
:C:Program Files/eEntrprs/OMNITOOL.DIC
:C:Program Files/eEntrprs/OTOO_FRM.DIC
:C:Program Files/eEntrprs/OTOO_RPT.DIC

  8. Save the Dynamics.set file
  9. Upgrade is complete.


Oracle Overview

The ERP Integration Suite (EIS) CD includes an integration with Oracle.

This document contains the following sections.

  • Introduction
  • Installation
  • User's Guide
  • SEIS Upgrade

Printing Tips

To print this headings and all its sub topics

  1. Click on the topic frame on the right (this page).

  2. Click Print. The Print Topics dialog appears.

  3. Select the Print the Selected Topic radio button.

  4. Click OK. The Print dialog appears.

  5. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  6. Click Print.


Oracle Integration Introduction

The ERP Integration Suite (EIS) CD includes various tools that may be used to integrate Oracle Imaging with other applications. This section contains information about Oracle integrations.

Introduction

This document describes the Installation and Use of the Oracle Process-Automation integration with Oracle Imaging.

Overview

The Oracle Imaging Line-Of-Business (LOB) Process-Automation integration extends the power of the LOB system so that it may automatically deliver to the LOB users the necessary content that supports data entry and review tasks within the LOB system. The power of Process and Imaging is made available to LOB users through the native LOB application they are already using. The LOB system becomes enabled with rich workflow and content retrieval capabilities without the appearance or complexities of an application-to-application integration.

The design puts the Process and Imaging engines behind the LOB applications and extends their native capabilities. The design leverages the use of Web Services to make the Oracle Imaging engines accessible from any platform. The integration provides the LOB application with Process Automation through Web Services (PAWS).

PAWS for ERP Voucher Entry requires that the users involved with entering, approving, and reviewing vouchers in an ERP system have their work delivered to them through their ERP system based on their role. Once they have selected their work, they retrieve the imaged Oracle Imaging documents that are necessary to perform their task. This work selection and retrieval occur seamlessly from the native ERP web application. The user does not have to leave their ERP system to select and view the work that they have to do.

Supported Versions

  • Oracle Imaging and Process Management 7.6 and higher

  • Oracle Applications 11i (Oracle Financials 11.5.7, and 11.5.8) and version 12

Oracle Database:

  • 8.1.7.4
  • 9i Release 2.
  • 10g`

Assumptions

  1. An Oracle database exists.

  2. Oracle Applications, including Oracle Financials/Payables, has been installed and configured.

  3. Access to the database must be via a client machine (vs. direct access on the database server machine). SQL Plus should be used to accomplish this.

  4. Forms Builder needs to be installed on a client machine that can access the Oracle database server. This is needed for forms compilation and is required in the “Modifying CUSTOM.PLL” section

Oracle Forms Customization Terminology

There are four items that may be customized with Oracle Applications: special menus, zooms, hotkeys and form events. Below is a short description of each.

Special Menus

Special menus are menu items that can have customized behavior assigned to them. Oracle Forms provides 45 such specialized menu items, which are internally named “SPECIAL1” through “SPECIAL45”. The text on the individual menu item is customizable.

These menu items are contained under three separate top-level menus, named Tools, Reports, and Actions. Each top-level menu will hold 15 of the 45 special menu items, and are distributed as follows:

Tools: “SPECIAL1” through “SPECIAL15”

Reports: “SPECIAL16” through “SPECIAL30”

Actions: “SPECIAL31” through “SPECIAL45"

Zooms

On each Oracle Form exists one toolbar button called the “Zoom” button. This button can be used to add user-invoked, customized logic.

If more than one item is assigned to be invoked through the Zoom button, then a form will be displayed when the user presses the Zoom button that contains a list of the assigned items.

Hotkeys

There are 10 hotkeys that can be configured to provide customized behavior. These hotkeys are called “KEY-F0” through “KEY-F9”, and they correspond to the 10 function keys (F1 through F0) on the keyboard.

To invoke a hotkey, press and hold SHIFT and CTRL, then press the appropriate function key.

Form Events

A form event is something that is invoked automatically when a certain action is done on a form. The form event that Oracle will make available for customization is the POST-INSERT event. This event will be fired by the framework after a record has been inserted into the database.

Internet Browser Security Settings

If you are using Oracle Applications for the first time, you will need to modify your internet browser security settings to allow the downloading of unsigned ActiveX controls. When you log in to Oracle Applications, an automatic download of JInitiator will occur, and you won’t be able to continue until you modify this setting. The default setting in Internet Explorer is Disabled. You need to modify this to be Enable or Prompt.

To modify this setting in Internet Explorer, select the “Tools” menu, “Internet Options” menu item, “Security” tab, “Custom Level” button. Then, find the section on “Download unsigned ActiveX controls”. Select the “Prompt” or “Enable” radio button, then press OK. Press OK again to exit the “Internet Options” dialog. See the screenshot below:

Files Included on the Installation CDROM

Some scripts and text files have been included on the installation CDROM for your convenience. Places in this document that refer to these included files are denoted by the following icons:

PL/SQL script file.

Other files.

FORMS60_PATH: Oracle Forms Default Folder Location

In many places in this document, a reference to the FORMS60_PATH folder is mentioned. This folder is the default folder for Oracle Forms on the [server] machine where Oracle Applications resides. An environment variable called FORMS60_PATH will tell you this location. On a Windows machine, you can find this variable in the registry (using regedit.exe) under HKEY_LOCAL_MACHINE/Software/Oracle.


Oracle Integration Installation

Oracle Imaging and Oracle Database and Applications Integration Installation

Oracle I/PM Installation

The instructions to install the Oracle I/PM section of this integration may be found in the Generic Installation topic in this help file.

Oracle Configuration

This section documents the configuration of the Oracle database and Oracle Applications for use with the Process Automation integration.

Database

The following section documents the configuration of the Oracle database for use with the Process Automation integration.

Create a new schema

A schema will need to be created on the Oracle database within the same instance as Oracle Payables. The schema may be named anything, but we recommend using “OEIS” as the schema name. This schema will hold tables and public synonyms that will be accessed from the custom integration code. This new schema will need to have permissions to javasyspriv as well as execute permissions on xmldom, xmlparser and xslprocessor. To accomplish this connect to the database as the system user and perform the following:

grant execute on dbms_lob to apps;
grant execute on xmldom to OEIS;
grant execute on xmlparser to OEIS;
grant execute on xslprocessor to OEIS;
grant create session on OEIS;

For Release 12 EBS, the following are the privileges for the schema in use.

CREATE USER OEIS
IDENTIFIED BY VALUES '408C412263BF2234'
DEFAULT TABLESPACE OEIS
TEMPORARY TABLESPACE TEMP
PROFILE DEFAULT
ACCOUNT UNLOCK;
-- 7 Roles for OEIS

GRANT CONNECT TO OEIS;
GRANT XDBADMIN TO OEIS;
GRANT XDBWEBSERVICES TO OEIS;
GRANT RESOURCE TO OEIS;
GRANT JAVASYSPRIV TO OEIS;
GRANT JAVAUSERPRIV TO OEIS;
ALTER USER OEIS DEFAULT ROLE NONE;
-- 5 System Privileges for OEIS
GRANT CREATE ANY VIEW TO OEIS;
GRANT CREATE TABLE TO OEIS;
GRANT UNLIMITED TABLESPACE TO OEIS;
GRANT CREATE PUBLIC SYNONYM TO OEIS;
GRANT CREATE SESSION TO OEIS;

-- 3 Object Privileges for OEIS
GRANT EXECUTE ON XDB.DBMS_XMLDOM TO OEIS;
GRANT EXECUTE ON XDB.DBMS_XMLPARSER TO OEIS;
GRANT EXECUTE ON XDB.DBMS_XSLPROCESSOR TO OEIS;

Your DBA will be able to assist you with this task.

Create the tables and public synonyms under the new schema

A number of tables and public synonyms will need to be created under the new schema. Following is a database script that can be used to accomplish this.

CREATE
TABLE ACORDECOMMAND (
USERNAME        VARCHAR2(100),
FORMNAME        VARCHAR2(30),
CMDID           VARCHAR2(256),
CMDTYPE         NUMBER(3),
PARAMNAME       VARCHAR2(256),
PARAMVALUE      VARCHAR2(256),
PARAMVARIABLE   VARCHAR2(256),
CONSTRAINT ACORDECOMMAND_PK PRIMARY KEY
(USERNAME, FORMNAME, CMDID, CMDTYPE, PARAMNAME) );
CREATE PUBLIC
SYNONYM ACORDECOMMAND_SYN FOR ACORDECOMMAND;

CREATE TABLE
ACORDEHOTKEY (
USERNAME        VARCHAR2(100),
FORMNAME        VARCHAR2(30),
HOTKEY          VARCHAR2(8),
CMDID           VARCHAR2(256),
CMDTYPE         NUMBER(3),
CONSTRAINT ACORDEHOTKEY_PK PRIMARY KEY (USERNAME, FORMNAME, HOTKEY) );
CREATE PUBLIC
SYNONYM ACORDEHOTKEY_SYN FOR ACORDEHOTKEY;

CREATE TABLE
ACORDEMENU (
USERNAME        VARCHAR2(100),
FORMNAME        VARCHAR2(30),
EVENT           VARCHAR2(10),
LABEL           VARCHAR2(64),
CMDID           VARCHAR2(256),
CMDTYPE         NUMBER(3),
CONSTRAINT ACORDEMENU_PK PRIMARY KEY (USERNAME, FORMNAME, EVENT) );
CREATE PUBLIC
SYNONYM ACORDEMENU_SYN FOR ACORDEMENU;

CREATE TABLE
ACORDEZOOM (
USERNAME        VARCHAR2(100),
FORMNAME        VARCHAR2(30),
ZOOMNAME        VARCHAR2(64),
CMDID           VARCHAR2(256),
CMDTYPE         NUMBER(3),
CONSTRAINT ACORDEZOOM_PK PRIMARY KEY (USERNAME, FORMNAME, ZOOMNAME) );
CREATE PUBLIC
SYNONYM ACORDEZOOM_SYN FOR ACORDEZOOM;

CREATE TABLE
ACORDEDATABLOCK (
USERNAME            VARCHAR2(100),
FORMNAME            VARCHAR2(30),
EVENTNAME           VARCHAR2(64),
CMDID
VARCHAR2(256),
CMDTYPE             NUMBER(3),
CONSTRAINT pk_acordedatablock PRIMARY KEY (USERNAME, FORMNAME, EVENTNAME)
);
CREATE PUBLIC
SYNONYM ACORDEDATABLOCK_SYN FOR ACORDEDATABLOCK;

CREATE TABLE
ACORDEPROPERTIES (
PROPNAME        VARCHAR2(256) CONSTRAINT
ACORDEPROPERTIES_PK PRIMARY KEY,
PROPVALUE       VARCHAR2(256) );
CREATE PUBLIC
SYNONYM ACORDEPROPERTIES_SYN FOR ACORDEPROPERTIES;

CREATE TABLE
ACORDEFORMS (
FORMNAME        VARCHAR2(30) CONSTRAINT
ACORDEFORMS_PK PRIMARY KEY );
CREATE PUBLIC
SYNONYM ACORDEFORMS_SYN FOR ACORDEFORMS;

CREATE TABLE
ACORDEAIIK (
USERNAME        VARCHAR2(100) CONSTRAINT
ACORDEAIIK_PK PRIMARY KEY,
AIIK            VARCHAR2(2000)
);
CREATE PUBLIC
SYNONYM ACORDEAIIK_SYN FOR ACORDEAIIK;

CREATE TABLE
ACORDECOMPLETE (
USERNAME        VARCHAR2(100),
TYPE            NUMBER(1),
FIELDNAME       VARCHAR2(256),
FIELDVALUE      VARCHAR2(256),
REQUIRED        NUMBER(1) DEFAULT 0,
MODIFIED        NUMBER(1) DEFAULT 0,
CONSTRAINT ACORDECOMPLETE_PK PRIMARY KEY (USERNAME, TYPE, FIELDNAME,
FIELDVALUE) );
CREATE PUBLIC
SYNONYM ACORDECOMPLETE_SYN FOR ACORDECOMPLETE;

CREATE TABLE
ACORDEWORKLIST (
USERNAME        VARCHAR2(100),
PKGRECID        VARCHAR2(16),
ISSELECTED      NUMBER(1),
LOCKEDBY        VARCHAR2(256),
ISSKIPPED       NUMBER(1),
PKGTITLE        VARCHAR2(256),
QUEUENAME       VARCHAR2(256),
TEMPLATENAME    VARCHAR2(256),
LOCKEDBYME      NUMBER(1),
SORT NUMBER (9),
CONSTRAINT ACORDEWORKLIST_PK PRIMARY KEY (USERNAME, SORT) );
CREATE PUBLIC
SYNONYM ACORDEWORKLIST_SYN FOR ACORDEWORKLIST;

CREATE TABLE
ACORDELOGICALUPDATE (
USERNAME
VARCHAR2(100),
LOGICALUPDATENAME       VARCHAR2(256),
SMARTUPDATE             NUMBER(1),
PROCESSCONFIGURED       NUMBER(1),
PROCESSMAP
VARCHAR2(256),
CONTEXTCONFIGURED       NUMBER(1),
CONTEXTMAP
VARCHAR2(256),
COMPLETECONFIGURED       NUMBER(1),
COMPLETEFORCEAUDIT      NUMBER(1),
COMPLETETOFORCEPROMPT    NUMBER(1),
COMPLETEWITHCONFIGURED   NUMBER(1),
COMPLETEWITHPKGTEMPLATE VARCHAR2(256),
COMPLETEWITHFORCEPROMPT NUMBER(1),
COMPLETEAUTOOPEN
NUMBER(1),
CONSTRAINT pk_acordelogicalupdate PRIMARY KEY (USERNAME,
LOGICALUPDATENAME) );
CREATE PUBLIC
SYNONYM ACORDELOGICALUPDATE_SYN FOR ACORDELOGICALUPDATE;

CREATE TABLE
ACORDECWFIELDS (
USERNAME            VARCHAR2(100),
LOGICALUPDATENAME   VARCHAR2(256),
FIELDNAME           VARCHAR2(256),
REQUIRED            NUMBER(1),
CONSTRAINT pk_acordecwfields PRIMARY KEY (USERNAME, LOGICALUPDATENAME,
FIELDNAME) );
CREATE PUBLIC
SYNONYM ACORDECWFIELDS_SYN FOR ACORDECWFIELDS;
CREATE TABLE ACORDECWEVENTS (
USERNAME VARCHAR2(100),
LOGICALUPDATENAME VARCHAR2(256),
EVENTNAME VARCHAR2(256),
CONSTRAINT pk_acordecwfields PRIMARY KEY (USERNAME, LOGICALUPDATENAME, EVENTNAME)
);
CREATE PUBLIC SYNONYM ACORDECWEVENTS_SYN FOR ACORDECWEVENTS;

CREATE TABLE ACORDEPROFILES (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
HASPROMPTS NUMBER(1),
LASTUSED NUMBER(1),
PROFILEID NUMBER(3),
PROFILETYPE NUMBER(3),
CONSTRAINT pk_acordeprofiles PRIMARY KEY (USERNAME, PROFILENAME) );
CREATE PUBLIC SYNONYM ACORDEPROFILES_SYN FOR ACORDEPROFILES;

CREATE TABLE ACORDEPROFILEPROMPTS (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
PROFILEID NUMBER(3),
FIELDID NUMBER(3),
FIELDTYPE NUMBER(3),
DISPLAYTEXT VARCHAR2(512),
OPERATOR NUMBER(3),
OPERATORS NUMBER(3),
REQUIRED NUMBER(1) DEFAULT 0,
USEPICKLIST NUMBER(1) DEFAULT 0,
USEDISTINCTLIST NUMBER(1) DEFAULT 0,
DISTINCTLISTNAME VARCHAR(512),
PICKLISTNAME VARCHAR(512),
VALUE VARCHAR(100),
CONSTRAINT pk_acordeprofileprompts PRIMARY KEY (USERNAME, PROFILENAME,
DISPLAYTEXT) );
CREATE PUBLIC SYNONYM ACORDEPROFILEPROMPTS_SYN FOR ACORDEPROFILEPROMPTS;

CREATE TABLE ACORDEPROFILEMAPS (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
DestPromptField VARCHAR2(128),
SourceTemplateField VARCHAR2(128),
SourceTemplateFieldValue VARCHAR2(512),
CONSTRAINT pk_acordeprofilemaps PRIMARY KEY (USERNAME, PROFILENAME,
DestPromptField) );
CREATE PUBLIC SYNONYM ACORDEPROFILEMAPS_SYN FOR ACORDEPROFILEMAPS;

CREATE TABLE ACORDEPLEVENTS (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
PLNAME VARCHAR2(256),
VALUE VARCHAR2(256),
CONSTRAINT pk_acordeplevents PRIMARY KEY (USERNAME, PROFILENAME, VALUE) );
CREATE PUBLIC SYNONYM ACORDEPLEVENTS_SYN FOR ACORDEPLEVENTS;

CREATE TABLE ACORDESKIPPEDPKGS (
USERNAME VARCHAR2(100),
PKGRECID VARCHAR2(16),
CONSTRAINT ACORDESKIPPEDPKGS PRIMARY KEY (USERNAME, PKGRECID) );
CREATE PUBLIC SYNONYM ACORDESKIPPEDPKGS_SYN FOR ACORDESKIPPEDPKGS;

* This script can be found in a file on the installation CD in the Oracle Files folder and is named OracleDatabaseScript.sql.

Insert records into the ACORDEPROPERTIES table

You will need to insert four entries in the ACORDEPROPERTIES table. This can be done manually using SQL Plus. These entries will contain the information needed by the Oracle system to access the Web Server.

The best way to explain what entries need to be inserted is by an example. The entries can be inserted into the database using SQL Plus.

If there is a Web Server who’s IP is “123.123.123.123”, the virtual directory of the Web is called “ibpmweb”, with a main file of “default.asp” and a dispatcher file of “WebPageDispatcher.asp”, perform the following statements.

INSERT INTO ACORDEPROPERTIES VALUES
(‘AcordeWebServer’, ‘123.123.123.123’);

INSERT INTO ACORDEPROPERTIES VALUES
(‘AcordeWebServerFolder’, ‘IBPMweb’);

INSERT INTO ACORDEPROPERTIES VALUES
('AcordeWebServerMain’, ‘default.asp’);

INSERT INTO ACORDEPROPERTIES VALUES
(‘AcordeWebServerDispatcher’, ‘WebPageDispatcher.asp’);

INSERT INTO ACORDEPROPERTIES VALUES
('IBPM_FORMS_PATH',");

* These insert statements can be found in a file on the installation CD in the “Oracle Files” folder and is named “OracleInsertScript.sql”. Before executing this script file, modify the values according to your Web Server configuration. More than likely, you will only need to modify the ACORDEWebServer value with the IP address of your Web Server; the other values will probably remain the same under a default installation.

The system administrator may choose not to copy the integration files to the default FORMS60_PATH directory due to security reasons or other concerns. See details later in this document in the section Files To Copy. In this case, the destination folder may be specified in the script above, entry "IBPM_FORMS_PATH". For example, if the integration files are being copied to "C:\EISFORMS", this line should look like the following:

INSERT INTO ACORDEPROPERTIES VALUES
('IBPM_FORMS_PATH','C:\EISFORMS')

If this entry is missing or has a blank value, the integration files should be copied to the default FORMS60_PATH directory.

Debug logging (OPTIONAL)

If you are experiencing problems and/or would like to turn on debug logging, you can insert another record into the ACORDEPROPERTIES table to enable this feature.

To turn on debug logging, you will need to have a record in this table with a PROPNAME = “LOG” and a PROPVALUE = “ON”.

INSERT INTO ACORDEPROPERTIES VALUES (‘LOG’, ‘ON’);

If the PROPNAME of “LOG” already exists, you will need to “update” it as follows:

UPDATE ACORDEPROPERTIES SET PROPVALUE = ‘ON’
WHERE PROPNAME = ‘LOG’;

To turn logging back off again, either set the PROPVALUE to something other than “ON”, or delete the entry for “LOG”:

UPDATE ACORDEPROPERTIES SET PROPVALUE = ‘OFF’
WHERE PROPNAME = ‘LOG’;

<or>

DELETE FROM ACORDEPROPERTIES WHERE PROPNAME = ‘LOG’;

Debug logging will create a set of files for each user logged into Oracle Applications. These files will reside in the UTL_FILE_DIR folder (see the next section).

NOTE
There is one debug log file that is named “<Username>_MASTER_LOG.txt” that will continue to grow (items are appended). Limit the times that this feature is enabled to avoid eventually running out of disk space!

Ensure there is a folder specified for the utl_file_dir parameter

The utl_file_dir parameter is used when an update fails and the Guaranteed Delivery Backup feature needs to create a file on the database server. This parameter is stored in the Oracle database and essentially represents the folders in which the UTL_FILE package is allowed to do file operations in. This value may have multiple folders listed, in which case they will be comma separated.

This value can be read using the following SQL Plus command:

SELECT value FROM v$parameter WHERE name = ‘utl_file_dir’;

Script to clean the database

Following is a script that can be run from SQL Plus to wipe out all tables and public synonyms that were created in the new schema. This script needs to be run in the same schema that the tables were created with.

DROP
TABLE ACORDECOMMAND;
DROP TABLE ACORDEHOTKEY;
DROP TABLE ACORDEMENU;
DROP TABLE ACORDEZOOM;
DROP TABLE ACORDEDATABLOCK;
DROP TABLE ACORDEPROPERTIES;
DROP TABLE ACORDEFORMS;
DROP TABLE ACORDEAIIK;
DROP TABLE ACORDECOMPLETE;
DROP TABLE ACORDEWORKLIST;
DROP TABLE ACORDELOGICALUPDATE;
DROP TABLE ACORDECWFIELDS;
DROP TABLE ACORDECWEVENTS;
DROP TABLE ACORDEPROFILES;
DROP TABLE ACORDEPROFILEPROMPTS;
DROP TABLE ACORDEPROFILEMAPS;
DROP TABLE ACORDEPLEVENTS;
DROP TABLE ACORDESKIPPEDPKGS;
DROP PUBLIC
SYNONYM ACORDECOMMAND_SYN;
DROP PUBLIC
SYNONYM ACORDEHOTKEY_SYN;
DROP PUBLIC
SYNONYM ACORDEMENU_SYN;
DROP PUBLIC
SYNONYM ACORDEZOOM_SYN;
DROP PUBLIC
SYNONYM ACORDEDATABLOCK_SYN;
DROP PUBLIC
SYNONYM ACORDEPROPERTIES_SYN;
DROP PUBLIC
SYNONYM ACORDEFORMS_SYN;
DROP PUBLIC
SYNONYM ACORDEAIIK_SYN;
DROP PUBLIC
SYNONYM ACORDECOMPLETE_SYN;
DROP PUBLIC
SYNONYM ACORDEWORKLIST_SYN;
DROP PUBLIC
SYNONYM ACORDELOGICALUPDATE_SYN;
DROP PUBLIC
SYNONYM ACORDECWFIELDS_SYN;
DROP PUBLIC SYNONYM ACORDECWEVENTS_SYN;
DROP PUBLIC SYNONYM ACORDEPROFILES_SYN;
DROP PUBLIC SYNONYM ACORDEPROFILEPROMPTS_SYN;
DROP PUBLIC SYNONYM ACORDEPROFILEMAPS_SYN;
DROP PUBLIC SYNONYM ACORDEPLEVENTS_SYN;
DROP PUBLIC SYNONYM ACORDESKIPPEDPKGS_SYN;

This script is provided only as a convenience should you need to restore your Oracle database back to its original state. Keep in mind that the new schema will also need to be removed as well, and your DBA will be able to assist you with this task.

* This script can be found in a file on the installation CD in the Oracle Files folder and is named OracleDatabaseCleanout.sql.

Files to copy

The following files must be copied from the installation CD to the FORMS60_PATH folder.

These files can be located on the installation CD in the Oracle Files folder.

ACORDEAUDIT.FMB
ACORDECOMPLETE.FMB
ACORDELOGIN.FMB
ACORDEPICKPROFILE.FMB
ACORDEPICKROLE.FMB
ACORDEPKGACTION.FMB
ACORDEPKGPROMPT.FMB
ACORDESELECTSINGLEWORK.FMB
ACORDESELECTWORK.FMB
ACORDESKIPPROMPT.FMB
ACORDEUSERPROMPTS.FMB
OPTIKA.PLL

After these files are copied, register them with Oracle (UNIX).

NOTE
User's implementing this integration on a Unix system may wish to use the OPTIKA.PLD instead of the OPTIKA.PLL. After the PLD is copied to the system, the file may be converted to a PLL, avoiding issues such as a hard coded path. This may be done by opening Form Builder | File | Administration | Convert.

Registering the New Forms

Login to Oracle Applications and select Navigation | Application Developer | Application | Form.

Click on Form to see the following window.

Enter the information for each form added in the previous step, registering them to the proper Application (Accounts Payable). Select Navigation | Application Developer | Application | Function and click on the form tab to see the following window.

Enter the filename without extension for each function. This function name will be used while calling the various forms programmatically. Select the application where the forms will be utilized (Accounts Payable). Then select Navigate | Application Developer | Application | Menu to see the following window.

From this window, add the menu items for the new forms using the function names from the previous steps.

Modifying CUSTOM.PLL

CUSTOM.PLL is a file that is included with Oracle Applications. This file provides hooks which trap for certain customization events, without modifying any of the forms. Modifying existing Oracle forms is extremely discouraged and may void support contracts.

The CUSTOM.PLL file is the file where all customizations to Oracle Applications should be made. This file is usually located in the FORMS60_PATH folder.

CAUTION
Before making modifications to CUSTOM.PLL, make a backup copy of the original file in case you need to rollout your changes.

Also, check to see if a file exists in the FORMS60_PATH folder named CUSTOM.PLX. If it does exist, rename this file to “Copy of CUSTOM.PLX”. The existence of this file might conflict with your changes to CUSTOM.PLL.

Start the Oracle Forms Builder application

A shortcut to start Oracle Forms Builder is on the Start Menu, under Programs | Oracle Forms 6i | Form Builder.

If a dialog appears with the title Welcome to the Form Builder, press Cancel.

The Object Navigator will be shown with a default form called MODULE1, which may be deleted by pressing the DELETE key when MODULE1 is highlighted. We won’t be using this default form.

Connect to the database as the OEIS user

To connect to the database server, go to the File menu and choose Connect…. This will bring up the Connect dialog.

You need to connect as the OEIS user. Type in OEIS for the User Name. Ask your DBA for the password to the OEIS user. The database field should be the identifier that is setup in your TNSNAMES.ORA file, usually located in the folder \orant\NET80\ADMIN on the drive in which your Oracle client software is installed.

Example: Following is a short example of what you would find in the TNSNAMES.ORA file. Erpclient is what you would type in the Database field in the connect dialog to connect to this Oracle database.

ERPCLIENT = (DESCRIPTION=
(ADDRESS=(PROTOCOL=tcp)(HOST=mydb)(PORT=1523))
(CONNECT_DATA=(SID=VIS))
)

Press the Connect button after these 3 fields have been entered.

Open the CUSTOM.PLL file and OPTIKA.PLL file

From the File menu, choose Open. This displays the Open dialog.

Select PL/SQL Libraries (*.pll)” in the “Files of type:” combobox. You may need to navigate to the FORMS60_PATH folder. Select the CUSTOM.PLL file, and press the Open button.

Before opening OPTIKA.PLL, make this file writable. When this file was copied from the Installation CDROM, it retained the read-only attribute. After removing the read-only attribute on OPTIKA.PLL, open it in the same fashion you opened CUSTOM.PLL.

Path separator in ACORDEXML package

This section only applies to users whose Oracle is running on a non-Windows operating system. Users with Oracle running on a Windows OS may skip this section.

Because non-Windows operating systems have path separators that may be different, you may need to change some code in the ACORDEXML package. For example, UNIX uses a slash to separate path, while Windows uses a backslash. If the operating system that Oracle is running uses something other than a backslash for a path separator, you must change this code as follows.

  1. Expand Program Units
  2. Right click on the ACORDEXML (Package Body) node and select PL/SQL Editor.

  3. In the PL/SQL Editor window, there is a global variable named g_strPathSeparator. Change the value of this variable to the character used by your operating system for a path separator. For example, UNIX uses a forward slash. If your path separator exceeds two characters, increase the size of this variable by changing the varchar2(2) to be varchar2(X), where X is the character length of the path separator.

Compile and save OPTIKA.PLL

Select OPTIKA in the Object Browser.

Attach the Appcore library to Optika. go to the Object Navigator and select the Attached Libraries node under Optika.

Next, select the Create button on the toolbar that spans the left side of the Object Navigator.

Insert the name AppCcore as the Library Name and click the Attach button.

Expand the Attached Library node. Appcore is now attached to the Optika Library.

Next, select the menu item to “Compile All”, which is located under Program menu | Compile | All. The shortcut for this is Ctrl + Alt + K. This will bring up the Compile dialog.

Compiling OPTIKA.PLL might take a few seconds. It is complete when the OK button is enabled. There should be no errors in the scrollable list box, but a message should appear saying Compilation completed successfully. Select OK.

Next save OPTIKA.PLL. Select the Save command, which is located under the File menu | Save. The shortcut key for this command is Ctrl + S. The status bar should have a message of Module Saved Successfully.

Attach the OPTIKA library to CUSTOM

Go to the Object Navigator and select the Attached Libraries node under the CUSTOM PL/SQL Library.

Next, select the Create button on the toolbar that spans the left side of the Object Navigator.

After selecting the Create button, the Attach Library dialog will be shown.

Insert the name OPTIKA as the Library name, select the File System radio button, and press Attach.

Expand the Attached Libraries node, and you will see that OPTIKA is now attached to the CUSTOM library.

Open the PL/SQL in the Package Body of CUSTOM

Expand the Program Units node of the CUSTOM library. Right-click on the CUSTOM (Package Body) node, and select the PL/SQL Editor menu item as shown below.

Doing this will bring up another child window named PL/SQL Editor. This is the editor in which we will make the modifications to CUSTOM.PLL.

Make the appropriate changes to the PL/SQL in CUSTOM

There are 2 places in this file which need modification: the zoom_available() function, which returns a boolean whether or not the zoom button is enabled or not; and the event() procedure, which automatically gets called when various events happen (i.e., a hotkey is pressed, a menu item is selected, the zoom button is pressed, a form is initialized, etc.).

The modifications to CUSTOM.PLL are listed below in italics. If any other customizations already exist in this file, place our modifications at the end of the existing code inside each function/procedure.

function zoom_available return boolean is
begin
-- Required for ALL integrations
return acordegeneral.zoom_available();
end zoom_available;

procedure event(event_name varchar2) is
begin

-- Required for ALL integrations
if (acordelogin.main(event_name) = false) then
return;
end if;

-- Required for Search integrations
if (acordesearch.main(event_name) = true) then
return;
end if;

-- Required for Tight Update integrations
if (acordeupdate.main(event_name) = true) then
return;
end if;

end event;

The text for the changes to CUSTOM.PLL can be found in a text file on the installation CD in the Oracle Files folder and is named CustomPLLChanges.txt.

Compile and save CUSTOM.PLL

NOTE
After you make the changes to the PL/SQL in the CUSTOM library, you must press the Compile button near the top of the PL/SQL Editor window.

Next, follow the steps explained in the Compile and save OPTIKA.PLL section for the CUSTOM library.

Compile and save the FMB files

Now, you will need to compile and save the form files. The form files will have an extension of FMB. This is required to create a binary executable form file for the operating system that you will be running Oracle Applications on.

Open each FMB file in Forms Builder. Follow the steps explained in the Compile and save OPTIKA.PLL section for each of the FMB files.

A Compile File must also be performed for each of the FMB files. Accomplish this by executing the command File/Administration/Compile File (with hotkey CTRL+T).

Close the Oracle Forms Builder application

Select Exit from the File menu.

If you are prompted with an Alert dialog, asking if you want to save changes to either CUSTOM or OPTIKA, select Yes.


Oracle Integration User Guide

Oracle and Oracle Imaging ntegration User Guide

The following sections document the how to use the Oracle Process Automation Integration from both the Oracle and Oracle Imaging side.

Oracle Templates

Before you attempt to run the EIS Configuration application, configure some Oracle templates. Configuring a template is not part of the EIS Configuration application, so this will need to be done using the old EIS Map Tool through the Oracle I/PM client.

Bring up the Template Editor and select the Service Templates tab. Select the Oracle Applications in the System combo box. Clicking the Add button will bring up the Oracle Applications Template Editor dialog box, pictured below:

The Template Name can essentially be anything that is descriptive to this template. In most cases the screen name that this template is related to will be the best name. The Service Field is the label associated with a field, which is the label that you will see when mapping this field in the Mapper Config tool. The DataBlock.FieldName is the actual name of the field on the Oracle Form that the data will be pulled from.

The APXINWKB form

Listed below are some example fields on the APXINWKB form and their corresponding DataBlock.FieldName descriptor.

Vendor Name | inv_sum_folder.vendor_name
Vendor Number | inv_sum_folder.vendor_number
Invoice Date | inv_sum_folder.invoice_date
Invoice Number | inv_sum_folder.invoice_num
Invoice Amount | inv_sum_folder.invoice_amount_dsp
Voucher Number | inv_sum_folder.voucher_num

How to get the DataBlock.FieldName from an Oracle Form

To get the field descriptor for fields on other forms, you will need to do the following:

  1. Open up Oracle Forms Builder, and open the form that you need to use. This will be an FMB file, located in the FORMS60.PATH folder.
  2. Right-click on the form name in the Object Navigator and choose Layout Editor. You will need to choose the Canvas in which your field is located.
  3. Click on the field in the Layout Editor.
  4. Notice in the Object Navigator that this field is highlighted within the data block that it is located.
  5. The DataBlock portion of the descriptor will be the Data Block in which the highlighted item is part of. The Field Name portion of the descriptor will be the highlighted item (under the Items tree node).

The Data Block and Field Name should be separated by a period when using in the Oracle Applications Template Editor.

* Important Note: Be careful not to modify or save anything inside the form when using Oracle Forms Builder. This is a developer tool and could possibly alter an existing Oracle form. Modifying existing Oracle forms is extremely discouraged and may void any support contract that you have with Oracle.

How to get the name of an Oracle Form that you are on

To get the form name of an Oracle Form that you are currently on, go to the Help menu and select About Oracle Applications…. This will bring up a dialog that will contain various information. Scroll down to the section named Current Form, and you will see the form name of the current form that you are on.

EIS Configuration Tool

The integration must be configured first in Oracle I/PM side, please see section EIS Configuration Tool for more details.

Oracle Runtime

The following section documents the Oracle runtime.

Logging into Oracle Applications

Opening your browser and pointing to the machine that has Oracle Applications on it will bring you to the login screen. The login credentials required on this screen, along with the specific URL and port number, will need to be provided by your DBA or Oracle Applications installer.

Navigating to an integrated Oracle Form

To navigate to an Oracle Form in the Payables unit, use the “Payables Manager”, which is what you will see after you log into Oracle Applications. You can pick a menu item in the left-hand side, or an item in your “Top Ten List”, which are items from the left that are copied to the right for convenience (i.e., like a Favorites list).

An Oracle Form that is integrated means that you have configured this form to be integrated with the Oracle I/PM system. One such form you may encounter is the APXINWKB form, which is the Invoice Workbench form in the Payables unit. When the form is initially brought up, it will notify you that you are not logged in to Oracle I/PM, and to press a certain hotkey to login. This message will appear on the status bar.

Login to Oracle I/PM

When you press the login hotkey, the login dialog will be displayed if your EIS Configuration is set to Always show login dialog or Show login dialog initially, auto-login on timeout. If your configuration is set to Auto-login, and Oracle finds your alias and activation key in the database (i.e., meaning you have logged in successfully at one time), then it will attempt to log in to Oracle I/PM automatically, and no login dialog will be displayed. Aliases will always be equal to your Oracle Applications username.

The Oracle User field is read-only, and you will need to enter your Username and Password. Press OK when this is complete, or press Cancel to cancel the login process.

When you are logged in, the status bar message will state this fact, along with an indication of the logout hotkey (if assigned).

Multiple Solutions

If you have more than one solution assigned to you, you will be presented with another form to select which solution you would like to log in with. Think of the solution as a role; for example, one solution might be Approvers, while another solution might be Exception Handlers.

Note: If you only have one solution assigned to you, then you will never see this dialog; it will be assumed that you want to login to the only solution that you have access to.

Search

To perform a Search Integration through the Oracle Integration, press the hotkey (or zoom, or menu item) that the search was assigned to (via the EIS Configuration tool). This will launch a browser to be directed to the Web Server to display the search results for this particular search. Search criteria will be taken from selected fields (that were configured using the EIS Configuration tool) on the Oracle Form. If a browser has already been launched for a search, the same browser window will be recycled to display the new search results.

Process Automation

There can be only one Process Automation configured for any one Oracle form. This configuration includes a handful of commands, and zero or more Logical Updates.

Select Work

The Select Work command can be used to display the user’s worklist. The Select Work form will display the packages that the user has access to using the selected profile. Upon initial loading of the Select Work form, the profile will be blank, allowing the user to select a profile to display.

On the screenshot above, the option "Work Packages in this Profile" indicates how to locate the package to be worked on:

  • When it is checked: The user wants to work all packages in this profile one at a time, and in the order that is defined by the profile.
  • When it is unchecked: The user wants to select certain package(s) individually.

If the profile is configured as a prompted profile, the user will be prompted for the value(s) to use before displaying any packages. If the package field value is a picklist, the picklist values will be displayed in a combo box, otherwise, an edit box will be displayed for the user to enter a value.

Another profile can be chosen via the combo box to see the packages available in another profile. Packages can be selected two separate ways. The first way is to select a specific package(s) via the check boxes on the left side of each package. When at least one locked package is selected, the Unlock button will be enabled, which will unlock the selected package(s). The other way is to use the Execute mode, after a profile is selected and the packages displayed dimply click on open.

This will open the first package available for work and place the system into an auto execute mode. Upon requesting to open the next package, the package list will be updated from the EIS server and the next package will be selected for work. To change the execution mode, a user must re-select work via the Select Work form.

Open Package Action

The Package Action command can be used to display the Package Action form. This form can be used to do three things to the current package: (1) open the default image, (2) add a journal entry, or (3) skip the package. The last two can be accomplished through their own separate commands; however, the first one can only be accomplished here if for some reason you accidentally closed the browser that contained the image for the package.

Open Next Package

The Open Next Package command will open the next available package from the current profile. The profile will be executed to refresh the worklist efore returning the next available package. If after executing your profile there are no packages available, the user will be notified that there is no work available through the current profile.

Skip Package

The Skip Package command can be used to skip the current package. Depending on the configuration for Skip, the current package will then be unlocked, left locked, or you will be prompted for what to do (leave locked, or unlock). Following is a screenshot of the prompted form:

Set Auto Open to On

The Set Auto Open to On command is a way to force the Auto Open mode to active. This setting is used when a package is completed. If the setting is active, Open Next Package will be called automatically when a package is completed.

Set Auto Open to Off

The Set Auto Open to Off command is a way to force the Auto Open mode to inactive. This setting is used when a package is completed. If the setting is inactive, Open Next Package will not be called automatically when a package is completed.

Comment

The Add Comment form can be called explicitly, through a command assigned to a hotkey (menu, or zoom), or automatically if configured during a Logical Update. Simply enter text to be placed in the comment and press OK.

Logical Updates

A Logical Update will occur in response to a user’s request (i.e., hotkey, menu item, etc.). Depending on what items are configured, the logical update may perform one or more of the following: (1) an update to Imaging; (2) an update to Process; (3) an update to Package field values (i.e., Complete With); (4) an update of the current Process queue (i.e., Complete To); (5) a journal entry, if required.

Updates: Imaging, Process or Smart

A Logical Update can be configured to perform an Imaging and/or Process update.

The Imaging update is configured to use fields on the Oracle form to perform a search and update the one and only document returned from the search with other field values from the Oracle form. If more than one document is returned in the search results, then this is an error condition and nothing will be updated.

The Process update is configured to use fields on the Oracle form to update the package fields of the current package loaded in Oracle.

A Smart Update is when you have both Imaging and Process updates configured, but only want to update Process if there is an open package, and update Imaging if there is not an open package.

Complete To/With

If you have a Complete configured, it will be determined if we need to display the Complete Form to obtain information needed to perform the complete. This information might include a decision (queue) that the package should be completed to, or package fields that can be set to certain values if the current package is in the appropriate queue. If the package field value is a picklist, the picklist values will be displayed in a combo box; otherwise, an edit box will be displayed for the user to enter a value. If the package field value control is colored yellow, then that field is “required”, and a value will need to be entered in order to continue.

Force Journal Entry

A Force Journal Entry can be configured to force the user to enter a Journal Entry message when the complete is performed. See the screenshot above for the Journal Entry command.

Auto Open on Complete

If Auto Open on Complete is configured as Enabled, or you have explicitly called the Set Auto Open to On command, then after the package has completed, Oracle will attempt to open the next package in the worklist. See the section on Open Next Package for more details.


Upgrade to 3.1.4 Oracle Integration

Upgrade to Oracle I/PM Integration

This section highlights the changes from the release of the Oracle integration (Acorde 7.5) to Oracle I/PM SEIS 7.7.

Table Modification

A change was made in IBPM 7.6 SEIS SP 1 that requires altering one of the tables in the new schema. The change involves the removal of a field in an existing table, the ACORDELOGICALUPDATE table. In 76. SEIS SP1 new functionality was added to support prompted profiles, multi-queue complete and a new execute mode. To support these new features, a number of tables were added to the Oracle integration. Following is a database script that can be used to accomplish this.

DROP TABLE ACORDELOGICALUPDATE;
CREATE TABLE ACORDELOGICALUPDATE (
USERNAME VARCHAR2(100),
LOGICALUPDATENAME VARCHAR2(256),
SMARTUPDATE NUMBER(1),
PROCESSCONFIGURED NUMBER(1),
PROCESSMAP VARCHAR2(256),
CONTEXTCONFIGURED NUMBER(1),
CONTEXTMAP VARCHAR2(256),
COMPLETECONFIGURED NUMBER(1),
COMPLETEFORCEAUDIT NUMBER(1),
COMPLETETOFORCEPROMPT NUMBER(1),
COMPLETEWITHCONFIGURED NUMBER(1),
COMPLETEWITHPKGTEMPLATE VARCHAR2(256),
COMPLETEWITHFORCEPROMPT NUMBER(1),
COMPLETEAUTOOPEN NUMBER(1),
CONSTRAINT pk_acordelogicalupdate PRIMARY KEY (USERNAME, LOGICALUPDATENAME) );

CREATE TABLE ACORDECWEVENTS (
USERNAME VARCHAR2(100),
LOGICALUPDATENAME VARCHAR2(256),
EVENTNAME VARCHAR2(256),
CONSTRAINT pk_acordecwevents PRIMARY KEY (USERNAME, LOGICALUPDATENAME, EVENTNAME)
);
CREATE PUBLIC SYNONYM ACORDECWEVENTS_SYN FOR ACORDECWEVENTS;

CREATE TABLE ACORDEPROFILES (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
HASPROMPTS NUMBER(1),
LASTUSED NUMBER(1),
PROFILEID NUMBER(3),
PROFILETYPE NUMBER(3),
CONSTRAINT pk_acordeprofiles PRIMARY KEY (USERNAME, PROFILENAME) );
CREATE PUBLIC SYNONYM ACORDEPROFILES_SYN FOR ACORDEPROFILES;

CREATE TABLE ACORDEPROFILEPROMPTS (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
PROFILEID NUMBER(3),
FIELDID NUMBER(3),
FIELDTYPE NUMBER(3),
DISPLAYTEXT VARCHAR2(512),
OPERATOR NUMBER(3),
OPERATORS NUMBER(3),
REQUIRED NUMBER(1) DEFAULT 0,
USEPICKLIST NUMBER(1) DEFAULT 0,
USEDISTINCTLIST NUMBER(1) DEFAULT 0,
DISTINCTLISTNAME VARCHAR(512),
PICKLISTNAME VARCHAR(512),
VALUE VARCHAR(100),
CONSTRAINT pk_acordeprofileprompts PRIMARY KEY (USERNAME, PROFILENAME,
DISPLAYTEXT) );
CREATE PUBLIC SYNONYM ACORDEPROFILEPROMPTS_SYN FOR ACORDEPROFILEPROMPTS;

CREATE TABLE ACORDEPROFILEMAPS (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
DestPromptField VARCHAR2(128),
SourceTemplateField VARCHAR2(128),
SourceTemplateFieldValue VARCHAR2(512),
CONSTRAINT pk_acordeprofilemaps PRIMARY KEY (USERNAME, PROFILENAME,
DestPromptField) );
CREATE PUBLIC SYNONYM ACORDEPROFILEMAPS_SYN FOR ACORDEPROFILEMAPS;

CREATE TABLE ACORDEPLEVENTS (
USERNAME VARCHAR2(100),
PROFILENAME VARCHAR2(512),
PLNAME VARCHAR2(256),
VALUE VARCHAR2(256),
CONSTRAINT pk_acordeplevents PRIMARY KEY (USERNAME, PROFILENAME, VALUE) );
CREATE PUBLIC SYNONYM ACORDEPLEVENTS_SYN FOR ACORDEPLEVENTS;

CREATE TABLE ACORDESKIPPEDPKGS (
USERNAME VARCHAR2(100),
PKGRECID VARCHAR2(16),
CONSTRAINT ACORDESKIPPEDPKGS PRIMARY KEY (USERNAME, PKGRECID) );
CREATE PUBLIC SYNONYM ACORDESKIPPEDPKGS_SYN FOR ACORDESKIPPEDPKGS;

* This script can be found in a file on the installation CD in the Oracle Files folder and is named OracleUpgradeScript761.sql.

New files

Copy and compile the files as outlined in the following Installation Guide sections:

  • Insert Records into the ACORDEPROPERTIES Table
  • Files to Copy
  • Start the Oracle Forms Builder Application
  • Connect to the Database as the APPS User
  • Open the CUSTOM.PLL File and OPTIKA.PLL File
  • Path Separator in AcordeXML Package
  • Compile and Save OPTIKA.PLL
  • Attach the OPTIKA Library to CUSTOM
  • Open the PL/SQL in the Package Body of CUSTOM
  • Compile and Save the FMB Files
  • Close the Oracle Forms Builder Application


PeopleSoft Overview

The EIS CD includes an integration with PeopleSoft.

Installation and configuration are discussed in the following topics in this help file.

  • Introduction
  • Installation
  • Configuration
  • User Guide
  • SEIS Upgrade


PeopleSoft Introduction

PeopleSoft Integration Introduction

This integration suite includes various tools that may be used to integrate Oracle I/PM with other applications. This help file contains information about some of the integrations.

For information about integrations not documented in this help file, see the appropriate MS Word DOC file on the EIS CD.

Introduction

This document describes the installation and use of the Oracle I/PM Search and Process-Automation integration with PeopleSoft.

Supported versions

Oracle I/PM 7.7

IBPM 7.6 with SP 2

IBPM 7.6 with SP 1

Acorde 4.0 with SP 1

Acorde v3.1

Acorde v3.1 AIT Mach 2004

PeopleSoft: Financials v8.4, PeopleTools v8.42

PeopleSoft Financials v8.8, PeopleTools v8.44

PeopleSoft Financials v8.8 SP1, PeopleTools v8.45

PeopleSoft Financials v8.9, PeopleTools V8.46

PeopleSoft Financials V9.0, PeopleToolsV8.48
If PeopleSoft 9.0 is installed, PeopleTools V8.48 is required with a patch level of at least .07 (version 8.48.07). You must perform all the install steps of solution '201037600E-IB:"No Service Operation Defined". Please see PeopleSoft Support for additional information.

Assumptions

PeopleSoft Financials v8.4, v8.8, v8.8SP1 or V8.9 or V9.0 has been installed.

PeopleSoft Application Designer has been installed on a client machine and has access to the PeopleSoft Financials system. The Application Designer has to be configured to connect directly to the database in 2-tier mode to successfully import the Oracle I/PM Integration project. Check the Application Designer settings by looking at the Startup tab in the PeopleSoft Configuration Manager program on the same machine. Database Type should be set to one of the database names and not to Application Server. The Application Server Name combo box below this should be disabled.


PeopleSoft Installation

Oracle I/PM with PeopleSoft Installation Procedures

For information about how to install Oracle I/PM with the PeopleSoft integration see the Generic Installation topic in this help file. This information applies to the Oracle integration, the PeopleSoft integration and the EnterpriseOne integration.


PeopleSoft Configuration

PeopleSoft Configuration Procedures

This section describes the configuration of the PeopleSoft system with the Oracle I/PM integration.

Import the ACORDE_INTEGRATION package into PeopleSoft

Oracle delivers a PeopleSoft Application Designer project as part of the PeopleSoft Integration. This project contains all of the Oracle developed PeopleSoft objects that are required to run the integration. To install these objects, perform the following steps.

Warning: if the Application Designer is set to three-tier mode, you will get an error message saying Invalid Operation in three Tier Mode while performing the following steps. Please refer to the Assumptions section in the beginning of this document about instructions for changing the Application Designer mode.

1. Copy the \PeopleSoft Files\ACORDE_INTEGRATION directory from the EIS CD to a local directory and change the file attributes to include write access.

2. Open the PeopleSoft Application Designer and connect to the desired PeopleSoft database.

3. Select the Tools | Copy Project | From File menu.

Figure 1: Select Tools | CopyProject | From File in PeopleSoft Application Designer.

4. Navigate to the ACORDE_INTEGRATION project on the local directory. Click Open.

Figure 2: Open the ACORDE_INTEGRATION project file.

5. If this is the first time you've imported the Oracle I/PM Integration into this PeopleSoft system, proceed to step 6. If you are over-writing an existing integration, follow these steps:

  • Click the Options button and select the Compare Options tab.
  • For Target Orientation, select the Keep Customizations radio button.
  • Click OK.

6. Click Select All, and then click Copy.

Figure 3: Copy all of the definition types.

7. After the project has been copied, select the project in the left-hand pane of Application Designer and click the File | Save All menu item.

Figure 4: Save the ACORDE_INTEGRATION project and object definitions.

Configure Oracle I/PM Messaging within PeopleSoft

The PeopleSoft Application Server communicates with the Web Services through PeopleSoft Application Messaging. This requires proper configuration of PeopleSoft Application Messaging. The PeopleSoft Publish/Subscribe services must be enabled on the PeopleSoft Application Server for the Oracle I/PM integration to work correctly. PeopleSoft Publish/Subscribe services may be enabled using the PeopleSoft PSAdmin utility for the PeopleSoft Application Server. Please refer to PeopleBooks for further information on this.

The LOCAL integration gateway must also be configured correctly from within PeopleSoft. The LOCAL Gateway URL should be set prior to proceeding with the Oracle I/PM integration configuration. To configure the LOCAL integration gateway, perform the following steps.

  1. In the PeopleSoft web client, select the PeopleTools | Integration Broker | Gateways menu item.
  2. Click the Search button to open the LOCAL gateway definition.
  3. Type in the URL to the PeopleSoftListeningConnector, http://servername:port/PSIGW/PeopleSoftListeningConnector, as shown in the figure below. Replace servername and port with your actual PeopleSoft server name and port number.
  4. Click Save.
  5. Click Load.
  6. Click Refresh. Note that you may have to sign out and come back in to see the Connector information correctly.
  7. Consult the Integration Broker PeopleBook for more detailed instructions or troubleshooting.

Figure 5: Local Gateway Connector Information

After the PeopleSoft LOCAL Integration Gateway is configured correctly, the Oracle I/PM Message Node can be configured. Check the LOCAL Gateway as described above and be sure that the HTTPTarget Connector appears in the Connectors list before proceeding.

Steps To Configure the Oracle I/PM Message Node

1. In the PeopleSoft web client, navigate to PeopleTools | Integration Broker | Node Definitions.

2. Click the Search button and select the Oracle I/PM (IBPM or Acorde) Node.

3. Click on the Connectors tab.

4. Modify the Host property value to be the machine name of the Web Server.

Figure 6: Replace IBPMWebServer with the actual machine name of your Web Server.

5. Click the right arrow button on the Properties Scroll area to view the next set of properties. This step is only necessary with version 8.4 of PeopleSoft.

6. Modify the PRIMARYURL property value to be the fully qualified URL to the Acorde.ASMX file (http://servername/IBPMWeb/Services/Acorde.asmx) on your Web Server.

Figure 7: Replace the PrimaryURL value with the actual Acorde.ASMX file (http://servername/IBPMWeb/Services/Acorde.asmx) for your Web Server.

7. Click Save.

8. Check the Node's status by navigating to PeopleTools | Integration Broker | Monitor | Monitor Message. Select the Node Status tab, and then select Oracle I/PM for the Message Node Name. You may need to click on the right arrow Show Following Tabs to see the Node Status tab. Click the Ping Node button. Message Text should read Success as in the figure below. The Web Server must be running for this test to return successfully.

Figure 8: Check the status of the Node.

Installation Summary

When the above steps have been successfully completed, the Oracle I/PM integration is completely installed and ready to be configured to meet specific business needs. The User's Guide section walks through a sample configuration of the integration. Configuration steps will require interaction with both Oracle I/PM and PeopleSoft tools.


PeopleSoft User Guide

PeopleSoft User's Guide

This User's Guide describes how to configure the Oracle I/PM integration for PeopleSoft to your specific business needs and how to use the integration.

This topic includes information about the following.

  • PeopleSoft Templates
  • Sample Templates
  • How to get PeopleSoft Record Fields from a PeopleSoft Page
  • EIS Configuration Tool
  • Configuration of Integration within PeopleSoft
  • PeopleSoft Runtime

PeopleSoft Templates

A PeopleSoft Template defines a set of PeopleSoft Record Fields. These templates are defined in the EIS Configuration Tool, a client tool, so that the integration may be configured to meet any business requirements without having to hard-code field references within the PeopleSoft system. At run time, the PeopleSoft system references these template definitions to determine which field values are needed by Oracle I/PM.

PeopleSoft Templates are defined in the EIS Map Tool. Template definition is the only thing the Map Tool is used for in the PeopleSoft Integration set up. The rest of the integration configuration is performed using the EIS Configuration Tool.

Bring up the Map Tool and select the Service Template tab. Select PeopleSoft in the System drop-down box. Clicking the Add button displays the PeopleSoft Template Editor dialog box, pictured below: It may be necessary to resize the tool to see the Add, Properties and Remove buttons.

Figure 9: PeopleSoft Template Editor.

The Template Name can be anything that is descriptive to this template. The most useful name may be some combination of the PeopleSoft page and integration function (i.e. TE_SHEET_LINES-Search, TE_SHEET_LINES-Update) that this template is being created for.

The Service Field is the descriptive name for the field that is displayed when mapping this field in the EIS Configuration Tool.

The Record.Field Name is the PeopleSoft Record and Field name that is described in the next section of this topic.

After adding the information, save the template by selecting Add then Close to close the PeopleSoft Template Editor.

Sample Templates: The Voucher Inquiry and Quick Voucher Entry Pages

The sections that follow illustrate how to add a Search integration to the Voucher Inquiry page, and a process automation integration to the Quick Voucher Entry component. Samples of templates that may be used for these two PeopleSoft components are shown below.

This table shows some example record fields from the PeopleSoft Voucher Inquiry page (component name = AP_VCHR_INQ). To navigate to this page in v8.4, select Accounts Payable | Review | Vouchers | Voucher Inquiry. In v8.8, select Accounts Payable | Review Accounts Payable Info | Vouchers | Voucher.

From Vendor Number | AP_VCHR_INQ_WRK.FROM_VENDOR_ID
Detail Line Vendor Number | AP_VCHR_INQ_VW.VENDOR_ID
Voucher Number | AP_VCHR_INQ_VW.VOUCHER_ID

This table shows some example record fields from the PeopleSoft Quick Voucher Entry component (component name = VCHR_QUICK_PNL). To navigate to this page in v8.4, select Accounts Payable | Vouchers | Entry | Quick Invoice Entry. In v8.8, select Accounts Payable | Vouchers | Add/Update | Quick Invoice Entry.

Vendor Number | VCHR_HDR_QV.VENDOR_ID
Vendor Name | VENDOR.NAME1
Voucher Number | VCHR_HDR_QV.VOUCHER_ID
Invoice Date | VCHR_HDR_QV.INVOICE_DT
Invoice Number | VCHR_HDR_QV.INVOICE_ID
Invoice Amount | VCHR_HDR_QV.GROSS_AMT
Purchase Order | VCHR_HDR_QV.PO_ID

How to get PeopleSoft Record Fields from a PeopleSoft Page

To get the PeopleSoft Record Field definitions for fields on other pages, perform the following steps.

  1. Launch the PeopleSoft Application Designer and open the PeopleSoft page you wish to use. The PeopleSoft page name can be determined by entering CTRL-J from the browser on the desired page (Component and Menu names can also be determined this way).
  2. Right-click on the page field you wish to use as a template field.
  3. Select Page Field Properties.
  4. The Record name and Field name should be concatenated together as Record.Field in the template editor.

EIS Configuration Tool

The integration must be configured first in Oracle I/PM side, please see section EIS Configuration Tool for more details.

Configuration of Integration within PeopleSoft

The Oracle I/PM integration for PeopleSoft provides two integration techniques. The first technique is through the use of stock integration pages that ship with the Oracle I/PM Integration. These stock pages provide a way to access Search and Process Automation integration commands for certain PeopleSoft components. Not all PeopleSoft components accommodate this approach. Additionally, it is often desirable to design the integration command as a custom button or icon on an existing PeopleSoft page. The Search, Open Next Package and Execute Logical Update integration commands may be bound to custom buttons or icons on existing PeopleSoft pages by referencing the ACORDE_CMDREC Record Field in the configuration dialogs above.

Both integration approaches are discussed below

Configuration of Stock Oracle I/PM Integration Pages

Stock integration pages provide fully functional integrations with very little customization of anything within PeopleSoft. To enable a PeopleSoft component with Oracle I/PM functionality, simply add the desired Oracle I/PM PeopleSoft integration page to the existing PeopleSoft component.

To add the Process Automation page to an existing PeopleSoft component, perform the following steps.

  • Log in to Application Designer.
  • Select File | Open.
  • Select Project in the Definition drop-down box.
  • Type ACORDE_INTEGRATION in the Name edit box and click Open.
  • Select File | Open.
  • Select Component in the Definition drop-down box.
  • Type the component you wish to add the page to in the Name edit box. In this example we're adding the process automation page to Quick Voucher Entry, whose component name is VCHR_QUICK_PNL.
  • Click Open.

Figure 25: Open the Component that you wish to enable with the Process Automation page.

  • Expand the Pages node in the ACORDE_INTEGRATION project. This project will normally be shown in a tree structure on the left hand side of the Application Designer workspace.
  • Click on the ACORDE_DOC_MGMT page and drag it to the component definition grid.
  • Click Save.

Figure 26: Voucher Inquiry component with the ACORDE_DOC_MGMT page added.

The PeopleSoft component is now Process Automation enabled, since the ACORDE_DOC_MGMT page has been added.

For simple document search and retrieval functionality, the same process should be followed to add the ACORDE_GET_DOCS page to the component. For process automation functionality utilizing the Process product, add the ACORDE_DOC_MGMT page to the component as discussed above. In some cases it may be desirable to add both of these pages to a single component to enable that component for both types of functionality.

After the ACORDE_DOC_MGMT page is added to the component, the Item Label should be changed to be appropriate to the context in which the page is being used (i.e. Manage Invoices for Express Voucher Entry). It is also recommended that the page be moved up in display order to the second position in the component. To move the page's position in the display (tab) order, click on the row number on the left hand side of the row and drag the page up or down. Each non-hidden page above will appear as a tab in the component.

Figure 27: VCHR_QUICK_PNL component definition after the ACORDE_DOC_MGMT page is added and moved to the second tab position.

After the process automation page has been added to the PeopleSoft component, security must be granted to the appropriate PeopleSoft permission list in the PeopleSoft web client. To do this, follow the steps below.

  1. Log in to the PeopleSoft web client and navigate to PeopleTools | Security | Permissions & Roles | Permission Lists.

  2. Click the Search button.

  3. Select the permission list to add the IBPM page access. For demo A/P systems, use the ALLPAGES permission list.

  4. Select the Pages tab.

  5. Find the appropriate menu name (see How to get PeopleSoft Record Fields from a PeopleSoft Page), and select the Edit Components link. In the case of the VCHR_QUICK_PNL component, the menu name is Enter Voucher Information.

  6. Find the appropriate component name and click the Edit Pages link. For this example, we're using the VCHR_QUICK_PNL component.

  7. Find the page that has been added (it will be named with the Item Label it was given) and click the Authorized? check box.

Figure 28: Assign authorization to the Oracle I/PM Manage Invoices page.

  8. Click OK twice to get back to the Permission List page, then click Save.

Configuration of Custom Oracle I/PM Integration Commands

Any of the Oracle I/PM Integration commands that are assigned a field value for the ACORDE_CMDREC record in the EIS Configuration Tool may be called from custom buttons on existing PeopleSoft pages. These commands include Searches, Logical Updates, Open Next Package and Open Worklist.

Here is an example of commands that may be used from custom buttons.

Figure 29: Commands available from custom buttons.

This dialogue box is accessed from EIS Config Tool, Integration Solutions tab. Select a solution, click Properties and then click Configure solution.

Notice the last column is ACORDE_CMDREC. The commands that have a value in this column can be used from custom buttons in PeopleSoft. In this system they are ProcessUpdate, ImagingUpdate, etc. The commands that can not be used are OpenWorklist, SkipPackage, etc.

To add a custom button that calls an EIS Integration Command, perform the following steps.

  1. Configure the Oracle I/PM Integration as documented in Section EIS Configuration Tool. Make sure to reference the PeopleSoft component that contains the PeopleSoft page being modified.
  2. In Application Designer, open the page that the button is to appear on. In this example we're using the Voucher Inquiry page, which is AP_VOUCHER_INQUIRY.
  3. Select Insert | Push Button / Hyperlink and drop the button in the desired area on the page.

Figure 30: Push button added to the AP_VOUCHER_INQUIRY page to the right of the Reset Criteria button.

  4. Right click on the button and select Page Field properties. The Push Button Properties page appears as shown below.

Figure 31: Push Button / Hyperlink Properties.

  5. Select ACORDE_CMDREC for the Record Name.
  6. Select the Field Name that the EIS Configuration Tool assigned to this integration command (see the Section Integration Solution).
  7. Click Enable When Page is Display Only.
  8. Select the Label tab. The Label tab appears as shown below.

Figure 32: Label Tab.

  9. To make the button appear as an icon, select Image for Type, Small Image for Size, and enter a Image ID for the image. PS_OPEN_ICN is typically used for Search commands, so we'll use this one here. In other cases, PS_NEXT_IN_LIST_ICN may be used for Open Next Package commands, and SAVE16 may be used for Logical Update commands. The Alt tag for image will be the tool tip text for the button. Use type Static Text to enter a descriptive tool tip. Note that for buttons placed in grid controls, this text will appear as the header of the grid column. An empty string may be entered in this case to avoid making the column width too wide.
  10. Click OK.
  11. Select Insert | HTML Area and drop the control near the top of the page.
  12. Right click on this control and select Page Field properties.
  13. Enter ACORDE_HTML_REC for the Record Name and ACORDE_HTML for the field name. Nothing else needs to be modified for this page field.
  14. Select the Order tab on the page designer and ensure that the ACORDE_HTML field has a value of 0 in the Lvl column. This means that the record field occurs at level 0 of the page and will therefore be accessible to any integration commands, regardless of the level at which they occur. If this field is not at level 0, click on the row number for the field in the far left hand portion of the grid and drag the row up to the top of the grid. This should cause it to be assigned to level 0. You may have to leave the tab and re-enter it to see the change take effect.

Note: Only one instance of the HTML area control should appear on each page. If there are multiple integration commands on a single page, they will share the one instance of the HTML area control. If multiple pages are customized within one component, however, each page will need its own instance of the HTML area control.

Figure 33: The ACORDE_HTML field is at level 0 (Lvl = 0).

  15. Click Save to save the page definition.

PeopleSoft Runtime

The following section documents the runtime behavior of the PeopleSoft integration.

Logging into PeopleSoft

Enter the PeopleSoft login URL into a web browser. Typically, this URL has the following format: http://PeopleSoftWebServer:Port/ps/signon.html. This web page will then redirect you to a different web page where you will be prompted for login information.

Using the URL in the screenshot below directly from the browser can sometimes result in a Cannot Open Registry error when the login is attempted. The URL shown above in this section should always be used to avoid this problem.

Figure 34: The PeopleSoft Login Page.

The PeopleSoft Login Page.

Log in to PeopleSoft using appropriate credentials. For PeopleSoft A/P testing on a Demo database, the user VP1 may be used with a password of VP1. For PeopleSoft eSettlements testing, the user MPHOST should be used with MPHOST as the password.

Navigating to an integrated PeopleSoft Component/Page

Once you've logged into PeopleSoft, you will be presented with a list of high-level menu options on the left hand side of the web page. To navigate to the Quick Voucher Entry component in PeopleSoft v8.4 that we process-enabled in the previous section, select the Accounts Payable\Vouchers\Entry\Quick Invoice Entry menu or in v8.8 select the Accounts Payable | Vouchers | Add/Update | Quick Invoice Entry item as shown below.

Figure 35:

Navigate to the Quick Invoice Entry component in PeopleSoft

Upon selecting Quick Invoice Entry, an Add page will be presented to add a new voucher. Click the Add button to launch the component. Notice the Manage Invoices tab appear. In PeopleSoft v8.8 the tabs were replaced by links across the bottom of the page. This is the process automation tab that we added earlier. If this tab was added to the component but does not appear, check the security settings explained previously and ensure that appropriate page access has been granted to the appropriate permission list.

Initiating the Oracle I/PM Integration

The Oracle I/PM integration is designed to reside silently inside of the PeopleSoft application until the user initiates an action that requires interaction with the Oracle I/PM system. The first time, during a PeopleSoft session, that either of the following two scenarios takes place, the Oracle I/PM Integration will be initiated.

  1. The user clicks on a custom Oracle I/PM Integration button that resides on a PeopleSoft page.
  2. The Process Automation or Search page is loaded. This is normally caused by the user selecting the Oracle I/PM tab in the PeopleSoft component, but can happen automatically when the component is loaded if the page is first in the tab order. It is for this reason that it is recommended to place the page no higher than second in the tab order.

When the Oracle I/PM Integration is initiated, the following sequence of actions takes place:

1. The Oracle I/PM integration retrieves its configuration information from the Oracle I/PM system.

2. The Oracle I/PM integration checks to see if the current PeopleSoft component is configured with an Oracle I/PM integration. If not, the initiation ends and nothing will happen. If there is an integration configured for the current component, the initiation continues.

3. The Login Frequency configuration setting is checked (see the section EIS Configuration Tool for more information). The PeopleSoft user is logged into the Oracle I/PM system in a manner appropriate to the login frequency configuration. This may or may not require the user to type in an Oracle I/PM user name and password.

4. The user's permissions (as configured in the Oracle I/PM Security Tool, see the section EIS Configuration Tool for more information) are then retrieved from the Oracle I/PM system along with more detailed integration configuration information.

5. If the user has access to more than one Oracle I/PM Integration Solution, they will be prompted to select which solution they would like to use for this PeopleSoft session.

Figure 36: Select the Oracle I/PM Integration Solution to use for the current PeopleSoft session.

If you only have one solution assigned to you, then you will never see this dialog. In this case, the one solution will automatically be used.

6. Once the user is logged into Oracle I/PM and has selected an Integration Solution, the requested integration functionality will be performed.

Search

To perform a Search Integration through the PeopleSoft Integration, click the Search Integration hyperlink on the ACORDE_GET_DOCS page. If a custom button was used rather than the stock Search page, click the button that has been assigned to the Search Integration. Below is a custom search button in the Voucher Inquiry page. This is the button that was configured in the previous section.

Figure 37: The Show All Documents button will execute the appropriate Oracle I/PM Search integration when clicked.

Process Automation

There can be only one Process Automation configured for any one PeopleSoft component. A PeopleSoft component is a set of pages that often appear together in a tabbed-page user interface. One Process Automation includes several integration commands and zero to five Logical Updates. Please see the section Integration Solution for a description of the integration commands included with Process Automation integration.

Process Automation Page

The Process Automation Page is the stock page that is delivered with the integration. This page will contain a hyperlink for every Process Automation action available. The Process Automation page contains only those commands that are relevant for the current state of the session. When there is no package open, the Process Automation page contains only those links that pertain to opening a package and performing an update to Imaging. All of the other commands are hidden since they may only be performed when a package is opened.

Figure 38: The Process Automation page displays the open document commands when no package is open.

When the user has opened a package, the Process Automation page will display the commands that represent the available actions on that package.

Figure 39: The Process Automation page displays the package action commands when a package is open.

Open Worklist

The Open Worklist command may be used to display the Oracle I/PM packages available to the user. When the Open Worklist command is executed, the user will first be prompted to select a Process Profile to use as a filter.

Figure 40: List of profiles.

On the screenshot above, there are two different options presented, and they indicate how to locate the package to be worked on:

  • Work Packages in this Profile: The user wants to work all packages in this profile one at a time, and in the order that is defined by the profile.

  • Select Individual Packages to work: The user wants to select certain package(s) individually.

If the second option is chosen, the list of packages in the profile will appear.

Figure 41: The user may open one or many documents (packages) from the Worklist.

When a document is selected and the Open button is clicked, the selected Oracle I/PM package is locked (if it is not locked to this user already) and the default attachment for this package is opened in the secondary Process Automation browser window. If more than one package is selected when the Open button is clicked, only the first one in the list is locked and opened. The other selected packages are held in a Selected For Open Next list by PeopleSoft and will be opened and locked on subsequent Open Next Package commands. Each time the Worklist page is opened, any previously selected packages are cleared from the Selected For Open Next list.

Open Next Package

The Open Next Package command will lock the next package to be worked and open the default attachment for this package in the secondary Process Automation browser window. The following logic is used to determine which package is the next one to be opened.

1. If packages are in the Selected For Open Next list (see the section Open Worklist), they are locked, opened and removed from this list. If no packages are in this list, proceed to step 2.

2. The current Profile is auto-executed and the first package returned from this Profile is locked and opened. The current Profile is the last Profile selected by the user. If the user has yet to select a Profile, they will be prompted to select one and this will become their current Profile.

Skip Package

The Skip Package command may be used to skip the current package. Skipping a package means that the package is closed, but not completed. Depending on the configuration of the Process Automation Integration, the package may be unlocked or left locked to the user or the user will be prompted to make this decision.

Figure 42: The user may be prompted to unlock the Oracle I/PM package if the Process Automation Integration is configured to require this choice.

Add Journal Entry

Users may add journal entries to the Oracle I/PM package by selecting the Add Journal Entry command. Process Automation Integrations may also be configured to automatically show this prompt at various stages of the user's interaction with the package (i.e. on Skip or Complete).

Figure 43: User is prompted to add a journal entry to the current package (document).

Logical Updates

Depending on the configuration, the Logical Update command will perform one or more of the following:

  1. an update to Imaging;

  2. an update to Process;

  3. an update to Package field values (i.e., Complete With);

  4. an update of the current Process queue (i.e., Complete/Complete To) and;

  5. a journal entry, if required.

In addition to appearing on the stock Process Automation Page, logical updates may also be configured as custom PeopleSoft buttons. Logical updates may also be configured to automatically execute on the Save command of the PeopleSoft component in which they reside.

Updates: Imaging, Process or Smart

A Logical Update may be configured to perform an Imaging and/or Process update.

The Imaging update is configured to use fields in the PeopleSoft component to locate and update the one and only one document returned from the search. If more than one document is returned in the search results, then this is an error condition and nothing will be updated.

The Process Update is configured to use fields on the PeopleSoft Component to update the package fields of the current package loaded in PeopleSoft.

A Smart Update is when both Imaging and Process updates are configured, but you only want to update Process if there is an open package. If there is no package open, then Imaging will be updated directly instead.

Complete To and Complete With

If Complete is configured, the system will determine if the Complete With and/or Complete To pages are required to perform the complete.

The Complete To page will prompt for the selection of a Process routing decision.

Package routing decisions are configured in the Process Map.

Figure 44: User is prompted to select the routing decision for the Oracle I/PM document (package).

The Complete With page provides the user an opportunity to modify certain package field values that have been configured for this functionality in the EIS Configuration tool. If the configured package field value is a pick list, the available values will appear as radio button fields. If the configured field is not a pick list, the user will be able to enter any value for that field in the Field Value edit box. If the complete with field value is configured to be a required field, the user must enter a value before they can continue with the completion of the document.

Figure 45: User is prompted to select the completion values for the document (package).

If more than one complete with value has been configured for the current package, the user may use the arrow keys in the Complete With Field scroll area to move between the fields.


PeopleSoft IBPM Express Search Integration

PeopleSoft and Web Express Search Integration

Compared to the standard Oracle I/PM Web client, Web Express provides improved performance for a limited set of features. Integration with Web Express to perform image retrieval is desirable when the Search and retrieval part of the entire solution does not require multiple levels of security and performance is a critical factor. Here is a quick comparison table between the two types of integrations.

 | Oracle I/PM Web Express | Standard Oracle I/PM Web Client
Image Retrieval time | Less than 3 seconds | 5 to 13 seconds
Login mechanism | All requests use a pre-configured account. | Each user logs in with their own ID.
Overhead | none | Must log in and get configuration before search is executed.
Execution mechanism | Directly execute Oracle I/PM search through P-AWSER. | Executes LOB map through standard AWSER.
Configuration | All search names and mapped PeopleSoft fields are hard coded in People code. Changing the configuration or adding new screens must be done at the PeopleSoft coding level. | Configuration is done in Oracle I/PM client, and can be changed at any time by system admin.

Installation

The steps that are the same for the standard integration are not repeated here. This topic references sections in the PeopleSoft Integration guide found in this file. Please see the installation section of this help file.

  1. Copy the integration project as usual. Please see the Configuration topic in the standard install guide. Please also make sure the Keep Customization option is selected while the project is being copied.

  2. Configure the message node. For additional information please see the section Steps To Configure the IBPM Message Node in the install topic.
  3. Configure the new IBPMEXPRESS message node specifically for Express integration.

  4. After selecting the node, the steps are the same as the standard install. Two fields (Host, and URL) must be updated with the correct host name or IP address of your Oracle I/PM web server.

NOTE
The “Host” field is the machine name only, and the URL field has a full URL like: http://<servernameOrIP>/IBPMExpress/ProcessTicket.ASMX

  5. Identify the screen to be integration enabled and the fields to be mapped. Please see section “How to get PeopleSoft Record Fields from a PeopleSoft Page” from the standard install guide.
    In the following steps, we will assume the page is Quick Invoice Entry with page name VCHR_HEADER_QV and Component name VCHR_QUICK_PNL.
  6. The only way to trigger the Oracle I/PM Express integration is from the commands or buttons on the PeopleSoft page. Please see the section Configuration of Custom Oracle I/PM Integration Commands in the standard Users Guide topic. Ignore anything related to the EIS config tool, which does not have an effect on this integration. At the step, “Select the Field Name that …”, select the command ACORDE_INT_99, as shown below.

  7. Please make sure to follow the rest of the instructions for adding an HTML area in the standard Users Guide.
  8. Open the ACORDE_INTEGRATION project in the PeopleSoft Application Designe. Select Records, ACORDE_CMDREC and right click on ACORDE_INT_9. Select “View PeopleCode”, as shown below.

  9. The common code area for all screens follows,

  10. The following is page specific code. To use the Web Express integration on a page, it must have its own sections as shown below.

    Four pieces of information are required for the Express Integration to be successful: the page name, the Oracle I/PM search name, the search prompts in this search and the PeopleSoft fields mapped to these prompts.

    At the top of this section there is an IF statement:
    If %Page = "VCHR_HEADER_QV" Then …
    Make sure the correct page name (case sensitive) is entered, otherwise the logic will be skipped.

    In the example above, the Oracle I/PM search name is “zzzGlobal Search from Voucher Inquiry”, and it has two prompts: BU and VOUCHERID. These prompts are mapped to two fields in the PeopleSoft user interface: VCHR_HDR_QV.BUSINESS_UNIT and VCHR_HDR_QV.INVOICE_ID.

    To get the correct PeopleSoft page name and Field names, please see section How to get PeopleSoft Record Fields from a PeopleSoft Page in the standard Users Guide.

    It is very important that the number of fields in the second and third entry match each other, and that they are in the correct order.

  11. This whole section can be copied as many times as needed for each page to be enabled. Make sure to set the correct configuration for each page.
  12. Change the common user name and common password by executing c:\Program Files\Stellent\WSS\WSSConfigEditor.exe on the Oracle I/PM Web Server The user name and password should be for a valid Oracle I/PM user with administrator rights.

Troubleshooting steps

  1. Make sure the P-AWSER patch is applied on Oracle I/PM Web server and configured correct to receive requests. Please use the test driver provided in P-AWSER patch to verify the functionality.
  2. If the ACORDE_INT_99 is not available to select in installation step 5, please import the project again.
  3. Verify all settings in Installation step 3, 7, 8 and 9, making sure they are correct in your particular environment.
  4. Turn ON logging as instructed in Installation step 8, and look for error messages.


PeopleSoft Express Search Integration for Peoplesoft 7.7

Express Search Integration for Peoplesoft

Introduction

Compared to the standard Oracle I/PM Web client, Web Express provides those features that are used most often in the Web client, at a significantly better performance level. Integration with Web Express to perform image retrieval is desirable when the Search and retrieval part of the entire solution does not require multiple levels of security and performance is a critical factor. Here is a quick comparison table between the two integrations:

 | Express | Standard
Image Retrieval time | Less than 3 seconds | 5 to 13 seconds
Login mechanism | All requests use a pre-configured account. | Each user logs in with their own ID.
Overhead | none | Must login and get configuration before search is executed.
Execution mechanism | Directly execute search through P-AWSER. | Execute LOB map through standard AWSER.
Configuration | All search names and mapped Peoplesoft fields are hard coded in People code. Changing the configuration or adding new screens must be done at Peoplesoft coding level. | Configuration is done in IBPM client, and can be changed at any time by system admin.

Installation

Many steps are the same as for the standard integration and are not be repeated here. This document will reference sections in Peoplesoft Integration guide from the ERP Integration Suite.

  1. Copy the integration project as usual. Please see the section “Configuration” from the standard install guide. Make sure the “Keep Customization” option is select while the project is being copied, as shown below:

  2. Configure the message node, see the section “Steps To Configure the IBPM Message Node” in the standard install guide.
  3. Unlike the IBPM 7.6.2 version, Express Search also uses the ACORDE node in I/PM 77 version. The extra IBPMEXPRESS node is no longer needed.
  4. Click the Properties tab of the ACORDE message node, and set two properties specifically for Express integration:

    The Property names are:
    EXPRESS_SEACH_LOG_ENABLE
    EXPRESS_SEACH_LOG_PATH

    These settings only effect the Express Search feature, and the log file is generated separately. The regular Search or Process Automation is still controlled by the EIS Config Tool in the I/PM client.
    Please make sure to add the trailing slash or back slash character to the log path. The presence of the trailing slash depends on the OS of the Peoplesoft Server.

  5. Identify the screen to be integration enabled and the fields to be mapped. Please see the section “How to get PeopleSoft Record Fields from a PeopleSoft Page” from the standard install guide.
    In the following steps, we will assume the page is Quick Invoice Entry with page name VCHR_HEADER_QV and Component name VCHR_QUICK_PNL.
  6. The only way to trigger the Web Express integration is from commands and buttons on the Peoplesoft page. See the section “Configuration of Custom Oracle I/PM Integration Commands” from the standard install guide. Ignore anything related to EIS config tool, which does not have an effect on this integration. At step 6, “Select the Field Name that …”, select the command ACORDE_INT_99, as shown below:

  7. Please make sure to follow the rest of the instructions regarding adding an HTML area (step 7 to 15).
  8. Open the ACORDE_INTEGRATION project in Peoplesoft Application Designer, select Records, ACORDE_CMDREC and right click on ACORDE_INT_99, select “View PeopleCode”, as shown below:

  9. The common code area for all screens NO longer needs to be modified.

  10. Page specific codes: to use the Web Express integration on a page, it must have its own sections here as follows:

    Four pieces of information are required for the Express Integration to succed: the page name, the Oracle I/PM search name, the search prompts in this search, and the Peoplesoft fields mapped to these prompts.

    At the top of this section there is an IF statement:
    If %Page = "VCHR_HEADER_QV" Then …
    Please make sure the correct page name (case sensitive) is entered. If the name is not entered correctly, the logic will be skipped.

    In the example above, the Oracle I/PM search name is “zzzGlobal Search from Voucher Inquiry”, and it has two prompts: BU and VOUCHERID, which are mapped to two fields from Peoplesoft user interface: VCHR_HDR_QV.BUSINESS_UNIT and VCHR_HDR_QV.INVOICE_ID.

    To get the correct Peoplesoft page name and Field names, please see the section “How to get PeopleSoft Record Fields from a PeopleSoft Page” from the standard install guide.

    It is very important that the number of fields in the second and third entry match each other, and in the correct order.

  11. This whole section can be copied as many times as needed for each page to be enabled. Make sure to set the correct configuration for each page.

Troubleshooting steps

  1. Make sure I/PM 7.7 Web support server is up and running.
  2. If the ACORDE_INT_99 is not available to select in installation step 5, please import the project again.
  3. Verify all settings in Installation step 2, 4 and 10, making sure they are correct in your particular environment.
  4. Turn ON logging as instructed in Installation step 4, and look for error messages.


PeopleSoft Upgrade

To upgrade the PeopleSoft integration to the current version of EIS, perform all of the steps detailed in the PeopleSoft Configuration section of this document.


EnterpriseOne Overview

EnterpriseOne Installation Overview

The ERP Integration Suite (EIS) CD includes an integration with EnterpriseOne (formerly PeopleSoft EnterpriseOne or J.D. Edwards OneWorld).

Installation and configuration are discussed in the following topics in this help file.

  • Overview
  • Install steps
  • Integration
  • User's Guide
  • EIS Upgrade


EnterpriseOne Integration Introduction

The following sections document the Installation and User Guide of the EnterpriseOne (formerly Peoplesoft EnterpriseOne or J.D. Edwards OneWorld) Process-Automation integration. This page contains the Overview. For additional information see the topics for Installation, Integration and User's Guide.

Overview

The Oracle Imaging and Process Management Line-Of-Business (LOB) Process-Automation integration extends the power of the LOB system so that it may automatically deliver to the LOB users the necessary content that supports data entry and review tasks within the LOB system. The power of Process and Imaging is made available to LOB users through the native LOB application they are already using. The LOB system becomes enabled with rich workflow and content retrieval capabilities without the appearance or complexities of an application-to-application integration.

The design puts the Process and Imaging engines behind the LOB applications and extends their “native” capabilities. The design leverages the use of Web Services to make the Oracle I/PM “engines” accessible from any platform. The integration provides the LOB application with Process Automation through Web Services, which in this document we will hereafter refer to as “PAWS”.

PAWS for ERP Voucher Entry requires that the users involved with entering, approving, and reviewing vouchers in an ERP system have their work “delivered” to them through their ERP system based on their role. Once they have selected their work, they retrieve the imaged Oracle I/PM documents that are necessary to perform their task. This work selection and retrieval occur seamlessly from the native ERP web application. The user does not have to leave their ERP system to select and view the work that they have to do.

Supported versions

  • Oracle Imaging and Process Management (Oracle I/PM) 7.6 or higher
  • Imaging and Business Process Management (IBPM) 7.6
  • EnterpriseOne ERP8 system (B7334 with service pack 22)
  • EnterpriseOne 8.9 system (B9)
  • EnterpriseOne 8.10 system
  • EnterpriseOne 8.11 system
  • EnterpriseOne 8.11 SP1 system (Single thread kernel and multi threaded kernel)
  • EnterpriseOne 8.12 system (Single thread kernel and multi threaded kernel)
  • Specific ODBC drivers must reside on the Logic Server to access the J.D. Edwards database on the Enterprise Server using ADO.

Version Notation

This information contained in this document applies to both ERP8, 8.9, 8.10, 8.11, 8.11 SP1 and 8.12 versions of EnterpriseOne. Since 8.9, 8.10, 8.11, 8.11 SP1 and 8.12 are based on the same Tool Release version 8.9.x), this document will not specifically distinguish between these versions. Everything that refers to 8.9 should also apply to 8.10, 8.11 and 8.12. However, there are a few minor differences between these versions to note. For example, the environment name and installation directory for Development in 8.9 is DV9, and in 8.10 it is DV810 while in 8.11 it is DV811. The latest service pack tested on 8.9x version is 8.94.H1.

The differences between 8.9x versions and ERP8 will be noted by the following icons:

Applies only to EnterpriseOne ERP8 systems.

Applies only to EnterpriseOne 8.9 systems.

If no such notation is listed in a particular part of this documentation, then the part applies to both ERP8 and 8.9 (8.10, 8.11, 8.12) versions of EnterpriseOne.

Assumptions

Logic Server

The EnterpriseOne system must have a Logic Server installed on a Windows platform.

JAS (Java Application Server)

The EnterpriseOne system must have a JAS installed.

IBM Websphere Application Server

The application server running on the JAS will be the IBM Websphere Application Server version 4.0 (ERP8) or 5.0.2.x (8.9x versions).

SQL Server

It will be assumed in this document that the EnterpriseOne system will be using Microsoft SQL Server for its database server. Any reference to inspecting or modifying EnterpriseOne database tables will be described in this document using Microsoft database utility programs, such as Enterprise Manager. Please make your own judgment as to the appropriate utility programs to use if your database server is something other than Microsoft SQL Server.

Limitations

The following limitations pertain to the initial release (3.1.4) of this integration.

Form buttons have static bindings

The binding between the buttons on the EnterpriseOne form and the search integration name or logical update name are static. What this means is that a button that is defined to execute the search integration name of “MySearchIntegration1” will always execute this search integration, no matter who is logged into EnterpriseOne and/or Oracle I/PM. Additional functionality to allow a more dynamic approach is scheduled to be included in a future release.

For example, if you are logged into Oracle I/PM as a regular employee, you may want your search results to be a subset of what the search results would be if you were logged into Oracle I/PM as an HR Manager. Currently, the same search button would perform the same search integration, no matter who is logged in, resulting in the same search results.

Workaround

This section describes a temporary workaround for the scenario described in the previous section.

In the Oracle I/PM application you are searching on, you will need an additional field to identify the security level of the document. This can be a numeric type, with values from 0 to 9. Then, you will manually create another table (using Enterprise Manager) in the Imaging database to be used as a cross reference for the search, that will contain a Username field and the Security Level associated with that user. The name of this table is not important, but it will be used later as part of the search. Oracle suggests using a table name of “JDEDocSec”. For example, the user named “AverageJoe” would be assigned a security level of 0, while the user named “CEO” would be assigned a security level of 9. Here, we have illustrated different levels of security, with 0 indicating the most restrictive security status, and with 9 indicating the most unrestrictive security status. So, the user “AverageJoe” would have rights to view documents of security level of 0 only, but the user “CEO” would have rights to view documents of security level of 0, 1, 2, 3, 4, 5, 6, 7, 8, and 9.

The table you add manually should have the following design:

Then enter records into this table to assign a security level to each user. For example, enter in the following records:

Now, make sure that you add Security to this new table for your users, using the Security Tool on the Schema tab. This table will show up as a System Table, so select the checkbox “Show System Tables”.

Then, make sure you add another column to the Oracle I/PM application that has your documents. This new column will specify the security level of the particular document.

Once this is done, you will want to modify your search to reference your new table. In the following screenshot, the search “JDESecTest1” is modified to join the new table we created.

Notice that we do not show the fields that we are joining, and both fields are Hidden (not Promptable). The Value of the USERNAME field will be [USERID], and the Value for SECURITYLEVEL field (from the new table) will be >= to the value of the SECURITYLEVEL field (in the Oracle I/PM application). These conditions are in addition to any other fields that you want to use as parameters to the search. (Note: The search illustrated above does not have any parameters to the search, and will only display DOCTYPEs of matching documents.)

Non-reuse of Internet browser windows

It is currently unknown how to reuse the Internet browsers in the integration. What this means is that for each image, search results, or package attachment that needs to be displayed to the user will be opened up in a brand new browser window.

One problem with this limitation is that the user’s desktop will become cluttered with a potentially large number of browsers open at any given time.

Another problem with this limitation is that the user could possibly be viewing stale information in the browser. If the browser is left open that is displaying the search results for a search integration, then something changes where a document is no longer part of the search results of that search, the initial browser that displays the search results will be showing incorrect information. This is only because of the browser remaining to be open and a failure to understand that the contents of this window may have become invalid.

Workaround

At this time, the only workaround for this limitation is for the user to understand this limitation and get into the habit of closing the Internet browsers when he or she is finished with them. There is no other solution known or scheduled at this time.


EnterpriseOne Installation

EnterpriseOne
Integration Installation

The instructions to install the Oracle I/PM section of this integration can be found in the Installation and Upgrade Steps located in the generic Oracle I/PM install topic in the EIS.CHM.

Microsoft Visual C++ 2005 Redistributable Package (x86)

Install the Microsoft Visual C++ 2005 Redistributable Package on the logic server machine. The package can be downloaded from Microsoft at http://www.microsoft.com/downloads/details.aspx?familyid=32BC1BEE-A3F9-4C13-9C99-220B62A191EE&displaylang=en

HOSTS File

This step is NOT required if your network has been configured to use DNS or WINS to resolve machine names to IP addresses. However, the installer should always consult an EnterpriseOne system administrator prior to installation.

Before installing the EnterpriseOne integration, ensure that the HOSTS file on each of the following machines has an entry for the Deployment and Logic servers.

  • Deployment Server (should have an entry for the Logic Server)
  • Logic Server (should have an entry for the Deployment Server)
  • Client used to install Boomerang Lite (should have an entry for the Deployment Server)

The HOSTS file is usually located in the folder WINNT\system32\drivers\etc. Follow the format already established by the file, which should be the IP address and machine name separated by spaces.

Product Packaging

Product Packaging involves creating the necessary object in the EnterpriseOne system. This is accomplished by using a free third-party tool, Boomerang Lite, made by Pastuhov Consulting.

IMPORTANT: Before using Boomerang to import SEIS objects, please make sure the user account you are going to use in the EnterpriseOne system has sufficient rights to create and advance EnterpriseOne Projects to status 21 (programming). If the user does not have sufficient rights, the Boomerang software will fail to add objects to the project. This can be done in the EnterpriseOne application P98230. Please consult your EnerpriseOne administrator before making these changes, as it may introduce security issues if not done properly.

Installing Boomerang Lite

Boomerang Lite can be downloaded from Pastuhov Consulting’s website at the following URL:

www.everestsoftint.com

Install Boomerang Lite on a machine that has a OneWorld client on it that is able to connect to your own EnterpriseOne system.

Running Boomerang Lite

The installation program should have placed a shortcut on your desktop to launch Boomerang Lite. Go to your desktop, locate the shortcut, and double-click the shortcut to launch the program.

Launching Boomerang Lite will first display the welcome screen. This screen displays information about the third-party product, as well as clearly indicating that you are using a Limited Freeware License version of the Boomerang software. This version only allows importing of OneWorld objects from an existing Boomerang Package file.

To connect to OneWorld select the File menu and then select Connect.

* This will attempt to connect to the OneWorld system. If you do not see the following screen, then it means that the oexplore.exe file’s location does not exist in your PATH. Locate the oexplore.exe file on your computer, and modify your PATH environment variable to include this path. One way to test if this is working is to click on Start, Run, and type “oexplore”, and click on the OK button. It is working if you are prompted with the EnterpriseOne login screen.

* This will attempt to connect to the OneWorld system. If you do not see the following screen, the activConsole.exe file’s location does not exist in your PATH. Locate the activConsole.exe file on your computer, and modify your PATH environment variable to include this path. To test if this is working, click Start | Run, and type activConsole, and click the OK button. It is working if you are prompted with the EnterpriseOne login screen.

Type in the User ID and Password for the [ [image] DV7334 – [image] DV9] environment.

Select the Open Boomerang Package button.

Locate the Boomerang Package file (copied from the installation CD in the JDE Files folder) named PSEO-IBPM.BG1. Select the file and click on the Open button.

Locate the Boomerang Package file (copied from the installation CD in the JDE Files folder) named PSEO-IBPM-ERP9.BG1. Select the file and click on the Open button.

Read the copyright information that is displayed for this Boomerang package. Click OK if you accept these terms.

This screen will display the objects that are contained within this Boomerang package. Select the objects that you wish to import to your own system, more than likely you will want to select all the objects. Then, click on the Import Selected button. This will start the import process.

You will be prompted for the OMW Project Name that you want your objects to be imported to. You can accept the pre-populated project name, select another existing OMW project from the drop-down list, or type in a new OMW project name.

Click the Proceed button to continue.

You will see this progress dialog while Boomerang imports the selected objects into your system.

Click the OK button on the last two message box dialogs that indicate a successful import. You may now close the Boomerang Lite program.

Check in all objects

Launch the Object Management Workbench (OMW) application and check in all of the objects that you just imported using Boomerang Lite. Follow the steps below to accomplish this task.

  • Launch the EnterpriseOne client.
  • In the Fast Path, type OMW and press the Enter key.
  • Click on the Find toolbar button.
  • Locate and single click on the OMW project that you imported the objects into.
  • Click on the Check In toolbar button located down the center of the screen. This will check in all objects within this OMW project that are currently checked out.
  • Click on the Find toolbar button to refresh the checkout status of all the objects.
  • Locate the OMW project that you imported the objects into, and expand the node.
  • Expand the Objects node.

Verify that all of the objects are checked in to the system. If an object is checked in, then the object's icon will NOT have a red checkmark on top of it. Verify that there are no red checkmarks on any of the objects.

On the Deployment Server, please ensure that the files BOPTK10.c, BOPTK11.c and BOPTK12.c exist in the JDEdwardsOneWorld/B7334/DV7334/source folder, and the files BOPTK10.h, BOPTK11.h and BOPTK12.h exist in the JDEdwardsOneWorld/B7334/DV7334/include folder.

* On the Deployment Server, please ensure that the files BOPTK10.c, BOPTK11.c and BOPTK12.c exist in the JDEdwardsOneWorld/B9/DV9/source folder, and the files BOPTK10.h, BOPTK11.h and BOPTK12.h exist in the JDEdwardsOneWorld/B9/DV9/include folder.

Custom Tables

Boomerang will import the table objects into the system, but the tables will not be generated. This will need to be done manually. The custom tables are named: F56OPTK1, F56OPTK2, F56OPTK3, F56OPTK4, F56OPTK5, F56OPTK6, F56)PTK7, F56OPTK8 and F56OPTK9. Following are the steps on how to do this.

  1. Log into the [ [image] DV7334 – [image] DV9] environment using the EnterpriseOne client.
  2. In the Fast Path, type “OMW”. This will bring up the Object Management Workbench.
  3. Click on Find.
  4. Expand the project node in which the Product Packaging has created the objects.
  5. Expand the Objects node under the Project.
  6. Highlight a table object (e.g., F56OPTK1). Note: If the table objects do not exist, then something went wrong with Product Packaging in the previous step.
  7. Click on the Design button, located on the toolbar down the center of the screen.
  8. Click on the Table Operations tab.
  9. Click on the Generate Table button.
  10. Enter the password for the given Object Owner ID. The Object Owner ID is the owner of the table. The default password for owner TESTDTA is testdta (lowercase).
  11. Click on OK.
  12. A message box should be displayed: Generation successful. Click OK.
  13. Click on the Generate Indexes button.
  14. Enter the password for the given Object Owner ID. The Object Owner ID is the owner of the table. The default password for owner TESTDTA is testdta (lowercase).
  15. Click on OK.
  16. A message box should be displayed: “Generation successful”. Click OK.
  17. Click OK to return to the OMW.

Repeat steps 6 (Highlight a table object) through 17 (Click OK to return to the OMW) for the other table objects.

After these steps have been completed, verify the existence of the tables with SQL Enterprise Manager. They should be located in the [image] JDE_DEVELOPMENT or [image] PS_DEV database on the Enterprise Server.

Be sure to check the Permissions on each table to ensure public access to the table. Do the following for each table.

  • Right-click on the table in Enterprise Manager, and select Properties.
  • Click on the Permissions button.

Make sure that the Table Owner has all access to the table, as well as the public user (see screenshot below). The checkboxes for SELECT, INSERT, UPDATE, DELETE, EXEC and DRI should all be checked.

Business Function deployment

The custom business function objects and data structures must be deployed to the Logic Server. Since these business functions are contained in new business function libraries (DLL’s), assemble, build and deploy a full server package to the Logic Server. Your EnterpriseOne administrator should be able to assist you with this task.

Important Note: The deployment of a full server package can take many hours, and it is recommended that you build the full package when the system is not under heavy load.

* Ensure that the OPTKCORE.DLL and OPTKCUST.DLL exist in the /JDEdwardsOneWorld/ddp/B7334/DV7334/bin32 folder on the Logic Server.

Ensure that the OPTKCORE.DLL and OPTKCUST.DLL exist in the /JDEdwardsOneWorld/ddp/B9/DV9/bin32 folder on the Logic Server.

JDEAcordeUpdate.DLL

JDEAcordeUpdate.DLL is the Win32 DLL that is called from the two EnterpriseOne business functions. This DLL will perform the SOAP calls to the Web Server, and in essence, all of the Oracle I/PM business logic.

Create a directory on the Logic Server to hold this DLL. It is recommended that you create a directory structure of C:\Program Files\Stellent\IBPM\JDE. The JDE subfolder will house the user state and user configuration XML files.

Copy the JDEAcordeUpdate.DLL into the C:\Program Files\Stellent\IBPM folder from the installation CD.

Use REGEDIT to create the following registry items:

Registry Key | Item Name | Data Type | Value
HKLM/Software/Optika/Setup | INSTALLDIRECTORY | REG_SZ | C:\Program Files\Stellent\IBPM
HKLM/Software/Optika/JDE | ImagingWebServices | REG_SZ | The full URL link to Imaging Web Server.
HKLM/Software/Optika/JDE | TABLENAME1 | REG_SZ | F56OPTK1
HKLM/Software/Optika/JDE | TABLENAME2 | REG_SZ | F56OPTK2
HKLM/Software/Optika/JDE | TABLENAME3 | REG_SZ | F56OPTK3
HKLM/Software/Optika/JDE | TABLENAME4 | REG_SZ | F56OPTK4
HKLM/Software/Optika/JDE | TABLENAME5 | REG_SZ | F56OPTK5
HKLM/Software/Optika/JDE | TABLENAME6 | REG_SZ | F56OPTK6
HKLM/Software/Optika/JDE | TABLENAME7 | REG_SZ | F56OPTK7
HKLM/Software/Optika/JDE | TABLENAME8 | REG_SZ | F56OPTK8
HKLM/Software/Optika/JDE | TABLENAME9 | REG_SZ | F56OPTK9
HKLM/Software/Optika/Debug | LOB | REG_DWORD | 0 for no debug logging; otherwise this value specifies the size in kilobytes of the log file. This log file is located in the INSTALLDIRECTORY

Note: this can also be done by importing the JDETight.reg file located on the installation CD. Make sure ImagingWebServices is changed to have the correct machine name of your Web Server, for example: http://webserver/ibpm/Web/services/Acorde.asmx.

If the ODBC driver to the database requires a table owner to be pre-pended to the table name, then the table owner can be specified as part of each of the individual table name values. For example, change the TABLENAME1 value to TESTDTA.F56OPTK1, and all other values in the same fashion.

Restart the EnterpriseOne services. To do this, using the Windows Services application, locate the EnterpriseOne services.

* There are two services, and they are named as follows:

  • JDE Update 4 B733 Queue

  • JDE Update 4 B733 Network

Please keep in mind that the Network service needs to be the first one started and the last one stopped. In other words, to stop the services, first stop the Queue service, then stop the Network service. To start the services, first start the Network service, then start the Queue service.

There is one service, and it is named the following:

  • JDE Update 4 B9 Network

LOBLogging.dll

This file is used by the JDEAcordeUpdate.dll to perform the logging of messages. It must be copied to the C:\Program Files\Stellent\IBPM folder and registered with COM. To register, open a command prompt in this folder and enter 'regsvr32 loblogging.dll'.

ODBC System Data Source

* The JDEAcordeUpdate.DLL accesses the custom Oracle I/PM tables using an ODBC data source. If a System Data Source does not exist on the Logic Server (which will more than likely be the case), you will need to create a System Data Source and point it to the database that contains the custom OPTK tables (F56OPTK1, …, F56OPTK9).

Your database administrator should be able to assist you with this task. The typical database to connect to is the [image] JDE_DEVELOPMENT or * PS_DEV database, and the default username and password for this database is “testdta” and “testdta”, respectively. The data source name, username, and password, will be used later when specifying the System Configuration in the SEIS Configuration Tool.

OCM mappings

Add OCM mappings for the 2 business functions that will execute on the Logic Server. This is required because the 2 business functions call out to a Win32 Oracle I/PM DLL to do its work, which needs to run on a Windows platform. Thus, the Logic Server needs to be on a Windows platform.

Caution: Using the Object Configuration Manager application should be done by an experienced CNC administrator or your EnterpriseOne administrator. The following steps should be followed precisely as described.

The OCM mappings will be added to two different data sources. Six will be added to the system data source and six to the logic server's server map.

* In the OCM application (Object Configuration Manager), map the 3 business functions to the DV7334 and JDV7334 environments. Add these OCM mappings to System data source, and the data source of the Logic Server’s Server Map.

* In the OCM application (Object Configuration Manager), map the 3 business functions to the DV9 and JDV9 environments. Add these OCM mappings to the System data source, and the data source of the Logic Server’s Server Map. To add your OCM mappings, perform the following detailed instructions.

Open up the EnterpriseOne fat client, and type OCM in the Fast Path and press the Enter key. This will launch the Object Configuration Manager application.

  1. Select the row with the data source that starts with System, and click the Select button.
  2. Click on the Add button.
  3. * Enter information for the first row of the screenshot above. (i.e., Environment of “DV7334”; Object Name of “BOPTK10”; Primary Data Source of “<your logic server>” without the “–Logic”; System Role as “*PUBLIC”; Data Source Mode of “P”; and Allow QBE of “3”).
    * Enter information for the first row of the screenshot above. (i.e., Environment of DV9; Object Name of BOPTK10; Primary Data Source of <your logic server> without the –Logic; System Role as *PUBLIC; Data Source Mode of P; and Allow QBE of 3).
  4. Click the OK button to save this mapping.

* Repeat steps 3 and 4 for the remaining rows of the screenshot above. (i.e., you need three mappings in each environment, DV7334 and JDV7334, for the objects named BOPTK10, BOPTK11 and BOPTK12.)

* Repeat steps 3 and 4 for the remaining rows of the screenshot above. (i.e., you need three mappings in each environment, DV9 and JDV9, for the objects named BOPTK10, BOPTK11 and BOPTK12.)

  5. Click the Cancel button to return to the mappings for System data source.
  6. In the QBE area above the “Object Name” column, type “BOPTK1*” and press “Find”. The six mappings that you just entered should be displayed in the grid.
  7. Select all four rows, and click on the “Change Status” row exit button. Notice the “Object Status” column in all four rows will change to “AV” (Active).
  8. Press the “Close” toolbar button to return to the list of machine data sources.
  9. Now, select the row with the data source that starts with the name of your Logic Server and ends with “Server Map”, and click on the “Select” button.

Repeat steps 3 through 9 for your Logic Server’s data source.

Press the Close toolbar button to exit the Object Configuration Manager application.

Configuring the Integration

Once the objects have been created in the system, now you are ready to insert integration points into your forms. There are only 2 forms that are supported in the first version of this integration. Any other forms that are needed to be integrated with will require additional development.

The two forms that are supported in the initial release of this integration are:

  • W0411G (Supplier Ledger Inquiry)
  • W0411A (Enter Voucher Information)

These two forms are a part of the P0411 application. Any other forms that are needed to be integrated with will require additional development, which method will be described later in this document.

EnterpriseOne Templates

Before you attempt to run the SEIS Configuration application, you will need to have some EnterpriseOne templates configured. Configuring a template is not part of the SEIS Configuration application, so this will need to be done using the SEIS Map Tool through the Oracle I/PM client.

Open this tool and select the Service Template tab. Select the “PeopleSoft EnterpriseOne” or “EnterpriseOne” item in the System drop-down box. Clicking the Add button will bring up the EnterpriseOne Template Editor dialog box, pictured below.

It is recommended that you have one EnterpriseOne Template for each form that you will integrate with. Each template will be an abstract collection of fields (i.e., form fields and grid fields) that are contained on the form. The initial release of this integration gives support for 2 existing forms, and it is strongly recommended to add the templates by executing the scripts located on the SEIS release CD in the ...\PeopleSoft EnterpriseOneFiles\Web or \EnterpriseOneFiles\Web Integration directory.

PSEO_TemplatesOR.sql (If your Oracle I/PM system is using Oracle Database.)

PSEO_TemplatesSQL.sql (If your Oracle I/PM system is on Microsoft SQL Database.)

One may choose to enter the templates manually. In that case the following will need to be created EXACTLY as listed below.

Important Note: The Field Identifier field is case-sensitive on both of the templates below, and no spaces are permitted!

Template for W0411G (Supplier Ledger Inquiry)

Service Field | Field Identifier
Open Amount | GCOpenAmount
Foreign Amount | GCForeignAmount
Discount Available | GCDiscountAvailable
Gross Amount | GCGrossAmount
Supplier Number | GCSupplierNumber
Foreign Disc Available | GCForeignDiscAvailable
Company | GCCo
Currency Code | GCCurrCode
As If Rate | GCAsIfRate
Exchange Rate | GCExchangeRate
Currency Mode | GCCurrencyMode
Doc Type | GCDocType
Adjust Doc Type | GCAdjustDocType
Due Date | GCDueDate
G/L Date | GCGLDate
Void Date | GCVoidDate
Batch Date | GCBatchDate
Invoice Date | GCInvoiceDate
Document Number | GCDocumentNumber
No. Pymts | GCNoPymts
Cancel/OK Flag | GCCancelOKFlag
PO Warning Flag | GCPOWarningFlag
Foreign Open | GCForeignOpen
G/L Offset | GCGLOffset
Batch Number | GCBatchNumber
Batch Type | GCBatchType
Document Company | GCDocCo
Ledger Type | GCLT
Business Unit | GCBusinessUnit
PO Document Type | GCPODocType
Document Company (PO) | GCDocCoPO
Purchase Order | GCPurchaseOrder
G/L Posted Code | GCPC
Pay Stat | GCPayStat
Pymt Terms | GCPymtTerms
Pay Inst | GCPayInst
Recurring Frequency | GCRecurFreq
Reg Code | GCRegCode
Pay Item | GCPayItem
Pay Ext | GCPayExt
Invoice Number | GCInvoiceNumber

Template for W0411A (Enter Voucher Information)

Service Field | Field Identifier
Open Amount | GCOpenAmount
Open Amount - A/P | GCOpenAmountAP
Category Code 07 | GCCatCd07
Foreign Amount - A/P | GCForeignAmountAP
Foreign Prev Amt | GCForeignPrevAmt
Foreign Prev Amt to Dist | GCForeignPrevAmtToDist
Prev Amt to Dist | GCPrevAmtToDist
Discount Taken - A/P | GCDiscountTakenAP
Foreign Prev Disc Amt | GCForeignPrevDiscAmt
Prev Disc Amount | GCPrevDiscAmount
Discount Available | GCDiscountAvailable
Discount Available - A/P | GCDiscountAvailableAP
Foreign Orig Gross Amt | GCForeignOrigGrossAmt
Gross Amount | GCGrossAmount
Gross Amount - A/P | GCGrossAmountAP
Prev Gross Amount | GCPrevGrossAmount
Approver | FCApproverLongAddress
Supplier Number | FCLongAddressNumber
Calc Amt to Dist | GCCalcAmtToDist
Foreign Calc Amount | GCForeignCalcAmount
Foreign Calc Amt to Dist | GCForeignCalcAmtToDist
G/L Bank Account Number | GCGLBankAccountNumber
Foreign Amt to Distribute | GCForeignAmtToDistribute
Foreign Prev Taxable Amt | GCForeignPrevTaxableAmt
Prev Taxable Amount | GCPrevTaxableAmount
Taxable Amount | GCTaxableAmount
Taxable Amount - A/P | GCTaxableAmountAP
Non-Taxable Amount - A/P | GCNonTaxableAmountAP
Foreign Disc Available - A/P | GCForeignDiscAvailableAP
Foreign Disc Available - wf | GCForeignDiscAvailableWF
Foreign Disc Taken - A/P | GCForeignDiscTakenAP
Company | FCCompany
Handling Code | GCHdlCod
Base | FCcocurrcode
Currency | FCCurrencyCode
Exchange Rate | FCExchangeRateEdit
Foreign | FCForeign
Foreign Tax - A/P | GCForeignTaxAP
Foreign Tax - wf | GCForeignTaxWF
Foreign Taxable Amount - A/P | GCForeignTaxableAmountAP
Foreign Taxable Amount - wf | GCForeignTaxableAmountWF
Foreign Non-Taxable - A/P | GCForeignNonTaxableAP
Document Type | FCDocumentType
Adjust Doc Ty | GCAdjustDocTy
Due Date | GCDueDate
G/L Date | FCGLDate
Discount % | FCDiscountPercentage
Invoice Date | FCInvoiceDate
Mult Currency Distr | GCMC
Document No | FCDocumentNumber
Prev Doc | FCPreviousDocument
No. Pym | GCNoPym
Service/Tax Date | FCServiceTaxDate
Record Written - wf | GCRecordWrittenWF
Change Flag - wf | GCChangeFlagWF
Error Flag - wf | GCErrorFlagWF
Grid Line Flag | GCGridLineFlag
Grid Change | GCGridChange
Tax Ex | GCTaxEx
Amount Foreign Open - A/P | GCAmountForeignOpenAP
Closed Item | GCClosedItem
Bank Account - G/L | GCBankAcctGL
G/L Offset | GCGLOffset
Prev GL Offset | GCPrevGLOffset
Historical Rate | GCHistoricalRate
Historical Date | GCHistoricalDate
Batch No | FCBatchNumber
Document Co | FCDocumentCompany
Line Number | GCLineNumber
Gross Amount - wf | GCGrossAmountWF
Business Unit | FCDisplayBusinessUnit
Bank Account Description | GCBankAccountDescription
Tax Unround - wf | GCTaxUnroundWF
Original Doc Type | GCOrigDoTy
Original Document | GCOriginalDocument
Orig PayItm | GCOrigPayItm
Foreign Pymt Amt | GCForeignPymtAmt
Payment Amount | GCPaymentAmount
G/L Posted Code | GCPC
Pay Stat - A/P | GCPayStatAP
Pay Status | GCPayStatus
Payment Terms | FCPaymentTermsCode
Payee Number | GCPayeeNumber
Recur Freq | GCRecurFreq
Remark | GCRemark
RP1 | GCRP1
Code 2 | GCCode2
C/R I/R | GCCRIR
Pay Itm | GCPayItm
Pay Ext | GCPayExt
Pay Ext - wf | GCPayExtWF
Ord Suf | GCOrdSuf
Foreign Prev Tax Amt | GCForeignPrevTaxAmt
Prev Tax Amount | GCPrevTaxAmount
Tax Amount | GCTaxAmount
Tax Amt - A/P | GCTaxAmtAP
1099 Flag | GC1099Flag
Tax Rate/Area | GCTaxRateArea
Units | GCUnits
User Number | GCUserNumber
User Amount | GCUserAmount
User Code | GCUserCode
User Date | GCUserDate
User Reference | GCUserReference
User ID | GCUserID
Invoice Number | FCInvoiceNumber
Void Flag | GCV

SEIS Configuration Tool

The integration must be configured first in Oracle I/PM side, please see section SEIS Configuration Tool for more details.

The W0411G form (Supplier Ledger Inquiry)

The W0411G form is the Supplier Ledger Inquiry form. This form is the main entry point of the P0411 application. On this form, you can do a Find to see all of the vouchers that have been entered in EnterpriseOne. From this form, you can also do an Add to add a new voucher, which will bring you to the next form we are integrating with (the W0411A – Enter Voucher Information).

The integration points on this form will be of a limited set. We will support the Login and Logout commands, as well as a Search operation (as defined in the SEIS Config Tool). A Search operation requires a single grid row to be selected, but Login and Logout do not.

Perform the following steps to add an integration point on the W0411G form:

* Log in to the EnterpriseOne client, DV7334 environment.

* Log in to the EnterpriseOne client, DV9 environment.

In the Fast Path, type in OMW.

Click on the Find toolbar button.

Expand the Project node that contains the integration objects.

Expand the Objects node under the Project node.

If P0411 is not included in this project, add it by performing the following sub-steps; otherwise, skip to the next step:

Click on the Search tab on the right hand pane.

Select Object Librarian in the Category combo-box.

Select Object Name in the Search Type combo-box.

Type in P0411 in the Search edit box.

Click on the Search button, next to the Search edit box.

Single-click on the P0411 object in the search results section.

Single-click on the Project name on the left hand pane.

Click on the Add Object or User to Project button on the toolbar located in the center of the screen.

The P0411 application should now be in your OMW Project.

Single-click on the P0411 application under the Project.

Check out the object by clicking the Checkout button on the center toolbar. (This may take several minutes.)

Once the P0411 object is checked out, click the Design button on the center toolbar. This will bring up another dialog, titled Interactive Application Design.

Click the Design Tools tab.

Click the Start Form Design Aid button. This will start the Form Design Aid for the P0411 application. (Do not get overwhelmed at what you see next! Also, be very careful where you mouse click in this application; follow the next steps very carefully.)

In the Form Design Aid application, select the Supplier Ledger Inquiry menu item from the Window menu. This will put the W0411G form in an active state.

From the Form menu, select the Menu/Toolbar Exits… menu item.

* Locate and single-click on the Form exits row inside the Menu/Toolbar Exits dialog.

Locate and single-click on the Form item. Click on the Insert button.

* We will group all our integration points within a Category, so let's create a new category under the Form Exits. Click the Add button.

* In the Exit Properties dialog, enter &Oracle in the Short Text field, enter Oracle menu in the Long field, click on the Begin Category checkbox, and click OK.

* Locate and single-click on the row (category) we just added in the Menu/Toolbar Exits dialog, named Stellent menu, and click the Add button.

In the Exit Properties dialog, enter Login in the Short Text field, enter Login to Oracle I/PM in the Long Text field, click the Toolbar checkbox and click OK.

Repeat these steps within Menu/Toolbar Exits for the Logout command, and for every Search integration that you want to expose. Keep in mind that the Short Text field is the label on the button that will appear on the form, and the Long Text field is the tool tip text that will be displayed for the button. The names for these custom buttons should be intuitive for your user to understand. Note: For the last exit in your category, click on the End Category checkbox in the Exit Properties dialog.

Now, we want to put actual code behind each of the buttons (exits) that we just added. To do this, highlight one of the new exits you just created, and click on the Event Rules button.

This button will be disabled for the exit designated as the beginning of a category, since it is just a category placeholder.

The Event Rules Design dialog will be displayed. This is where you will put the code to call into the Oracle I/PM integration.

Click the Business Function” button on the toolbar.

This will bring up the Business Function Search dialog. Type in NOPTK_ExecuteIntegration_W0411G into the Function Name QBE area and click Find.

Note: The QBE (Query By Example) area is a way to add search criteria when doing a Find.

Highlight the single row that is found in the search results area, and click on the Select button. This will bring up the Business Functions dialog. It is in this dialog where you will define the call into the Oracle I/PM EnterpriseOne integration.

Depending on what this specific button does, you will map different data for the first two items in the data structure, Integration Name and Command. For this example, our button is performing a Login to Oracle I/PM.

For Login and Logout functions, the Integration Name is ignored, so you can leave it as <Not Assigned>. This is because a Login and Logout is a generic function, not tied to a specific integration.

The Command for a Login function must be a literal named “Login” (case sensitive). To enter this literal, click on the Value cell in the Data Structure for the szCommand row, then double-click on Literal from the Available Objects list box. This will bring up a small entry box where you can type in “Login”.

All of the other items in the data structure must be mapped from the available objects in a similar fashion. By looking at the variable name in the Data Item column, you can see which specific object to pick from the Available Objects. (GC refers to a Grid Cell, and FC refers to a Form Control.)

When you are finished mapping all of the items in the data structure, click the OK button. This will return you to the Event Rule Design dialog, where you will see the Business Function call you just created.

Tip: To save time mapping the Available Objects to the data structure items for subsequent Event Rules (i.e., for Logout, a Search, etc.), you can use the clipboard to your advantage. In the Event Rule Design, right click on the Business Function you just created and select Copy. When you want to create another Business Function call for another exit (i.e., Logout), simply right-click in the Event Rule Design window and select Paste. Double-click on the pasted item, which will open the Business Functions dialog, and all you need to do is modify the Integration Name and Command data items with the appropriate literals. COPYING AND PASTING SHOULD ONLY BE DONE WITHIN EXITS ON THE SAME FORM!

On the W0411G form, the only intuitive integration points would be Login, Logout, and a Search integration. A Search integration requires a row to be selected, so that the grid’s row contents can be sent in the data structure (as mapped), and used as search criteria when executing an Oracle I/PM Saved Search. The literals you should enter for these integration points are illustrated in the following table. Note that literals are case sensitive!

szIntegrationName | szCommand
<ignored> | “Login”
<ignored> | “Logout”
“MySearchIntegrationName” | “Search”

Note: The Integration Name (for Searches and Process Automations) can be obtained from the Command Report from the SEIS Config Tool, described in a previous section in this document.

When you are finished entering the Business Function calls into the Event Rules for the exits, exit the P0411 application. Click the Validate Event Rules.. menu item from the Application menu in the Form Design Aid. Please take note that warnings, which can be ignored, may occur during validation.

Select the Exit menu item from the Application menu in the Form Design Aid.

These new exits will not be visible on the HTML client until you generate the HTML source on the JAS. This step is described later in this document.

The W0411A form (Enter Voucher – Payment Information)

The W0411A form is the Enter Voucher Payment Information form. This form is reached by clicking on the Add button from the W0411G (Supplier Ledger Inquiry) form.

The integration points on this form will represent the majority of the available set. It is on this form where we will process enable the ERP system, which means integrating EnterpriseOne with the Process (Workflow) system.

Perform the following steps to add an integration point on the W0411A form:

* Log in to the EnterpriseOne client, DV7334 environment.

* Log in to the EnterpriseOne client, DV9 environment.

In the Fast Path, type in OMW.

Click on the Find toolbar button.

Expand the Project node that contains the integration objects.

Expand the Objects node under the Project node.

If P0411 is not included in this project, add it by performing the following sub steps, otherwise, skip to the next step.

Click on the Search tab on the right hand pane.

Select Object Librarian in the Category combo box.

Select Object Name in the Search Type combo box.

Type in P0411 in the Search edit box.

Click on the Search button, next to the Search edit box.

Single-click on the P0411 object in the search results section.

Single-click on the Project name on the left hand pane.

Click on the Add Object or User to Project button on the toolbar located in the center of the screen.

The P0411 application should now be in your OMW Project.

Single-click on the P0411 application under the Project.

Check out the object by clicking the Checkout button on the center toolbar. (This may take several minutes.)

Once the P0411 object is checked out, click on the Design” button on the center toolbar. This will bring up another dialog, titled Interactive Application Design.

Click on the Design Tools tab.

Click on the Start Form Design Aid tab. This will start the Form Design Aid for the P0411 application. (Do not get overwhelmed at what you see next! Also, be very careful where you mouse click in this application. Follow the next steps very carefully.)

In the Form Design Aid application, select the Enter Voucher – Payment Information menu item from the Window menu. This will put the W0411A form in an active state.

From the Form menu, select the Menu/Toolbar Exits… menu item.

* Locate and single-click on the Form exits row inside the Menu/Toolbar Exits dialog.

* Locate and single-click on the Form item. Click on the Insert button.

* We will group all our integration points within a Category, so let’s create a new category under the Form Exits. Click the Add button.

* In the Exit Properties dialog, enter &Stellent in the Short Text field, enter Stellent menu in the Long field, click on the Begin Category checkbox, and click OK.

* Locate and single-click on the row (category) we just added in the Menu/Toolbar Exits dialog, named Stellent menu, and click on the Add button.

In the Exit Properties dialog, enter Login in the Short Text field, enter Login to Oracle I/PM in the Long Text field, click on the Toolbar checkbox, and click OK.

Repeat these steps within Menu/Toolbar Exits for the Logout command, and for every other integration point that you want to expose. Keep in mind that the “Short Text” field is the label on the button that will appear on the form, and the Long Text field is the tool tip text that will be displayed for the button. The names for these custom buttons should be intuitive for your user to understand. Note: For the last exit in your category, click on the End Category checkbox in the “Exit Properties” dialog.

Now, we want to put actual code behind each of the buttons (exits) that we just added. To do this, highlight one of the new exits you just created, and click on the Event Rules button.

This button will be disabled for the exit designated as the beginning of a category, since it is just a category placeholder.

The Event Rules Design dialog will be displayed. This is where you will put the code to call into the Oracle I/PM integration.

Click on the Business Function button on the toolbar.

This will bring up the Business Function Search dialog. Type in NOPTK_ExecuteIntegration_W0411A into the Function Name QBE area and click Find. Note: The QBE (Query By Example) area is a way to add search criteria when doing a Find.

Highlight the single row that is found in the search results area, and click the Select button. This will bring up the Business Functions dialog. It is in this dialog where you will define the call into the Oracle I/PM EnterpriseOne integration.

Depending on what this specific button does, you will map different data for the first two items in the data structure, Integration Name and Command. For this example, our button is performing a Login to Oracle I/PM.

For Login and Logout functions, the Integration Name is ignored, so you can leave it as <Not Assigned>. This is because a Login and Logout is a generic function, not tied to a specific integration.

The Command for a Login function must be a literal named Login (case sensitive). To enter this literal, click on the Value cell in the Data Structure for the szCommand row, then double-click on Literal from the Available Objects list box. This will bring up a small entry box where you can type in Login.

All of the other items in the data structure must be mapped from the available objects in a similar fashion. By looking at the variable name in the Data Item column, you can see which specific object to pick from the Available Objects. (GC refers to a Grid Cell, and FC refers to a Form Control.)

When you are finished mapping all of the items in the data structure, click the OK button. This will return you to the Event Rule Design dialog, where you will see the Business Function call you just created.

Tip: To save time mapping the Available Objects to the data structure items for subsequent Event Rules (i.e., for Logout, a Search, etc.), you can use the clipboard to your advantage. In the Event Rule Design, right click on the Business Function you just created and select Copy. When you want to create another Business Function call for another exit (i.e., Logout), simply right-click in the Event Rule Design window and select Paste. Double-click on the pasted item, which will open the Business Functions dialog, and all you need to do is modify the Integration Name and Command data items with the appropriate literals. COPYING AND PASTING SHOULD ONLY BE DONE WITHIN EXITS ON THE SAME FORM!

On the W0411A form, there are many intuitive integration points. These include Login, Logout, Open Worklist, Open Package Action, Open Next Package, Skip Package, Journal Entry, and the execution of a Logical Update. The literals you should enter for the Integration Name and Command data items are illustrated in the following table. Note that literals are case sensitive!

szIntegrationName | szCommand
<ignored> | “Login”
<ignored> | “Logout”
“MyPAIntegrationName” | “OpenWorklist”
“MyPAIntegrationName” | “OpenPackageAction”
“MyPAIntegrationName” | “OpenNextPackage”
“MyPAIntegrationName” | “SkipPackage”
“MyPAIntegrationName” | “JournalEntry”
“MyPAIntegrationName” | “LogicalUpdateName”

Note: The Integration Name (for Process Automations) can be obtained from the Command Report from the SEIS Config Tool, described in a previous section in this document.

Note: When setting up a menu/form exit for Open Worklist, the name of the menu item should be Select Work. The Open Worklist string still needs to be placed in the call to the ExecuteIntegration business function.

When you are finished entering the Business Function calls into the Event Rules for the exits, you can exit the P0411 application. Click on the Validate Event Rules.. menu item from the Application menu in the Form Design Aid. Please take note that warnings may occur during validation, which can be ignored.

You can now select the Exit menu item from the Application menu in the Form Design Aid.

These new exits will not be visible on the HTML client until you generate the HTML source on the JAS. This step is described later in this document.

Generating HTML source on the JAS

In order to use the integration via the HTML client, the JAS needs to be updated. This process involves the following steps: (1) deploy the applicable objects to the JAS; (2) run the Generator application for the applicable objects; and (3) stop and start the application server.

Deploy to the Generation Machine

The purpose of this step is to get the applicable objects physically on the Generation machine. This can be accomplished in one of two ways.

You can assemble, build, and deploy an update package for the client (Generation machine) in the [ [image] DV7334 – [image] DV9] environment. Include the applicable objects in the package. Your EnterpriseOne administrator should be able to help you with this task.

You can run the OMW application inside the EnterpriseOne client (using the [ [image] DV7334 – [image] DV9] environment) on the Generation machine, and do a “get” for all applicable objects, which will bring down the complete specs for each of the objects.

If you are taking the second approach to get them on the Generation machine, you will also want to build the NOPTK00 object manually. To do this, click on the Design button in OMW for this object, go to the Design Tools tab, and click on the Build Business Function button. This can be done at any time, whether the object is checked out or not.

NOTE
If NOPT00 build fails, run BusBuild.exe in the c:\DV9\system\bin32. From the top menu, click Build, then Rebuild Libraries. You will need a C++ compiler installed and JDE.mc setting must point to it.

The applicable objects to be deployed to the Generation machine include:

BOPTK10 | BSFN containing the Oracle I/PM Core logic
BOPTK11 | BSFN containing the Oracle I/PM Custom logic
BOPTK12 | BSFN containing the Oracle I/PM Custom logic for additional forms other than W0411A and W0411G
NOPTK00 | BSFN containing the driving logic of the integration
P0411 | The application we are integrating with
P56OPTK | Our custom application with custom interactive forms
DOPTK01 thru DOPTK08 | Data structures for the BSFNs
F56OPTK1 thru F56OPTK9 | Custom tables
V56OPTK1 thru V56OPTK9 | Custom business views

Populate the Data Dictionary and Global Specs

On the Generation machine, the data dictionary and the global specs must be populated. Only populate the Data dictionary one time.

To populate the data dictionary follow these steps:

  1. On the Java generation machine, log on to a valid local environment in ERP/OneWorld™.

  2. In the Fast Path, type BV and press Enter.
  3. On Batch Applications - [Work with Batch Versions - Available Versions], type R92TAM in the Batch Application field.
  4. Click Find.
  5. Choose the XJDE001 version and click Select.
  6. On Batch Applications - [Version Prompting], click Advanced on the form menu.
  7. On Batch Applications - [Advanced Version Prompting], click Override Location.
  8. Click OK.
  9. On Batch Applications - [Version Prompting], click Submit.
  10. On Batch Applications - [JDE Data Sources], choose Local and click Select. The application starts a UBE that populates databases stored in the x:\b7 directory. This process runs for an hour or more.
  11. When the process is complete, copy the following files from the x:\b7 directory to the \spec directory under the path code of the environment you will use to generate the serialized Java objects (for example, x:\b7\PY7333\spec):

dddict.xdb
ddtext.xdb
dddict.ddb
ddtext.ddb

To populate the global specs follow these steps:

  1. In the Fast Path, type BV and press Enter.
  2. On Batch Applications - [Work with Batch Versions - Available Versions], type R98CRTGL in the Batch Application field.
  3. Click Find.
  4. Choose the XJDE001 version and click Select.
  5. On Batch Applications - [Version Prompting], click Advanced on the form menu.
  6. On Batch Applications - [Advanced Version Prompting], click Override Location.
  7. Click OK.
  8. On Batch Applications - [Version Prompting], click Submit.
  9. On Batch Applications - [JDE Data Sources], choose Local and click Select.
  10. Then select 'on screen' for reporting. Click Ok.

Run the Generator application

The generator application can be found on the generation machine, which may be a dedicated EnterpriseOne client or simply the JAS machine itself. Start it by running Gen.BAT, the location is usually:

C:\B7\system\Generator\gen.bat

C:\B9\system\Generator\gen.bat

An option is provided to choose to generate all serialized objects as a batch using the BulkGen.txt provided on the current SEIS CD. For more detailed steps how to use BulkGen.txt, please contact your EnterpriseOne administrator.

The alternate is to generate the object one by one.. If this is desired, follow the steps below.

Running this application will bring up a console window (for output), then prompt you to log in to EnterpriseOne. Log into the [ [image] JDV7334 – [image] JDV9] environment. This will bring up the main generator dialog. Choose the Direct Generation radio button and click on the Connect button (see screenshot).

The generator application will now display the view to Generate All Objects. We only want to generate for specific objects, so we will choose the object type from the Generate menu.

Generate the following objects using the Generator application. For each object type, select the object type from the Generate menu, and enter the appropriate object information.

Object Type | Names
Application | P0411 P56OPTK
NER | NOPTK_ExecuteIntegration NOPTK_ExecuteIntegration_W0411A NOPTK_ExecuteIntegration_W0411G NOPTK_JournalEntry NOPTK_LogicalUpdate NOPTK_Login NOPTK_Logout NOPTK_OpenNextPkg NOPTK_OpenPkgAction NOPTK_OpenWorklist NOPTK_Search NOPTK_SkipPkg
Business View | V56OPTK1 V56OPTK2 V56OPTK3 V56OPTK4 V56OPTK5 V56OPTK6 V56OPTK7 V56OPTK8
Table | F56OPTK1 F56OPTK2 F56OPTK3 F56OPTK4 F56OPTK5 F56OPTK6 F56OPTK7 F56OPTK8 F56OPTK9
Data Dictionary | OPTKAP OPTKBP OPTKCO OPTKDC OPTKDP OPTKEU OPTKF1 OPTKF2 OPTKFO OPTKIN OPTKINT OPTKJE OPTKJN OPTKLK OPTKLT OPTKMS OPTKON OPTKPK OPTKPL OPTKPN OPTKPT OPTKPW OPTKQN OPTKRL OPTKRQ OPTKS1 OPTKS2 OPTKS3 OPTKS4 OPTKSL OPTKSO OPTKTN OPTKTP OPTKUN OPTKUS OPTKWP OPTKXI OPTKPRID OPTKDPMT OPTKDHMP OPTKPMTNAM OPTKPTOP OPTKPTVAL OPTKWM OPTKPLN OPTKPHD OPTKPHP OPTKBOOL
Data Structure | DOPTK01 DOPTK02 DOPTK03 DOPTK04 DOPTK05 DOPTK06 DOPTK07

When you are finished generating the applicable objects, exit the Generator application by choosing File Exit.

Stop and start the application server

You will need to stop and start the application server to have the changes made by the Generator application take effect.

This process will depend on which application server you are using. For our purposes, we are using the IBM Websphere Application Server version 4.0. To stop and start this server, run the following batch files from the following paths:

/WebSphere/AppServer/bin/stopServer.bat
/WebSphere/AppServer/bin/startServer.bat

At this time, a user may connect to the Generation machine via an HTML client (see the User’s Guide for more details on this).


EnterpriseOne Integration Additional Forms

EnterpriseOne Integration
Integrating Additional Forms

Only three forms were supported in the initial release of this integration; the W0411G and W0411A (both from the P0411 application) and the W4314A in the P4314 application. This section shows how to create an integration with another EnterpriseOne form, potentially from a different application.

The W0011A form (Batches)

To illustrate the process of integrating with another form, we will be using the P0011 application (Batches) and the W0011A form (Work With Batches) in this section. This form can be reached by entering P0011 in the Fast Path edit box. Note: Some of the following sections are very technical and will require a general understanding of the C programming language and data structures.

This form was chosen at random for illustration purposes only. There is no business case presented in this documentation that justifies a reason to integrate with this form; however, this does not preclude the fact that such a business case might exist.

Add P0011 to your OMW project

You will need to add the P0011 application to your OMW project. These steps are the same as what you did for the P0411 application:

  • In OMW, click on the Search tab on the right hand pane.
  • Select Object Librarian in the Category combo-box.
  • Select Object Name in the Search Type combo-box.
  • Enter P0011 in the Search edit box.
  • Click on the Search button, next to the Search edit box.
  • Single-click on the P0011 object in the search results section.
  • Single-click on the Project name on the left hand pane.
  • Click on the Add Object or User to Project button on the toolbar located in the center of the screen.

The P0011 application should now be in your OMW Project.

Determine the form fields

There are fields from two parts of the form that we will want to get data from: the grid cells, and the form controls. (Some forms will not have a grid, but the W0011 form does.) We will want to gather three pieces of information for each field on the form that we are interested in: (1) the service field, (2) the field identifier, and (3) the alias. The way we get this information differs depending on if the field is a grid cell or a form control. It is recommended that you record this information down as you discover it for each field, since it will be used in later steps.

The service field will be a string that describes the field. It is comprised of alpha-numeric characters and can include spaces. This is the name that will be presented in the EIS Config Tool when you configure a search integration or a logical update.

The field identifier will be a string that identifies the field on the EnterpriseOne form. It is comprised of alpha-numeric characters and cannot include spaces. This name is used in two places: in the mapping of the data structure items in a business function to simplify field identification; and in the DS2XML function (which we will create later).

The alias will be a string that identifies the field type. This corresponds directly to a EnterpriseOne data dictionary alias name, and will be used when we create the custom data structure for this form. Keep in mind that there may be more than one field on the same form with the same alias, as this only identifies the type of the field.

Let’s first examine the form in OMW, by clicking on the “Design” toolbar button, selecting the “Design Tools” tab, and clicking on the “Start Form Design Aid” button. You may get a warning dialog telling you that the object is not checked out to your machine. If so, click on “Yes” to continue, and keep in mind any changes to the form will only affect the specs on your local machine. For this step, we just want to examine the form, so we won’t be modifying it. We will modify it later when we add the integration points.

In the Form Design Aid, choose the “Work With Batches” menu item from the Window menu. This will make the W0011 form active.

Form control fields

Let’s start by examining one of the form fields that we are interested in, the Batch Number. Locate this field on the form, and double-click it. This will bring up the Edit Control Properties dialog.

The value of the Event Rules Title edit field in this dialog will be the service field. In this case, the service field is “Batch Number”. The second static text field below this field will contain a string, the first part before the colon will be the alias. In this case, the alias is “ICU”. Continue gathering the service fields and aliases for the remainder of the form controls.

Next, we will get the field identifiers for the form controls. Somewhere on the form, right-click and select the “Event Rules” menu item. This will bring up the “Event Rules Design” dialog. Click on the “Assignment\Expression” toolbar button.

This will bring up the “Assignment” dialog. What we want to do in this dialog is to search for the service fields within the Form Control (FC) section. In the list box on the left side, scroll down to the Form Control section.

Scroll down through the sub items within the Form Control section, and try to locate an item that has the Batch Number (the service field name) in it. In our case, it is the last sub item within the section, named FC Batch Number.

Take this string (“FC Batch Number”) and remove all spaces and special characters (i.e., non-alphanumeric characters). What you are left with is the field identifier. In the case of Batch Number, the field identifier is “FCBatchNumber”.

Repeat these steps for the other form control fields. After this is completed, we should have all three pieces of information (service field, field identifier, and alias) for each of the form control fields on the form.

Grid column fields

Let’s continue by examining one of the grid column fields that we are interested in, the Batch Date. We will want to examine the grid properties. To do this, right-click anywhere in the grid (except on a grid column) and select the Properties menu item. This will bring up the “Grid Properties” dialog.

In the Grid Columns listbox, locate the grid column we are looking for. (Note: You can also see the grid columns that are hidden.) The text of this listbox item is the service field name. Double-click on this listbox item. It will bring up the “Grid Column Properties” dialog.

In this dialog, find the second read-only static text field from the top, and the part of the string in this field that is before the colon is the alias. In this case, the alias for Batch Date is DICJ. Continue gathering the service fields and aliases for the remainder of the grid column fields.

Next, we will get the field identifiers for the grid column fields. Somewhere on the form, right-click and select the Event Rules menu item. This will bring up the Event Rules Design dialog. Click on the Assignment\Expression toolbar button.

This will bring up the Assignment dialog. What we want to do in this dialog is to search for the service fields within the Grid Column (GC) section. In the list box on the left side, scroll down to the Grid Column section.

Scroll down through the sub items within the Grid Column section, and try to locate an item that has the Batch Date (the service field name) in it. In our case, it is named GC Batch Date.

Take this string (GC Batch Date) and remove all spaces and special characters (i.e., non-alphanumeric characters). What you are left with is the field identifier. In the case of Batch Date, the field identifier is GCBatchDate.

Repeat these steps for the other grid column fields. After this is completed, we should have all three pieces of information (service field, field identifier, and alias) for each of the grid column fields on the form.

Create a template in the Map Tool

Now, we are ready to create a EnterpriseOne template in the Map Tool. Log into the Oracle I/PM client as an administrator, and start the EIS Map Tool. Click on the Service Templates tab, and select PeopleSoft EnterpriseOne or EnterpriseOne in the System combo box. This will bring up the EnterpriseOne Template Editor dialog.

In the Template Name edit box, type in the form name. In this case, it is W0011A.

For each of the fields that we collected information on previously, enter the Service Field and Field Identifier in the two edit boxes and click on the Add button. After you are finished with all of the fields, select Save, then Close. You now have a new template for the new form.

Create a data structure in OMW

Create one custom data structure for the W0011A form. In OMW, highlight your project and click on the Add toolbar button. Select the Data Structure radio button from the next dialog, and click OK.

This will bring up the Add Object dialog.

Enter an Object Name of your choice (you may want to check with your EnterpriseOne administrator for any naming conventions), but for our example we will use an Object Name of DTEST1. Enter a Description of your choice. Use a product code that is Reserved for Clients, which is in the range of 55 through 59. Leave Object Use set at 360. Be sure the Regular Data Structure radio button is checked, and click on the OK toolbar button. This will bring up the Data Structure Design dialog.

Select the Design Tools tab, and click on the Data Structure Design button. This will bring up the Data Structure Design dialog.

It is here that we will build the items in our data structure. The procedure for adding a data item is simple:

Type in the alias of the data item in the Alias QBE area on the right hand side of the dialog and press the Enter key. The data dictionary item will appear in the grid.

Drag and drop the row in the grid over to the Structure Members section of the dialog. If there are items that exist in the structure already, make sure to drop the row under these items. Also, if there are a lot of structure items such that the vertical scroll bar is activated, make sure you scroll to the bottom before you start the drag/drop operation, then drop the row on the horizontal scroll bar.

For the Oracle I/PM data items, we will leave the Structure Member Name intact. For the EnterpriseOne data items (form controls, and grid columns), we will want to modify the Structure Member Name. To do this, double-click on the cell for this column and the new item that was added. This will put you in edit mode. You can then change the Structure Member Name to whatever is needed.

Note: For the EnterpriseOne data items, leave the first part of the name as is, which will usually be one or two lowercase letter that indicate the data type of the item (i.e., c for character, sz for string, jd for JDEDATE, or mn for MATH_NUMERIC), while modifying the remainder of the name to the field identifier.

For the column nput/Output/IO, change this to look like an arrow that points to the right (a.k.a. input). All item will be input parameters, except the last data item with an alias of OPTKXI.

Following the procedure illustrated above, add the following data items to the structure:

Alias | Structure Member Name | Input/Output direction
OPTKIN | <leave the default> | Input
OPTKCO | <leave the default> | Input

- - - - - - - - - -

After the first 2 data items, we will add the items that we gathered from the form. For each field we are interested in, use the alias for the Alias QBE, use the field identifier for the Structure Member Name, and Input for the Input/Output direction.

- - - - - - - - - -

OPTKXI <leave the default> Output

In our example, we will add 5 items to our data structure:

Alias | Structure Member Name | Input/Output direction
OPTKIN | szIntegrationName | Input
OPTKCO | szCommand | Input
ICU | mnFCBatchNumber | Input
DICJ | jdGCBatchDate | Input
OPTKXI | szXMLID | Output

When all of the items have been entered, double check the following items:

  • Did you rename the Structure Member Names of the non-Oracle I/PM items to the field identifier, while leaving the one or two character data type identifier at the beginning?
  • Did you change the Input/Output direction to be input (i.e., right arrow), except for the last Oracle I/PM item of OPTKXI to be output (i.e., left arrow)?

Now, click OK to save the data structure.

Create a type definition

Copy the type definition of our new data structure to the clipboard for later use. The type definition is simply the C structure that represents this data structure.

Within the Data Structure Design dialog, click on the “Create a type definition” button. The status bar will say, "Your typedef is in the clipboard”. Open up an instance of Notepad to paste the typedef into, for use later when we edit our C business function.

Check out BOPTK12 in OMW

We will want to add a new C business function (to an existing C business function object) that uses our new data structure. To do this, we will need to first check out the existing C business function object, named BOPTK12. The following steps will illustrate this procedure:

  • Locate and single-click on the BOPTK12 object in your OMW project.
  • Click on the Check Out button on the center toolbar.
  • Click on Yes to confirm that this operation will overwrite local specifications.

Checking out an object may take several minutes, depending on a lot of factors. Please be patient. When the check-out is complete, the icon for the BOPTK12 object will have a red checkmark on it.

Create a C business function

After the BOPTK12 C business function has been checked out, add a new business function to this object. There is a sample business function already present in the file. To add support to the form in this example, we will want to add a new business function.

First, single-click the business function object BOPTK12 in OMW, and click on the Design toolbar button.

In the Business Function Design dialog, click on the Design Tools tab, then click on the Start Business Function Design Aid button.

To add a new business function, position the cursor in the cell that is in the empty row at the bottom of the grid and in the column named Function Name. In this row, type the following data in the appropriate columns:

Function Name | COPTK_DS2XML_W0011A (note the underscores)
Description | COPTK DS2XML W0011A
Function Category | <leave blank>
Function Use | <leave blank>
F3 Code | 1 (Master Business Function)
Template Name | <leave blank>

The Template Name is the data structure that is used for the business function. This name cannot be entered in the grid, which is why we left it blank. To add the Template Name, position the cursor in the cell of the newly added row and the Template Name column, and click on the Parameter row exit.

Find the data structure that we just created (DTEST1), and click Select. The Template Name will now be filled in.

Now, click on the Create form exit, and choose Yes when prompted to create the skeletons for these functions. It will warn you that the structure for the data structure needs to be inserted into the header file; click OK.

Edit the C business function

While you are still inside the Business Function Design dialog, click on the Edit form exit. This will launch the Visual C++ application that should be setup on your system.

Note: If Visual C++ does not launch and/or you do not have Visual C++ installed, then you will need to edit the files manually using a different editor, such as Notepad. The files you will want to edit are located at the following paths:

\B7\DV7334\Source\BOPTK12.c

\B7\DV7334\Include\BOPTK12.h

Warning: Please be extremely careful in editing these two files! Only modify or add items that are explicitly described in this tutorial.

The first thing we will need to do is to paste in the type definition of the data structure, DTEST1. The copying of the type definition was done in an earlier step, and you should have this in a text editor of some sort.

Open up the BOPTK12.h file in a text editor (or Visual C++). Locate the section in this file that has a comment of DS Template Type Definitions. This section is where you will paste the type definition.

Be sure to save the changes made to this file.

Now, open up the BOPTK12.c file in a text editor (or Visual C++). Locate your new business function. It should be at or near the very end of this file. EnterpriseOne has created a skeleton function for you. We will now modify the appropriate sections.

In the “Declare Pointers” section, we will want to create a file pointer.

FILE* fp = NULL;

Add the following code to the “Main Processing” section of this file:

strcpy(lpDS->szXMLID,
"");
if (IsDSNeeded(lpDS->szCommand)
== TRUE)
{
GetTempFile(lpDS->szXMLID,
sizeof(lpDS->szXMLID));
// Open the XML
file for writing (filename = XMLID)
fp =
fopen(lpDS->szXMLID, "w+");
if (fp != NULL)
{
// Write the XML file

// Close the file
 fclose(fp);
}
}

Note that the data structure items of szXMLID and szCommand referenced in the first few lines should be verified with the actual names in the data structure. If you followed this tutorial, then they should be named as shown above. If they are different, you will need to modify the references to szXMLID and szCommand in the code, or else you will get a compile error.

Now, we will fill in the area that we left blank, after the comment of “Write the XML file”. All the remaining code will be entered in this area. Basically what we are doing here is creating an XML file and sending back the file path in the XMLID item. Oracle supplies a few helper functions to write the XML text to this file, so you can concentrate more so on the data that you send to these helper functions. The helper functions are also in this file, so you may want to look at them to further understand what is happening. You may also want to look at the other two business functions to see how this section was implemented for the other two forms.

The first line you should add is a call to the helper function, XMLBegin. This function will simply start the XML file, adding the parameters as attribute information off the main node. The prototype for this helper function is:

void XMLBegin(
FILE* fp, // file pointer
char* pszApp, // Application name
char* pszForm, // Form name
char* pszSrc, // Source file
char* pszVersion) // Version

For our example, let’s put the following line of code:

XMLBegin(fp, “P0011”, “W0011A”, “BOPTK12.c”, “1.1”);

Now, we will want to call a helper function for every item in the data structure, with the exception of Integration Name, Command, and XMLID. Depending on the item type, you will call a different helper function. Look at the data structure type definition that you copied in the header (.h) file to inspect the item types.

If the item is of type JDEDATE, you will want to use the following helper function:

void XMLNode_JDEDATE(
FILE* fp, // File pointer
char* pszAlias, // Field Identifier
JDEDATE* pjdValue) // Pointer to the date value

If the item is of type MATH_NUMERIC, use this helper function:

void XMLNode_MATH_NUMERIC(
FILE* fp, // File pointer
char* pszAlias, // Field Identifier
MATH_NUMERIC* pmnValue) // Pointer to the numeric value

Keep in mind that for JDEDATE and MATH_NUMERIC data types, the last parameter to the helper functions is a pointer. The item in the data structure is statically allocated, so you will need to send in a reference to this item. See an example later on in this section. For strings and characters, you just send in the char* or char from the data structure, respectively.

If the item is of type char, then we need to further identify if this item is a string or just a character. The name of the item may give you a hint. Strings will have a prefix of sz, while a character will have a prefix of c (that is, if this tutorial was followed when creating the data structure). Also, strings will have brackets at the end of the item name, with a number in it (representing the length of the string). Characters will not have this bracket notation.

If the item is a string, use this helper function:

void XMLNode_String(
FILE* fp, // File pointer
char* pszAlias, // Field Identifier
char* pszValue) // String value

If the item is a character, use this helper function:

void XMLNode_Char(
FILE* fp, // File pointer
char* pszAlias, // Field identifier
char cValue) // Character value

For our example, let’s add the following lines of code:

XMLNode_MATH_NUMERIC(fp, "FCBatchNumber", &(lpDS->mnFCBatchNumber));
XMLNode_JDEDATE(fp, "GCBatchDate", &(lpDS->jdGCBatchDate));

Finally, let’s add the termination of the XML file. The prototype of the helper function that performs this task is:

void XMLEnd(
FILE* fp) // File pointer

For our example, let’s add the following line of code:

XMLEnd(fp);

Be sure to save the changes made to this file. You may now close Visual C++ or your text editor.

Build the C business function

Now, let’s build the C business function. Go back to the Business Function Design dialog for the BOPTK12 function, and click on the Build Business Function button.

Clicking on this button will launch an instance of the BusBuild application. This application will automatically start a build of the selected business function and produce a new business function library (a DLL file). See the following screenshot for what to expect:

If there were compilation errors, the output in BusBuild should direct you to a line number where the problem is. Locate this line number in your source or header file to identify the problem. Double check the previous section to see if any parts of the process were skipped.

Close BusBuild by choosing the Exit menu item from the File menu.

Check out NOPTK00 in OMW

We will want to add a new NER business function (to an existing NER business function object) that uses our new data structure. To do this, check out the existing C business function object, named NOPTK00. The following steps will illustrate this procedure:

  • Locate and single-click on the NOPTK00 object in your OMW project.

  • Click on the Check Out button on the center toolbar.

  • Click on Yes to confirm that this operation will overwrite local specifications.

Checking out an object may take several minutes, depending on a lot of factors. Please be patient. When the check-out is complete, the icon for the NOPTK00 object will have a red checkmark on it.

Create an NER business function

After the NOPTK00 NER business function has been checked out, add a new business function to this object. There should be several business functions in this object already. To add support to the form in this example, add another business function.

First, single-click the business function object NOPTK00 in OMW, and click on the Design toolbar button.

In the Business Function Design dialog, click on the Design Tools tab, then click on the Start Business Function Design Aid button.

To add a new business function, position the cursor in the cell that is in the empty row at the bottom of the grid and in the column named Function Name. In this row, type the following data in the appropriate columns:

Function Name | NOPTK_ExecuteIntegration_W0011A
Description | NOPTK Execute Integration W0011A
Function Category | <leave blank>
Function Use | <leave blank>
F3 Code | 1 (Master Business Function)
Event Specification Key | <leave blank>
Template Name | <leave blank>

The Event Specification Key will be filled in when we leave this row of the grid.

The Template Name is the data structure that is used for the business function. This name cannot be entered in the grid, which is why we left it blank. To add the Template Name, position the cursor in the cell of the newly added row and the Template Name column, and click on the Parameter row exit.

Find the data structure that we just created (DTEST1), and click on Select. The Template Name will now be filled in.

Edit the NER business function

While the Business Function Design dialog is still on the screen, click on the Edit form exit.

The Named Event Rules Design dialog will now be displayed. In this dialog, we will enter two business function calls. But first, we will need to create a local variable of type OPTKXI. Click on the Variables toolbar button.

In the next dialog, enter OPTKXI in the DD Item edit box, and click on the Add button.

In the next dialog, simply click on the Finish button. You may change the User Name of the variable to anything you want, but the default of “XMLID” should be acceptable. This variable will be used in the next 2 business function calls.

Click on the OK button to exit the Event Rules Variables dialog.

Now, locate and click on the Business Function toolbar button.

The first business function call that we will make is to the DS2XML function that we created in an earlier step in this example. The Function Name will be COPTK_DS2XML_W0011A, if you followed this example. Do a Find on this function, select it in the grid, and click on the Select button. This will bring up the Business Function dialog, so we can map the items of the data structure.

For each item in the Data Structure, single-click on the Value column of the row, then find the corresponding item in the Available Objects (in the section named Business Function Common). Single-click on the item in Available Objects, then click on the > button in the center of the dialog.

For the last item in the Data Structure (szXMLID), you will want to select the available object under the section named Variable. This is the variable that you just created, and will be named (if you accepted the default) VA evt_XMLID.

When finished, click on the OK button to save the call to this business function.

Now, let’s add another business function call in the same fashion. Click on the Business Function toolbar item, then search for and select the business function named NOPTK_ExecuteIntegration. The data structure mapping in this dialog will look a little different:

For the first item in the Data Structure (szFormName), you will need to hardcode a literal value. Double-click on <Literal> under the Special Values section in the Available Objects listbox, and enter the value that identifies this form. In our example, enter W0011A.

For the second and third items in the Data Structure (szIntegrationName and szCommand), select the corresponding Available Object in the Business Function Common section.

For the fourth item in the Data Structure (szXMLID), select the Available Object in the Variable section named VA evt_XMLID.

Leave the remaining items in the Data Structure as <NOT Assigned>, as these items are used internally by the Oracle I/PM integration.

When finished, click OK to save the call to this business function. Then, click on the Save and Exit button to exit the Named Event Rules Design dialog.

Click OK to return to the Business Function Design dialog.

Build the NER business function

Now, let’s build the NER business function. While in the Business Function Design dialog for the NOPTK00 function, click on the Build Business Function button.

Clicking on this button will launch an instance of the BusBuild application. This application will automatically start a build of the selected business function and produce a new business function library (a DLL file). See the following screenshot for what to expect:

More than likely, you will not have compilation errors. However, if you do have errors, the output in BusBuild should direct you to a line number where the problem is.

Close BusBuild by choosing the Exit menu item from the File menu.

Check out P0011 in OMW

We will want to add our integration points to the P0011 application. To do this, we will need to first check out the P0011 application object. The following steps will illustrate this procedure:

  • Locate and single-click on the P0011 object in your OMW project.
  • Click on the Check Out button on the center toolbar.
  • Click on Yes to confirm that this operation will overwrite local specifications.

Checking out an object may take several minutes, depending on a lot of factors. Please be patient. When the check-out is complete, the icon for the P0011 object will have a red checkmark on it.

Add integration points to P0011

Finally, we will add our integration points to the P0011 application.

  • Locate and click on the P0011 application in the OMW.
  • Select the Design button on the center toolbar.
  • On the next dialog, click on the Design Tools tab.
  • Select the Start Form Design Aid button.

Inside the Form Design Aid application, locate the form that we want to integrate with, and select it from the Window menu. In our example, choose the Work With Batches menu item from the Window menu. Doing so will make this form active.

Now, click on the Menu/Toolbar Exits… menu item from the Form menu.

* Locate and single-click on the Form exits row inside the Menu/Toolbar Exits dialog.

* Locate and single-click on the Form item.

* We will group all our integration points within a Category, so let’s create a new category under the Form Exits. Click on the Add button.

* In the Exit Properties dialog, enter &Oracle in the Short Text field, enter Oracle menu in the Long field, click on the Begin Category checkbox, and click OK.

Click the Insert button.

Note: For our example using the P0011 application, we will only put an Oracle I/PM Login integration point on the P0011 application. For other integration points, follow the instructions in the Installation part of this document for the W0411A and W0411G forms.

* In the Exit Properties dialog, enter Login in the Short Text field, enter Login to Oracle I/PM in the Long Text field, click on the Toolbar checkbox, and click on OK.

* Locate and single-click on the row (category) we just added in the Menu/Toolbar Exits dialog, named Oracle menu, and click on the Add button.

Note: For our example using the P0011 application, we will only put an Oracle I/PM Login integration point on the P0011 application. For other integration points, follow the instructions in the Installation part of this document for the W0411A and W0411G forms.

In the Exit Properties dialog, enter Login in the Short Text field, enter Login to Oracle I/PM in the Long Text field, click on the Toolbar checkbox and click OK.

Repeat these steps within Menu/Toolbar Exits for the other integration points you want to create. Keep in mind that the Short Text field is the label on the button that will appear on the form, and the Long Text field is the tool tip text that will be displayed for the button. The names for these custom buttons should be intuitive for your user to understand.

* Note: For the last exit in your category, click on the End Category checkbox in the Exit Properties dialog.

Now, we want to put actual code behind each of the buttons (exits) that we just added. To do this, highlight one of the new exits you just created, and select the Event Rules button.

* Note: This button will be disabled for the exit designated as the beginning of a category, since it is just a category placeholder.

The Event Rules Design dialog will be displayed. This is where you will put the code to call into the Oracle I/PM integration.

Click on the Business Function button on the toolbar.

This will bring up the Business Function Search dialog. Enter NOPTK_ExecuteIntegration_W0011A in the Function Name QBE area and click Find. Note: The QBE (Query By Example) area is a way to add search criteria when doing a Find.

Highlight the single row that is found in the search results area, and click on the Select button. This will bring up the Business Functions dialog. This dialog is used to define the call into the Oracle I/PM EnterpriseOne integration.

Depending on what this specific button does, you will map different data for the first two items in the data structure, Integration Name and Command. For this example, our button is performing a Login to Oracle I/PM.

For Login and Logout functions, the Integration Name is ignored, so you can leave it as <Not Assigned>. This is because a Login and Logout is a generic function, not tied to a specific integration.

The Command for a Login function must be a literal named “Login” (case sensitive). To enter this literal, click on the Value cell in the Data Structure for the szCommand row, then double-click on Literal from the Available Objects list box. This will bring up a small entry box where you can type in Login.

All of the other items in the data structure must be mapped from the available objects in a similar fashion. By looking at the variable name in the Data Item column, you can see which specific object to pick from the Available Objects. (GC refers to a Grid Cell, and FC refers to a Form Control.) Do not worry about mapping an Available Object to the szXMLID field; leave it as <Not Assigned>.

When you are finished mapping all of the items in the data structure, click OK. This will return you to the Event Rule Design dialog, where you will see the Business Function call you just created.

Tip: To save time mapping the Available Objects to the data structure items for subsequent Event Rules (i.e., for Logout, a Search, etc.), you can use the clipboard to your advantage. In the Event Rule Design, right click on the Business Function you just created and select Copy. When you want to create another Business Function call for another exit (i.e., Logout), simply right-click in the Event Rule Design window and select Paste. Double-click on the pasted item, which will open the Business Functions dialog, and all you need to do is modify the Integration Name and Command data items with the appropriate literals. COPYING AND PASTING SHOULD ONLY BE DONE WITHIN EXITS ON THE SAME FORM!

Note: For other (intuitive) integration points, look at the instructions in the Installation part of this document for the W0411A and W0411G forms.

When you are finished entering the Business Function calls into the Event Rules for the exits, you can exit the P0411 application. Click on the Validate Event Rules.. menu item from the Application menu in the Form Design Aid.

You can now select the Exit menu item from the Application menu in the Form Design Aid.

These new exits will not be visible on the HTML client until you generate the HTML source on the JAS server. This step is described later in this document.

Check in all objects

Now, let’s check in all of the objects that we currently have checked out in regards to our example. The list of objects to be checked in should be BOPTK12, NOPTK00, P0011, and DTEST1.

Locate and single-click on each of the objects (one at a time) in your OMW project, and click on the Check-in button.

Note: Checking in an object may take several minutes, depending on the size and complexity of the object.

Build/Deploy an update package to the Logic Server

It is now required to deploy an update package to the Logic Server. An update package differs from a full package in that not every object is built and deployed. Plus, an update package requires you to specify the full package that you are updating. This will be the last full package that you successfully deployed to the Logic Server.

To perform this step, you will need to log into the EnterpriseOne client. You can use your workstation, or the deployment server to do this. The advantage of doing this on the deployment server is that it frees up your workstation while waiting for the package build to complete. The update package will not take as long as the full package took. It is estimated that the update package build will take approximately 15 minutes.

While logged into the EnterpriseOne client ([ [image] DV7334 – [image] DV9] environment), type in P9601. This will start the Package Assembly application. Click on the “Add” button to start assembling a new package, then click on the “Next” button on the following dialog.

On the following dialog, make sure the “Director” radio button is chosen. Enter a package name for this package. Your company’s naming conventions should be adhered to for naming the package. A common convention is to use the first 2 characters to specify the environment you are building to, then the date in MMDDYY format, then an “F” for full package or “U” for update package, then a number specifying which attempt this is. For our example, we will put “DV012904U1” for the package name. Description can be anything. Path code will be [ [image] DV7334 – [image] DV9]. See the following snippet from the dialog of an ERP8 system:

Click the Next button. In the Package Type Selection dialog, you will want to select the radio button Update. Leave the checkbox checked for Include Object Specifications. The Parent Package edit box should reflect the package name of the last full package built to the Logic Server. Click on the Visual Assist button to the right of the edit box for a list of packages to choose from, or type in the name of the package if you know it.

Click the Next button. In the next three dialogs (Foundation Component, Help Component, and Database Component), you will simply click the Next button.

In the Object Component dialog, click on the Browse button to select the objects to be included in this package.

In the Object Component Selection dialog, use the QBE area (i.e., the cells above the column names to indicate search criteria) of the Object Name column to find the object named BOPTK12. Click on the object in the search results, then click on the Select button.

Do the same thing for the DTEST1 data structure object. Then click on the Close button to return to the Object Component dialog. You should now see the two objects listed in the list box.

Click on the Next button. In the next two dialogs (Features Component, and Language Component), you will click on the Next button. On the last dialog (Package Component Revisions), you will click on the End button. This will conclude the package assembly portion.

Now, the Work With Packages dialog will display with the package that you just assembled being highlighted. Click on the Active/Inactive row exit to make this package active.

Then click on the Define Build row exit. This will bring up the Package Build Definition Director dialog. Click on the Next button to proceed.

In the Package Build Location dialog, make sure the Client and Server checkboxes are checked. Leave the Director radio button selected.

Click on the Next button. In the Server Selection dialog, you will want to select the server name of your Logic Server. If you see your logic server twice (i.e., once by itself, and once with a - Logic appended), select the one that does not have the - Logic appended to it and click the Select button. This row in the grid should now have a green checkmark next to it in the left hand column. Click on the Next button to continue.

In the Build Specification Options dialog, accept the defaults and click the Next button.

In the Business Function Options dialog, check the Clear Output Destination First checkbox, then click the Next button.

In the Compression Options dialog, accept the defaults and click on the Next button.

In the Package Build Revisions dialog, click on the “End” button. This will end the package build definition.

Now, click on the Active/Inactive row exit to make this package build definition active, then click on the Submit Build row exit. In the Report Output Destination, choose the On Screen radio button, and click the OK button. This will start the build process, which may take several minutes to complete.

The PDF report should be displayed in Acrobat Reader when it is finished. There will be two reports: one for the client, and one for the server. Make sure that both are finished by verifying that there are no UBE processes running. The UBE process will be displayed in your taskbar, with a title starting with UBE. When all of these processes are gone, then your build is complete.

To deploy this package to the logic server, now click on the Deploy row exit. Click on the Next button to continue.

In the Package Deployment Targets dialog, click on the Enterprise Server checkbox.

Click the Next button. In the Package Deployment Attributes dialog, click on the Mandatory Installation checkbox.

Click the Next button. In the Enterprise Server Selection dialog, select the Enterprise Server Name of your Logic Server, and click the Select button. Doing so will place a green checkmark next to your selection. Click the Next button.

In the Work With Package Deployment dialog, click on the Active/Inactive row exit to approve this deployment package. Then click on the Deploy row exit.

In the Report Output Destination dialog, select the On Screen radio button, and click the OK button. This will activate the deployment. The logic server will now move all the files in the bin32 and spec folders under the specific package folder into the corresponding folders under the [ [image] DV7334 – [image] DV9] folder.

You may need to bounce the EnterpriseOne services on your logic server to make these changes take effect. To do this, go into the Windows Services application and locate the EnterpriseOne services.

* There are two services, and they are named the following:

JDE Update 4 B733 Queue

JDE Update 4 B733 Network

* Please keep in mind that the Network service needs to be the first one started and the last one stopped. To stop the services, first stop the Queue service, then stop the Network service; and to start the services, first start the Network service, then start the Queue service.

* There is one service, and it is named the following:

JDE Update 0 B9 Network

The business function should now be deployed to the Logic Server and ready to be called and executed.

Deploy objects to the JAS Server

To use the integration via the HTML client, the JAS server needs to be updated. This process involves the following steps: (1) deploy the applicable objects to the JAS server; (2) run the Generator application for the applicable objects; and (3) stop and start the application server.

Deploy to the JAS Server

The purpose of this step is to get the applicable objects physically on the JAS server machine. This can be accomplished in one of two ways.

You can assemble, build, and deploy an update package for the client (JAS server machine) in the [ [image] DV7334 – [image] DV9] environment. Include the applicable objects in the package. Your EnterpriseOne administrator should be able to help you with this task.

You can run the OMW application inside the EnterpriseOne client (using the [ [image] DV7334 – [image] DV9] environment) on the JAS server machine. Check out the applicable objects, then check them back in. Doing this will bring down the complete specs for each of the objects. Note: Some objects may take awhile to check in and out, depending on the object size and complexity.

If you are checking in/out the objects to get them on the JAS server, you will also want to build the NOPTK00 object manually. To do this, click on the Design button in OMW for this object, go to the Design Tools tab, and click on the Build Business Function button. This can be done at any time, if the object is checked out or not.

The applicable objects to be deployed to the JAS server include:

BOPTK12 | BSFN containing the Oracle I/PM Custom logic
NOPTK00 | BSFN containing the driving logic of the integration
P0011 | The application we are integrating with
DTEST1 | Data structures for the BSFNs

Run the Generator application

The generator application can be found on the generation machine, which may be a dedicated EnterpriseOne client or simply the JAS machine itself. Start it by running Gen.BAT, the location is usually:

C:\B7\system\Generator\gen.bat

C:\B9\system\Generator\gen.bat

Running this application will bring up a console window (for output), then prompt you to log in to EnterpriseOne. Log into the [ [image] JDV7334 – [image] JDV9] environment. This will bring up the main generator dialog. Choose the Direct Generation radio button and click on the Connect button (see screenshot).

The generator application will now display the view to Generate All Objects. We only want to generate for specific objects, so we will choose the object type from the Generate menu.

Generate the following objects using the Generator application. For each object type, select the object type from the Generate menu, and enter the appropriate object information.

Object Type | Names
Application | P0011
NER | NOPTK_ExecuteIntegration_W0011A
Data Structure | DTEST1

When you are finished generating the applicable objects, exit the Generator application by choosing File Exit.

Stop and start the application server

You will need to stop and start the application server in order to have the changes made by the Generator application take effect.

This process will depend on which application server you are using. For our purposes, we are using the IBM Websphere Application Server version 4.0. To stop and start this server, run the following batch files from the following paths:

/WebSphere/AppServer/bin/stopServer.bat

/WebSphere/AppServer/bin/startServer.bat

At this time, a user may connect to the JAS server via an HTML client (see the User’s Guide for more details on this).


EnterpriseOne 8 User's Guide

EnterpriseOne Version 8 Integration
User Guide

This section will describe procedures to use the integration after it has been installed and configured. PeopleSoft EnterpriseOne has been renamed to EnterpriseOne.

This topic is specific to the ERP 8 integration. See the EnterpriseOne 8.9 Integration User Guide for information specific to version 8.9.

Login to EnterpriseOne

The first thing a user will need to do is open an internet browser and go to the URL of the JAS server that will be hosting the EnterpriseOne application. You should be able to obtain this URL from your EnterpriseOne administrator.

The page that is initially returned is the EnterpriseOne login screen.

Enter the User ID and Password, as supplied by your EnterpriseOne administrator, and click the Login button.

Selecting an environment

The screen to follow will prompt you for the environment you want to log in to.

Select the JDV7334 environment, and click the OK button.

The main page

The screen to follow the login will be the main page where you will launch the various EnterpriseOne applications from. This screen is analogous to the main window that is displayed when launching the EnterpriseOne Windows Client.

Next we will go to the EnterpriseOne Applications that we have integrated with.

For the purposes of this User’s Guide, we will demonstrate the functionality using the P0411 application. We will want to launch that application, so we will type “P0411” into the Fast Path edit box and click on the >> button.

This will attempt to launch the application, and display the following animated page while it is loading.

The initial screen of the P0411 application is the W0411G form. Notice the integration points that we have added, which appear as toolbar buttons at the top of the form.

Explicit login to Oracle I/PM

An explicit login to Oracle I/PM is accomplished by clicking on a button that we created on the form. The button should be setup to issue the Command of “Login”. When clicking on the Login button, the system will determine if you are already logged in. If you are already logged in, a message form will be displayed stating this fact. The reason for this is that we do not want to invalidate the current login if the user accidentally presses this button.

If you are not already logged in, then the system will try to automatically log you in. The success of this attempt is dependent on the Login Frequency set in the SEIS Config Tool. Below is a chart of the possible settings for Login Frequency and the results of an auto login attempt.

Login Frequency | Result
Always show login dialog | Auto login will fail.
Show login dialog initially, auto-login on timeout | Auto login will fail initially, but will succeed only if the user has previously logged in successfully.
Auto-login | Auto login will succeed only if the user has previously logged in successfully.

If the auto login succeeds, a message form will be displayed to inform you that you are logged into Oracle I/PM.

If the auto login fails, you will be prompted with the Oracle I/PM Login form. This form consists of two edit boxes (Username and Password) and a Login button.

Enter your username and password, and click on the Login button. If your login attempt fails, a message form will display this fact. Otherwise, a message form will be displayed to inform you that you are logged into Oracle I/PM.

Implicit login to Oracle I/PM

You can implicitly login by immediately clicking on any other button that is not configured as a Login or Logout. For example, if you click on a button configured as a search integration, the system will first check if you are logged in. If you are, then the search operation continues. If you are not logged in, the system tries to log you in automatically. The rules governing the success of an auto login are dependent on the Login Frequency setting in the EIS Config Tool, and the results are described below.

Login Frequency | Result
Always show login dialog | Auto login will fail.
Show login dialog initially, auto-login on timeout | Auto login will fail initially, but will succeed only if the user has previously logged in successfully.
Auto-login | Auto login will succeed only if the user has previously logged in successfully.

If the auto login succeeds, then the intended operation will continue. If the auto login fails, then you are prompted for Oracle I/PM login credentials (see Explicit login to Oracle I/PM for screenshots).

Selecting a solution

After you successfully log in, the system will retrieve the EIS Solutions that have been assigned to your user group. A solution represents a collection of search integrations and process automation integrations that are grouped together and given a unique solution name. If there is only one solution assigned, then you will automatically be logged in to that solution. If there is more than one solution assigned, then you will be prompted to enter which solution you would like to log in to. You can only use (be logged in to) one solution at a time.

Click the radio button of the solution you would like to log in to, then click the Select button. Clicking the Close button will leave you logged into Oracle I/PM, but with no functionality available.

Explicit logout

To explicitly logout from Oracle I/PM, click on a button that is configured to issue the Command of “Logout”. Clicking on the explicit logout will clear out any state information for your username, and a message form will appear to tell you that you are not logged into Oracle I/PM.

Search integrations

When on the W0411G form, you can click on the Find button to load all the vouchers in the system. This may take awhile depending on the caching state on the JAS server. When the vouchers are retrieved, they will be displayed in the grid on the web form.

Notice that only 10 rows are displayed at a time. You can scroll through the other records by clicking on the down arrow button (next) or the up arrow button (previous) at the top of the grid.

To perform an Oracle I/PM search integration, check one of the rows, and click on the appropriate search integration button. Doing this will invoke the Oracle I/PM integration. If you haven’t logged into Oracle I/PM as of yet, you will be prompted (this is an implicit login). Eventually, another browser window will be opened with the search results of the search operation. If there is only one document returned in the search results, the document or image will be displayed. The parameters of the search will be obtained from the currently selected row of the grid.

Process Automation Integrations

The process automation integrations are usually intended to be integrated with an entry form of some sort. The supported format for process automation integrations is the W0411A form (i.e., the Enter Voucher – Payment Information). To get to this form from the W0411G form (i.e., the Supplier Ledger Inquiry), click the Add button.

Work mode

Your current work mode is stored in the user state for your login, and can be one of two values: pick and execute. When the work mode is set to pick, this indicates that you have manually selected the items in your Worklist (via the Select Work command). When the work mode is set to execute, this indicates that a profile has been selected and the user will work out of that profile (via the Open Next command) until they change the profile. In this mode, the profile is re-executed each time an Open Next command is issued. The Work mode can be selected on the Profile selection screen.

Select Work

To open your Oracle I/PM Worklist, click on a button that is configured as such. Immediately after clicking on this button, your temporary table of work will be cleared, which means all the work you have specifically selected or that has been selected via Profile execution will be cleared.

You will then be prompted to select the Profile and work mode.

On the screenshot above, there are two different options presented, and they indicate how to locate the package to be worked on:

  • Work Packages in this Profile: The user wants to work all packages in this profile one at a time, and in the order that is defined by the profile.

  • Select Individual Packages to work: The user wants to select certain package(s) individually.

If you select a profile that is a prompted profile, and the profile does not have mapped prompts, then you will be presented with the following screen.

If the Prompt is highlighted in yellow, it is a required prompt. To enter a value for a prompt, select the row and press the Select button. This will bring you to a screen where you can either enter a value or select a value if the prompt has a pick list.

After you select a Profile and the work mode selected is "Select Individual Packages to Work", then the list of packages available in that Profile will be displayed.

You may select individual packages to work on by clicking on the checkbox in the left hand column and then clicking the Select button. This will bring you back to the W0411A form and open a browser window to display the default attachment for the first selected package in your Worklist. Your work mode will be set to pick.

Clicking on the Close button will return you to the W0411A form with an empty Worklist. Your work mode will be reset to execute. The profile that was previously selected will be the current profile.

Clicking on the Unlock button will attempt to unlock the packages that you have selected. A message form will be displayed informing you of the success or failure of this operation.

Open package action

The command to open the package action form can only be performed when there is an Oracle I/PM package currently open. You will either need to execute your Profile (by issuing the Open Next Package command) or select packages from your Profile (by issuing the Open Worklist command). If you do not have a package open, a message form will be displayed informing you that you need to have a package open.

If you do have a package open, then the Package Action form will be displayed.

This form is a multi-function form that allows you to issue three actions on an open package.

Add Journal Entry: Clicking on this will invoke the Journal Entry command, and it will allow you to add a journal entry on the package that is currently open. See the section on Journal Entry for more information on this command.

Skip Package: Clicking on this will invoke the Skip Package command, and it will allow you to skip the package that is currently open. See the section on Skip Package for more information on this command.

Open Default Image: Clicking on this will display the default image that is associated with the package that is currently open. This command is only found on this Package Action form, and is used primarily if the user has accidentally closed the browser window that showed the default image.

Open next package

The open next package command will do a variety of things, depending on your current work mode and package state.

If you currently have a package open, you will be notified and asked to Skip or Cancel. If you skip, then the Skip Package command will be performed. If the Skip Package fails, then the Open Next Package command will abort.

If the Work mode is Pick, then the next package in your Worklist will be removed, locked, and the default image for this package will be displayed in a browser window. If there is no work left from the previously selected packages, you will be informed that there is no more work and taken back to the Profile screen.

If the Work mode is Execute, the current profile will be re-executed and the first package returned will be locked and the default image for this package will be displayed in a browser window. If there are no packages returned from executing the current profile, you will be informed that there is no more work and taken back to the Profile screen.

Skip package

The command to skip a package can only be performed when there is an Oracle I/PM package currently open. You will either need to execute your Profile (by issuing the Open Next Package command) or select packages from your Profile (by issuing the Open Worklist command). If you do not have a package open, a message form will be displayed informing you that you need to have a package open.

If you currently have a package open, the skip configuration for this process automation integration will be examined. If the skip configuration is set to unlock, then the package will automatically be unlocked. If the skip configuration is set to leave locked, then the package will be left in a locked state. If the skip configuration is set to not prompt for a journal entry, then no journal entry is needed to perform the skip operation. In these three situations, you will not be prompted for anything, the package will be skipped, and the Open Next Package command will be issued.

If the skip configuration is set to prompt, then the following form will be displayed.

This form gives the user the opportunity to decide at runtime if he or she wants to unlock the package or leave it locked. If the skip configuration also requires a journal entry, you are able to enter the journal entry on this form. If the skip configuration requires a journal entry and is not set to “prompt”, then the generic Journal Entry form is displayed (see the Journal Entry section).

If the Skip Package operation is successful, the Open Next Package command is automatically issued.

Journal entry

The command to enter a journal entry can only be performed when there is an Oracle I/PM package currently open. You will either need to execute your Profile (by issuing the Open Next Package command) or select packages from your Profile (by issuing the Open Worklist command). If you do not have a package open, a message form will be displayed informing you that you need to have a package open.

If you do have a package currently open, you will be prompted to enter a journal entry.

Clicking on the OK button will attach your journal entry to the current package. Clicking on the “Cancel” button will cancel this operation.

Logical updates

A logical update is an abstract term that means one or a combination of the following: (1) an attempt to complete a package; (2) an attempt to update Process; (3) an attempt to update Imaging.

In the first two situations, a package is required to be open. If a package is not open, a message form will be displayed notifying you of this requirement. In the case of a Complete, the package that is currently open will be completed. In the case of a Process update, the current form field values will be used to update the package that is currently open.

In the last situation, a package is not required to be open. Imaging will be updated with the current form field values that have been configured for the logical update.

Completing a package

When completing a package, you will be prompted with a series of intermediate forms depending on how the logical update is configured. The following configurations will require addition user intervention: (1) requiring a journal entry to complete; (2) forcing a Complete To to display; and (3) Complete With is configured, and/or some package fields are required. If none of these items are configured, the user will not be prompted, and the complete action will automatically be performed.

If any of these items are configured, the following form will be displayed.

Certain sections of this form may be hidden, depending on if information is required for that section. When you are ready to complete the package, click on the Complete Package button.

If the complete is configured to force a display of Complete To, then clicking on the Decisions… button will bring up the following form.

In this form, you can choose which queue or event you want to complete this package to. Select the radio button of the queue you desire, and click on the Select button. Clicking on the Close button will bring you back to the Complete Package form without changing the current selection of Complete To. Note: If a queue has been selected and you come back into this dialog, the current selection will not be auto-chosen (i.e., the first item in the grid will always be the default, no matter what the current value is).

If the complete has been configured to prompt for Complete With and/or requires certain package field values, then you may enter values for these package fields by clicking on the Package Fields… button. This will bring up the following form.

Notice that fields that require a value to be entered are colored yellow. To enter a value for a specific field, you must select that field by choosing the radio button for that row, then clicking on the “Select” button. This will bring up one of two forms, based on if the value is setup as a pick list or not. Following is the form that will be displayed if a pick list is not set up.

To enter the value, simply enter the value in the Package Field Value: edit box and click on the OK button. This will bring you back to the Package Fields form. To leave the value as it is, you can click on the “Close” button.

Following is the form that will be displayed if a pick list is set up.

To choose a value for this field, you must choose one of the pick list values in the grid. Do this by clicking on the radio button for the desired row, then click on the Select button. This will return you to the Package Fields form. To leave the value as it is, you can click on the Close button.

If you attempt to complete the package when there are empty package field values that are required, you will be shown the following message form.

When the logical update (i.e., complete, in this scenario) has completed successfully, you will be confirmed with a message saying "Logical update succeeded".

After the package has been completed, the next package will be opened only if it has been configured in the complete. See Open Next Package for more details.

Process update

Updating Process updates the currently open package with the form values that are configured for the logical update.

Imaging update

Updating Imaging updates a document’s index values based on the form values that are configured for the logical update.


EnterpriseOne 8.9 User's Guide

EnterpriseOne Version 8.9 Integration
User Guide

This section will describe procedures to use the integration after it has been installed and configured. PeopleSoft EnterpriseOne has been renamed to EnterpriseOne.

This topic is specific to the ERP 8.9 integration. See the EnterpriseOne 8 Integration User Guide for information specific to version 8.

Login to EnterpriseOne

The first thing a user will need to do is open an internet browser and go to the URL of the JAS server that will be hosting the EnterpriseOne application. Obtain this URL from your EnterpriseOne administrator.

The page that is initially returned is the EnterpriseOne login screen.

Enter the User ID and Password, as supplied by your EnterpriseOne administrator, and click the Login button.

Selecting an environment

The screen to follow will prompt you for the environment you want to log in to.

Select the JDV9 environment, and click the OK button.

The main page

The screen to follow the login will be the main page where you will launch the various EnterpriseOne applications from. This screen is analogous to the main window that is displayed when launching the EnterpriseOne Windows Client.

Next we will go to the EnterpriseOne Applications that we have integrated with.

For the purposes of this User’s Guide, we will demonstrate the functionality using the P0411 application. We will want to launch that application, so we will type “P0411” into the Fast Path edit box and click on the >> button.

This will launch the application in a separate browser window.

The initial screen of the P0411 application is the W0411G form. Notice the integration points that we have added, which appear as toolbar buttons at the top of the form.

Explicit login to Oracle I/PM

An explicit login to Oracle I/PM is accomplished by clicking on a button that we created on the form. The button should be setup to issue the Command of “Login”. When clicking on the Login button, the system will determine if you are already logged in. If you are already logged in, a message form will be displayed stating this fact. The reason for this is that we do not want to invalidate the current login if the user accidentally presses this button.

If you are not already logged in, then the system will try to automatically log you in. The success of this attempt is dependent on the Login Frequency set in the EIS Config Tool. Below is a chart of the possible settings for Login Frequency and the results of an auto login attempt.

Login Frequency | Result
Always show login dialog | Auto login will fail.
Show login dialog initially, auto-login on timeout | Auto login will fail initially, but will succeed only if the user has previously logged in successfully.
Auto-login | Auto login will succeed only if the user has previously logged in successfully.

If the auto login succeeds, a message form will be displayed to inform you that you are logged into Oracle I/PM.

If the auto login fails, you will be prompted with the Oracle I/PM Login form. This form consists of two edit boxes (Username and Password) and a Login button.

Enter your username and password, and click on the Login button. If your login attempt fails, a message form will display this fact. Otherwise, a message form will be displayed to inform you that you are logged into Oracle I/PM.

Implicit login to Oracle I/PM

You can implicitly login by immediately clicking on any other button that is not configured as a Login or Logout. For example, if you click on a button configured as a search integration, the system will first check if you are logged in. If you are, then the search operation continues. If you are not logged in, the system tries to log you in automatically. The rules governing the success of an auto login are dependent on the Login Frequency setting in the EIS Config Tool, and the results are described below.

Login Frequency | Result
Always show login dialog | Auto login will fail.
Show login dialog initially, auto-login on timeout | Auto login will fail initially, but will succeed only if the user has previously logged in successfully.
Auto-login | Auto login will succeed only if the user has previously logged in successfully.

If the auto login succeeds, then the intended operation will continue. If the auto login fails, then you are prompted for Oracle I/PM login credentials (see Explicit login to Oracle I/PM for screenshots).

Selecting a solution

After you successfully log in, the system will retrieve the EIS Solutions that have been assigned to your user group. A solution represents a collection of search integrations and process automation integrations that are grouped together and given a unique solution name. If there is only one solution assigned, then you will automatically be logged in to that solution. If there is more than one solution assigned, then you will be prompted to enter which solution you would like to log in to. You can only use (be logged in to) one solution at a time.

Click the radio button of the solution you would like to log in to, then click the Select button. Clicking the Close button will leave you logged into Oracle I/PM, but with no functionality available.

Explicit logout

To explicitly logout from Oracle I/PM, click on a button that is configured to issue the Command of “Logout”. Clicking on the explicit logout will clear out any state information for your username, and a message form will appear to tell you that you are not logged into Oracle I/PM.

Search integrations

When on the W0411G form, you can click on the Find button to load all the vouchers in the system. This may take awhile depending on the caching state on the JAS server. When the vouchers are retrieved, they will be displayed in the grid on the web form.

Notice that only 10 rows are displayed at a time. You can scroll through the other records by clicking on the down arrow button (next) or the up arrow button (previous) at the top of the grid.

To perform an Oracle I/PM search integration, check one of the rows, and click on the appropriate search integration button. Doing this will invoke the integration. If you haven’t logged into Oracle I/PM as of yet, you will be prompted (this is an implicit login). Eventually, another browser window will be opened with the search results of the search operation. If there is only one document returned in the search results, the document or image will be displayed. The parameters of the search will be obtained from the currently selected row of the grid.

Process Automation Integrations

The process automation integrations are usually intended to be integrated with an entry form of some sort. The supported format for process automation integrations is the W0411A form (i.e., the Enter Voucher – Payment Information). To get to this form from the W0411G form (i.e., the Supplier Ledger Inquiry), click the Add button.

Work mode

Your current work mode is stored in the user state for your login, and can be one of two values: pick and execute. When the work mode is set to pick, this indicates that you have manually selected the items in your Worklist (via the Select Work command). When the work mode is set to execute, this indicates that a profile has been selected and the user will work out of that profile (via the Open Next command) until they change the profile. In this mode, the profile is re-executed each time an Open Next command is issued. The Work mode can be selected on the Profile selection screen.

Select Work

To open your Oracle I/PM Worklist, click on a button that is configured as such. Immediately after clicking on this button, your temporary table of work will be cleared, which means all the work you have specifically selected or that has been selected via Profile execution will be cleared.

You will then be prompted to select the Profile and work mode.

After you select a Profile and the work mode selected is "Select Individual Packages to Work", then the list of packages available in that Profile will be displayed.

You may select individual packages to work on by clicking on the checkbox in the left hand column and then clicking the Select button. This will bring you back to the W0411A form and open a browser window to display the default attachment for the first selected package in your Worklist. Your work mode will be set to pick.

Clicking on the Close button will return you to the W0411A form with an empty Worklist. Your work mode will be reset to execute. The profile that was previously selected will be the current profile.

Clicking on the Unlock button will attempt to unlock the packages that you have selected. A message form will be displayed informing you of the success or failure of this operation.

Open package action

The command to open the package action form can only be performed when there is an Oracle I/PM package currently open. You will either need to execute your Profile (by issuing the Open Next Package command) or select packages from your Profile (by issuing the Open Worklist command). If you do not have a package open, a message form will be displayed informing you that you need to have a package open.

If you do have a package open, then the Package Action form will be displayed.

This form is a multi-function form that allows you to issue three actions on an open package.

Add Journal Entry: Clicking on this will invoke the Journal Entry command, and it will allow you to add a journal entry on the package that is currently open. See the section on Journal Entry for more information on this command.

Skip Package: Clicking on this will invoke the Skip Package command, and it will allow you to skip the package that is currently open. See the section on Skip Package for more information on this command.

Open Default Image: Clicking on this will display the default image that is associated with the package that is currently open. This command is only found on this Package Action form, and is used primarily if the user has accidentally closed the browser window that showed the default image.

Open next package

The open next package command will do a variety of things, depending on your current work mode and package state.

If you currently have a package open, you will be notified and asked to Skip or Cancel. If you skip, then the Skip Package command will be performed. If the Skip Package fails, then the Open Next Package command will abort.

If the Work mode is Pick, then the next package in your Worklist will be removed, locked, and the default image for this package will be displayed in a browser window. If there is no work left from the previously selected packages, you will be informed that there is no more work and taken back to the Profile screen.

If the Work mode is Execute, the current profile will be re-executed and the first package returned will be locked and the default image for this package will be displayed in a browser window. If there are no packages returned from executing the current profile, you will be informed that there is no more work and taken back to the Profile screen.

Skip package

The command to skip a package can only be performed when there is an Oracle I/PM package currently open. You will either need to execute your Profile (by issuing the Open Next Package command) or select packages from your Profile (by issuing the Open Worklist command). If you do not have a package open, a message form will be displayed informing you that you need to have a package open.

If you currently have a package open, the skip configuration for this process automation integration will be examined. If the skip configuration is set to unlock, then the package will automatically be unlocked. If the skip configuration is set to leave locked, then the package will be left in a locked state. If the skip configuration is set to not prompt for a journal entry, then no journal entry is needed to perform the skip operation. In these three situations, you will not be prompted for anything, the package will be skipped, and the Open Next Package command will be issued.

If the skip configuration is set to prompt, then the following form will be displayed.

This form gives the user the opportunity to decide at runtime if he or she wants to unlock the package or leave it locked. If the skip configuration also requires a journal entry, you are able to enter the journal entry on this form. If the skip configuration requires a journal entry and is not set to “prompt”, then the generic Journal Entry form is displayed (see the Journal Entry section).

If the Skip Package operation is successful, the Open Next Package command is automatically issued.

Journal entry

The command to enter a journal entry can only be performed when there is an Oracle I/PM package currently open. You will either need to execute your Profile (by issuing the Open Next Package command) or select packages from your Profile (by issuing the Open Worklist command). If you do not have a package open, a message form will be displayed informing you that you need to have a package open.

If you do have a package currently open, you will be prompted to enter a journal entry.

Clicking on the OK button will attach your journal entry to the current package. Clicking on the “Cancel” button will cancel this operation.

Logical updates

A logical update is an abstract term that means one or a combination of the following: (1) an attempt to complete a package; (2) an attempt to update Process; (3) an attempt to update Imaging.

In the first two situations, a package is required to be open. If a package is not open, a message form will be displayed notifying you of this requirement. In the case of a Complete, the package that is currently open will be completed. In the case of a Process update, the current form field values will be used to update the package that is currently open.

In the last situation, a package is not required to be open. Imaging will be updated with the current form field values that have been configured for the logical update.

Completing a package

When completing a package, you will be prompted with a series of intermediate forms depending on how the logical update is configured. The following configurations will require addition user intervention: (1) requiring a journal entry to complete; (2) forcing a Complete To to display; and (3) Complete With is configured, and/or some package fields are required. If none of these items are configured, the user will not be prompted, and the complete action will automatically be performed.

If any of these items are configured, the following form will be displayed.

Certain sections of this form may be hidden, depending on if information is required for that section. When you are ready to complete the package, click on the Complete Package button.

If the complete is configured to force a display of Complete To, then clicking on the Decisions… button will bring up the following form.

In this form, you can choose which queue or event you want to complete this package to. Select the radio button of the queue you desire, and click on the Select button. Clicking on the Close button will bring you back to the Complete Package form without changing the current selection of Complete To. Note: If a queue has been selected and you come back into this dialog, the current selection will not be auto-chosen (i.e., the first item in the grid will always be the default, no matter what the current value is).

If the complete has been configured to prompt for Complete With and/or requires certain package field values, then you may enter values for these package fields by clicking on the Package Fields… button. This will bring up the following form.

Notice that fields that require a value to be entered are colored yellow. To enter a value for a specific field, you must select that field by choosing the radio button for that row, then clicking on the “Select” button. This will bring up one of two forms, based on if the value is setup as a pick list or not. Following is the form that will be displayed if a pick list is not set up.

To enter the value, simply enter the value in the Package Field Value: edit box and click on the OK button. This will bring you back to the Package Fields form. To leave the value as it is, you can click on the “Close” button.

Following is the form that will be displayed if a pick list is set up.

To choose a value for this field, you must choose one of the pick list values in the grid. Do this by clicking on the radio button for the desired row, then click on the Select button. This will return you to the Package Fields form. To leave the value as it is, you can click on the Close button.

If you attempt to complete the package when there are empty package field values that are required, you will be shown the following message form.

When the logical update (i.e., complete, in this scenario) has completed successfully, you will be confirmed with a message saying "Logical update succeeded".

After the package has been completed, the next package will be opened only if it has been configured in the complete. See Open Next Package for more details.

Process update

Updating Process updates the currently open package with the form values that are configured for the logical update.

Imaging update

Updating Imaging updates a document’s index values based on the form values that are configured for the logical update.


EnterpriseOne Upgrade

Update Boomerang Package

To upgrade an existing EnterpriseOne Integration to the current release, the new Boomerang package must be imported into the EnterpriseOne system. Please read the following considerations before performing the upgrade:

  • If the EnterpriseOne system had previously been configured to include the Oracle I/PM Web integration, it is recommended that all integration objects be deleted, including the six tables (F56OPTK1 to F56OPTK6) generated, before moving forward with an upgrade. The deletes may be done in the OMW (Object Management Workbench) application.
    For more information, please see your EnterpriseOne administrator. The tables will need to be regenerated.
  • If the system has enabled additional forms other than W0411G and W0411A for integration, you must backup the file BOPTK11.c in EnterpriseOne system. After the upgrade is completed, some portions of the BOPTK11.c must be merged into a new BOPTK12.c. This is a fairly complicated process and the implementation details may vary from system to system.
    Consult both your EnterpriseOne administrator and Oracle personnel before making the change.
  • If the system was previously configured to use the Oracle I/PM integration and all objects were not deleted, you will be prompted for overwriting existing objects. Selecting Overwrite will cause all custom work in these objects to be lost.
  • A Full package build in JDE EnterpriseOne system must be performed and deployed.

UPDATE JDEAcordeUpdate.dll

In addition to importing the new boomerang package the new JDEAcordeUpdate.dll should be updated from the distribution CD.

If your EnterpriseOne system is ERP8, the file is located in the following directory on the CD:

\PeopleSoft EnterpriseOne Files\Web Integration\JDEERP8

If your EnterpriseOne system is 8.9 or newer, the file is located in the following directory on the CD:

\PeopleSoft EnterpriseOne Files\Web Integration\PSEO8.9

The JDEAcordeUpdate.dll should be placed in the C:\Program Files\Stellent\IBPM directory on the EnterpriseOne Logic Server.


SAP Overview

The EIS CD includes the EIS SAP Archive Link integration.

Installation and configuration are discussed in the following topics.

  • Installation
  • Configuration

Printing Tips

To print this headings and all its sub topics

  1. Click on the topic frame on the right (this page).

  2. Click Print. The Print Topics dialog appears.

  3. Select the Print the Selected Topic radio button.

  4. Click OK. The Print dialog appears.

  5. Select the second tab, Options, select the checkbox to Print all Linked Documents.

  6. Click Print.


SAP Introduction

The SAP Integration has been developed and certified against SAP ArchiveLink. By doing this we are using the industry standard for integrating Content Management systems with SAP. We have certified the integration through a third party that SAP has authorized to certify all ECM vendors; in other words, this is a very standard integration leveraged by multiple ECM vendors and is applicable for multiple versions of SAP.

The SAP Archive Link integration is certified for use with SAP ArchiveLink release 4.5 (BC-AL 4.5). This release of ArchiveLink is supported by ALL SAP platform technology releases 4.5B and higher. This is independent from the Operating System SAP runs on. The certification will also support future SAP technologies as long as SAP supports BC-AL 4.5.

We will consider re-certifying the SAP Archive Link integration when one of the following occurs:

  • At the next major release of Oracle I/PM (X.0)
  • When SAP announces a new SAP ArchiveLink release (higher than the current version 4.5) and Oracle chooses to be certified for that new release of ArchiveLink. This would not impact existing certifications for previous releases.

Please refer to the EIS statement of support for additional information.


SAP Installation

Please refer to the Generic Installation and Upgrade Procedures topic for installation instructions. When prompted for Features, please select SAP Components. After the generic installation is complete and the Oracle I/PM system is up and running, please run SEISStartUp.EXE on the KGS Content Server to download SAPCFGTOOL.EXE to the C:\Program Files\Stellent\IBPM folder.

The EIS SAP ArchiveLink Integration uses a single user’s credentials to access Oracle I/PM. The user must set these credentials using the SAPCFGTOOL.EXE.

Figure 1

Run SAPCFGTOOL.EXE.

Check the checkbox to enable the OK button.

Click the OK button to start the login process.

Fill in the username and password.

Make sure the ‘Save for Automatic Login’ checkbox is checked.

Figure 2

Click the OK button to store the credentials for the EIS SAP ArchiveLink Integration’s automatic login.

This user is used regardless of other credentials that may be used for Oracle I/PM access. You can run this tool at any time to change the credentials. If you are running the EIS SAP ArchiveLink Integration from a non-service mode then the login UI is presented automatically if the username and password have not yet been set. The login dialog will no longer display after the username and password have been set.

At this point, the Oracle I/PM components of the EIS SAP ArchiveLink Integration are installed.

Installation and configuration of the KGS Content Server is required, as well as the configuration of the SAP Archive Link. These topics are discussed in the Configuration section.


SAP Configuration

The EIS SAP ArchiveLink Integration requires the installation and setup of the KGS Content Server as instructed in the KGS SAPALINK 4.5 Installation Guide. The guide is included with the KGS Content Server installation files on this CD.

Finally, the user must configure their SAP ArchiveLink for use with Oracle I/PM. Consult your SAP Administrator for instructions on configuring your SAP system for ArchiveLink. It is part of the SAP documentation. Several ArchiveLink scenarios are also included as part of the SAP documentation. An example of several SAP documents are presented in Figure 3.

Figure 3

Users Guide

EIS SAP ArchiveLink Integration is transparent to the user. The SAP client(s) are used as they are normally.

Special Notes

*** The EIS SAP ArchiveLink Integration requires the use of special Oracle I/PM Applications. The relationships between these applications are implicit, via SAPALINK.DLL, and declarative within the Oracle I/PM database. They work together to implement a view within Oracle I/PM that is compatible with SAP requirements for Document Management Server integration. They are transparent to the end-user. However, the administrator will see Applications in their IBPM tools in the form of FX_XXXMain and DX_XXXMain. These Applications are searchable through Oracle I/PM clients, however, the searching these Applications requires a technical understanding of their relationship.

*** TIFF documents stored using the EIS SAP ArchiveLink Integration are not stored in the native Oracle I/PM format where they are split into their separate pages, they are stored as Oracle I/PM UNIVERSAL documents.

*** SAP creates two application in IBPM named DX_aa and FX_aa, where aa is the repository as specified in SAP. These application may not be deleted via Filer because Filer does not support underscores as part of the application name. If these applications must be deleted, contact Customer Support for assistance.

Upgrade Notes

When upgrading from an Acorde system to an Oracle I/PM system on a KGS Content Server, manually change the environment variable C:\Program Files\optika\acorde to C:\Program Files\stellent\ibpm to upgrade to the new product name.


Help Tips

Tips

Table of Contents | The table of contents appears on the left while the viewing window on the right displays the content information. Items in the Table of Contents may be expanded or collapsed by clicking on them. Double clicking causes the topic to be displayed. The Table of Contents, Index and Find tabs may be Hidden or Shown using the toolbar icon or the menu option.
Links | Blue underlined text are links. Clicking on a link causes the contents of the viewing window to change to the destination of the link.
Back | Use the Back button on the browser toolbar of the online help. Back returns the display to the previous help topic displayed in the help file.
Printing a Topic | When printing a topic, make sure the topic you want to print from the table of contents appears in the window on the right and that you have clicked in that window with the mouse to select that topic. For specific printing tips see the Welcome topic.
Printing Multiple Topics | The Print Selected Topic and all SubTopics contained in the current heading check box in the HTML Help Print dialog may not print all the graphics associated with the topics. To print the graphics, choose the Print the Current Page check box and select the Print All Linked Documents in the Internet Explorer Print dialog. Only pages that are explicitly linked to the selected page will be printed. Selecting the Print Selected Topic and all SubTopics and then selecting the Print All Linked Documents can result in errors printed on extra pages such as "Unable to print document" and "The document could not be found."


PeopleSoft T&E 8.4 Integration Install & Config

PeopleSoft Travel and Expense Integration Installation
and Configuration Procedures for PeopleSoft 8.4

This section describes the installation and configuration of the PeopleSoft Travel and Expense integration. This integration requires Stellent ERP Integration Suite (SEIS) 7.6. Travel and Expense integration is an add-on to the main PeopleSoft Integration. It can not be installed alone. Please follow the instructions for PeopleSoft Integration before continuing. Also the Travel & Expense component must be applied to the same version of the PeopleSoft Integration.

Manually Install the
Stellent ERP Integration Suite (SEIS) 7.6
Travel & Expense Cover Sheet XML Files

  1. Copy the CoverSheetDirectory.XML and the BasicCoverSheet.XML files from the PeopleSoft Files\Travel & Expense folder into the Inetpub\wwwroot\IBPMWeb\OTInfrastructure\AcordeCoverSheetDefinitions directory on the Web Server. Overwrite existing files if prompted to do so.
  2. Modify the file properties of these XML files to be read/write.
  3. Open the BasicCoverSheet.XML file in a program that allows you to edit the file (Notepad works fine for this).
  4. Edit the following text values with appropriate (site-specific) information.
    • Replace AcordeLogo.gif file name in the LogoImage node to the name of the image that you wish to appear on the cover page. This image must exist in the CoverSheetImages directory (which is a child of the AcordeCoverSheetDefinitions directory) on the Web Server. Alternate file types, such as JPG or GIF may be used as well. Note that the cover page Web service does not resize the image, so it should exist in a size that is appropriate for the header portion of the cover page.
    • In the CompanyName Displayed Field node, replace My Company Name with the name of the company that you wish to appear on the cover sheet.
  5. Save the changes to the BasicCoverSheet.XML file.

Grant folder security to ASP.NET user account

  1. On the Web Server, grant Full Control to the IBPMData folder (recursive to all children as well) for the ASP.NET user. This allows the Cover Page web service to create the bar code images in temporary directories off of the IBPMData folder.

Add the Print Cover Page button to the PeopleSoft Travel & Expense Page

  1. Read and follow all of the steps described in the Configuration section of the PeopleSoft SEIS on-line help document.
  2. Using PeopleSoft Application Designer, add a button to the bottom of the TE_SHEET_LINES page. See the PeopleSoft Integration User's Guide section of the PeopleSoft on-line help document for more information on adding custom buttons to existing PeopleSoft pages. Note the correct placement of the button as shown in the figure below.

  3. Right click on the Print Cover Sheet button and select Page Field Properties. Select ACORDE_TE for the Record Name and ACORDE_INT_1 for the Field Name. Select the Enabled When Page is Display Only check box.

  4. On the Label tab of the Page Field Properties dialog box, select the following: Type = Text, Size = Custom, Label Text Type = Static Text, Label Text Text = Print Cover Sheet.

  5. Click OK to close the Page Field Properties dialog, then save the changes to the TE_SHEET_LINES page.
  6. Select Insert | HTML Area and drop the control near the top of the page.
  7. Right click on the control and select Page Field properties.
  8. Enter Acorde_HTML_REC for the Record Name and ACORD_HTML for the field name. Nothing else needs to be modified for this page field.
  9. Select the Order tab on the page designer and ensure that the ACORDE_HTML field has a value of 0 in the Lvl column. This means that the record field occurs at level 0 of the page and will therefore be accessible to any integration commands, regardless of the level at which they occur. If this field is not a level 0, click on the row number for the field in the far left hand portion of the grid and drag the row up to the top of the grid. This should cause it to be assigned to level 0. You may have to leave the tab and re-enter the tab to see the change take effect.
    NOTE: Only one instance of the HTML area control should appear on each page. If there are multiple integration commands on a single page, they will share the one instance of the HTML area control. If multiple pages are customized within one component, however, each page will need its own instance of the HTML area control.
  10. Test the functionality of the Print Cover Sheet button by navigating to an existing expense report in PeopleSoft (Travel and Expenses\Expense Reports\View) and clicking the Print Cover Sheet button.
  11. Click Save to save the page definition.

If everything has been configured correctly, a new browser window should open with a properly formatted Expense Report Cover Sheet. The Cover Sheet may be printed using the browser's native print capability.

Grant Security Permissions to the IBPM Component Interface objects in PeopleSoft

Security access must be granted in PeopleSoft to the IBPM Component Interfaces required for the Travel and Expense integration. To do this, follow the steps below.

  1. Log in to the PeopleSoft web client and navigate to PeopleTools | Security | Permissions & Roles | Permission Lists.
  2. Select the permission list to add the IBPM page access. For demo A/P systems, use the ALLPAGES permission list.
  3. Select the Component Interfaces tab. You will have to page to the right (arrow to the right of the tabs) to see this tab.
  4. Click the Plus Sign on the right of the first row to add a new row.
  5. Enter or select ACORDE_EXP_SHT for the Component Interface name.
  6. Click the Edit link.
  7. Select Full Access for all five method types as shown below.

  8. Click OK to exit the Component Interface Permissions page.
  9. Scroll to the bottom of the Component Interfaces tab and click the Save button.

  10. Repeat steps 4-9 using the ACORDE_NAME_SRCH and ACORDE_USERMAINT component interface names.

Build the ACORDE_TE_VW Record Using PeopleSoft Application Designer

  1. Log into PeopleSoft Application Designer and open the ACORDE_TE_VW record (File/Open Definition=Record, Name=ACORDE_TE_VW).
  2. Select the Build/Current Definition menu.
  3. Check the Create Views check box under Build Options.
  4. Select the Execute and build script radio button under Build Execute Options.

  5. Click Build.
  6. In the Build window at the bottom of the Application Designer, check to ensure that the following lines appear: "1 records processed, 0 errors, 0 warnings." and "SQL executed online".
  7. Exit Application Designer.

Test the IBPM Component Interface objects using PeopleSoft Application Designer

  1. Log into PeopleSoft Application Designer and open the ACORDE_EXP_SHT Component Interface (File/Open Definition=Component Interface, Name=ACORDE_EXP_SHT).
  2. Choose the Tools\Test Component Interface menu option. If this menu option is disabled, ensure that the component interface child window has the focus. If necessary, close all objects and re-open just the component interface.
  3. Upon selecting Test Component Interface, PeopleSoft Application Designer will launch the Component Interface Tester application. If the application is not given immediate focus, select it from the Windows task bar so that it appears.
  4. Double click in the right hand column of the SHEET_ID field under the Get Keys section and enter a valid expense report id. For the demo system, use 0000000020.

  5. Click the Get Existing Button. The data for the corresponding expense report should be returned as shown below.

  6. Close the Component Interface Tester application.
  7. Close the ACORDE_EXP_SHT component interface.
  8. Open the ACORDE_NAME_SRCH Component Interface (File/Open Definition=Component Interface, Name=ACORDE_NAME_SRCH).
  9. Repeat steps 2-6 using a valid employee id for the EMPLID field. For the demo system, use KU0042. Employee information for Kenneth Schumacher should be returned.
  10. Open the ACORDE_USERMAINT Component Interface (File/Open Definition=Component Interface, Name= ACORDE_USERMAINT).
  11. Repeat steps 2-6 using a valid OPRID for the OPRID field under the Get Keys section and enter a valid OPRID. For the demo system, use VP1.

Do not proceed with the configuration of the Process Broker until steps 1-11 above are completed successfully.

Configure the Process Broker Machine for PeopleSoft Communication

  1. On the Process Broker machine, copy the PeopleSoftTE_8_8.exe file from the PeopleSoft Files\Travel & Expense folder on the CD into the IBPM install directory. This file is required for all versions of PeopleSoft (not just for version 8.8).
  2. Open a DOS shell on the Process Broker machine and navigate to the IBPM install directory. Enter PeopleSoftTE_8_8.exe /regserver and press Enter. This registers the PeopleSoftTE_8_8.exe file so that the Process Broker can see the file at run time.
  3. Install the PeopleSoft Application Designer locally on the Process Broker machine. The files must be installed locally for the Process Broker to access them successfully when running as a Windows service.
  • Insert the PeopleTools Disk 1 CD and run setup.exe from the root of the CD.
  • Enter the PeopleTools License Code when prompted and click Next.
  • Leave the default database type selected and click Next.
  • Select the PeopleSoft File Server check box when prompted for which applications to install. Clear all of the other check boxes and click Next.
  • Choose an appropriate installation directory and click Next.
  • Verify the database connectivity program directory and click Next.
  • Select Yes or No to the prompt to create PeopleTools icons and click Next.
  • When prompted to select which features of PeopleTools you would like to install, select only the PeopleTools check box. Deselect all other check boxes.
  • You will then be prompted with a confirmation dialog box. Click Next to proceed with the installation.
  4. Make sure the current environment variable PATH includes the location of the JVM.DLL. For example, C:\PT8.45\jre\bin\client, where C:\PT8.45 is the install directory specified in step 3 above.
  5. Make sure the environment variable ClassPath includes the location of psjoa.jar. For example, C:\PT8.45\web\psjoa\psjoa.jar.
  6. Configure the PeopleSoft Application Designer to connect to the PeopleSoft system.
  • Run ODBCAD32 from the Windows Start/Run menu.
  • Create a new System DSN connection to the PeopleSoft database called EP.
  • Using ODBCAD32, test the connection to ensure a correct configuration.
  • Launch the PeopleSoft Configuration Manager by selecting Start | Programs | PeopleTools 8.4 | Configuration Manager.
  • On the Startup tab, enter the PeopleSoft database server name for Server Name. Enter EP for the Database name. Enter a correct user id, connect id, and connect password (For demo systems, this will be VP1, people, and peop1e respectively. Note that the connect password uses a numeric one digit for the L character in the word people).
  • Click Apply and close the Configuration Manager.
  • Test the PeopleTools installation by launching the PeopleSoft Application Designer program using the Start | Programs | PeopleTools 8.4 | Application Designer menu option.
  • Ignore any build errors that may occur.
  7. Log into PeopleSoft Application Designer and open the ACORDE_EXP_SHT Component Interface (File/Open Definition=Component Interface, Name=ACORDE_EXP_SHT).
  8. Select the Build/PeopleSoft APIs menu. The COM Type Library Build check box must be selected, as well as the Auto-Register and Clean-up Registry check boxes in the COM Type Library section. Note the Target Directory path. This is the location where the built modules will be written. You may deselect the Java Classes Build Check Box near the bottom.
  9. After reviewing the settings, Click the OK button. PeopleSoft Application Designer will then build the COM objects required by the Process Broker
  10. Verify the correctness of the CLASSPATH environment variable. This system environment variable must contain the full path to the PeopleSoft psjoa.jar java library. This path may resemble the following: C:\PT8.42\web\psjoa\psjoa.jar. Create this environment variable if it does not already exist.
  11. Verify the correctness of the PATH environment variable. The PATH environment variable must include the path where the jvm.dll resides. This path may resemble the following: C:\PT8.42\jre\bin\hotspot.

Information: Create Process Broker Scripts for Communication with PeopleSoft

The Process system communicates with the PeopleSoft COM objects using scripts. Four sample scripts are included on the CD in the Sample Scripts subdirectory beneath Travel and Expense. These sample scripts are text files that contain sample methods which could be used as Supporting Code in Process Script definitions. In order to use these sample scripts, the package field names would have to be updated to match the existing IBPM package template fields. Additionally, the information used to connect to PeopleSoft would have to be modified to reflect the correct information for the given installation. Below is a brief description of the functionality that is contained in these samples.

  1. Find Expense Report Script.txt: This searches the PeopleSoft system for an expense report based on the expense report id field in the package. Upon completing this search, a Boolean package field is updated with a true or false value based on whether the look up succeeded or failed.
  2. Get Sheet Status Script.txt: This retrieves the expense report sheet status based on the expense report id field in the package. Upon completing this look up, the sheet status package field is updated with the result. Note that if the expense report cannot be located, the sheet status value will be an empty string.
  3. Get Expense Report Fields Script.txt: This retrieves the following expense report fields based on the expense report id field in the package: Employee Id, Business Unit, Department Id, Reimbursable Amount. Upon completing these retrievals, the corresponding package fields are updated with the values.
  4. Get Employee Information Script.txt: This retrieves the following employee fields based on the employee id field in the package: First Name, Last Name, email address. Upon completing these retrievals, the corresponding package fields are updated with the values.
  5. Update Receipts Received Script.txt: This updates the Receipts Received Flag and the Receipts Received date for the given expense report.

Each of these scripts contain inline comments regarding the functionality. Note that a connection must be made to PeopleSoft through the supporting objects prior to invoking any of the functionality. This Connect call is shown and commented in the sample scripts as well.

NOTE: The IP Address that is coded in these scripts will need to be modified to point to your PeopleSoft Server.

Configure the PeopleSoft Travel and Expense Page with IBPM Integration Points

The Travel & Expense integration is performed on the TE_SHEET_LINES page in PeopleSoft. This page resides in many different components within PeopleSoft. An integration must be defined using the SEIS Configuration tool for each component that is to be enabled with the integration.

Configuring the View Receipts Search Integration

The following PeopleSoft Travel & Expense components should be enabled with an IBPM Search integration:

  • TE_APPROVE_SHEET
  • TE_EXPENSE_SHEET
  • TE_EXPENSE_SHEET2
  • TE_EE_INQ_HIST
  • TE_EXP_SHEET_INQ
  • TE_AUDIT_SHEET
  • TE_VERIFY_EXP_RCPT

The information below will use the TE_VERIFY_EXP_RCPT component as the example for setting up a search integration on the PeopleSoft TE_SHEET_LINES page. Note that the SEIS configuration steps should be replicated for each of the components listed above. All seven of these components may use the same template detailed below.

  1. Define the following Travel and Expense template. Refer to the PeopleSoft Integration User Guide which may be found on the SEIS CD in the SEIS.CHM for detailed information on how to define PeopleSoft templates using SEIS.
    ExpenseReportId | EX_SHEET_HDR.SHEET_ID
    EmployeeId | EX_SHEET_HDR.EMPLID
  2. Configure a Search integration using this template and the TE_VERIFY_EXP_RCPT component. The Search should use the ExpenseReportId field as the only search index. Refer to the PeopleSoft Integration User's Guide for detailed information on how to define PeopleSoft Search Integrations using SEIS.
  3. Using PeopleSoft Application Designer, open the TE_SHEET_LINES page. Note the 3 hyperlinks in the middle of the page labeled View Receipts, View Exception Queue, and View Pending Queue. View Receipts is the link that we want to use for our search integration.
  4. Right click on the View Receipts hyperlink and select Page Field Properties.
  5. Change the Record Name to ACORDE_CMDREC and the Field Name to match the field name provided in the SEIS configuration.
  6. Add the HTML area control as described in the PeopleSoft Integration User Guide.
  7. Save the changes to TE_SHEET_LINES.
  8. To test the Search integration, manually index an existing IBPM document to have a matching expense report id for a transaction in PeopleSoft. You may navigate to the TE_VERIFY_EXP_RCPT component using the Travel and Expense | Audit | Verify Receipts | Receipts Verified menu.

Configuring the View Exception Queue and View Pending Queue Process Automation Integrations

The TE_VERIFY_EXP_RCPT component is the only component to configure with a Process Automation Integration. The TE_SHEET_LINES page should be configured so that both the View Exception Queue and View Pending Queue links open the Worklist. Users with access to multiple profiles will have to select a profile after clicking on either of these links. To configure the TE_SHEET_LINES page with this functionality, follow the steps below.

  1. Configure a Process Automation integration using the same template as before along with the same TE_VERIFY_EXP_RCPT component. The logical update should use the ExpenseReportId field as the only update value. The rest of the information for the expense report will be retrieved later by the Package Broker using the Travel and Expense scripts. Refer to the PeopleSoft Integration User's Guide for information on how to define PeopleSoft Process Automation Integrations using SEIS.
  2. Note the ACORDE_CMDREC field specified for the Open Worklist command in the PeopleSoft Integration Command Configuration dialog (inside the SEIS Configuration). The ability to bind the Open Worklist command to a custom button/link is a new feature in this release. This field name, along with the Logical Update ACORDE_CMDREC field will be needed to configure the process automation integration.
  4. Using PeopleSoft Application Designer, open the TE_SHEET_LINES page.
  5. Right click on the View Exception Queue hyperlink and select Page Field Properties.
  6. Change the Record Name to ACORDE_CMDREC and the Field Name to match the field name provided for the OpenWorklist command in the SEIS configuration.
  7. Right click on the View Pending Queue hyperlink and select Page Field Properties.
  8. Change the Record Name to ACORDE_CMDREC and the Field Name to match the field name provided for the OpenWorklist command in the SEIS configuration.
  9. Save the changes to TE_SHEET_LINES. Note that you will get a message notifying you that the IBPM field is used more than one time. This is expected, click OK.
  10. With the TE_SHEET_LINES page open in the PeopleSoft Application Designer, click View | View Page PeopleCode.
  11. Steps 11-13 below use the integration fields that will result from following this guide. These integration fields are dynamically generated in the order in which the integration is configured. ACORDE_INT_1 represents the Search Command record field. ACORDE_INT_2 represents the Open Worklist Command record field. If your command record fields are different, be sure to use the appropriate record field when changing this code. These changes can be made by doing a search and replace for the given strings.
  12. Change all references to EX_ICLIENT_WRK.EX_VIEW_RECEIPTS to ACORDE_CMDREC.ACORDE_INT_1.
  13. Change all references to EX_ICLIENT_WRK.EX_VIEW_EXCP to ACORDE_CMDREC.ACORDE_INT_2
  14. Change all references to EX_ICLIENT_WRK.EX_VIEW_PEND to ACORDE_CMDREC.ACORDE_INT_2
  15. Save the changes to TE_SHEET_LINES.

Creating & Configuring the Update IBPM Hyperlink

The SEIS configuration was completed in the previous step. All that is left to do is add a new button/hyperlink, and bind it to the ACORDE_CMDREC field to which the logical update has been assigned. To do this, follow the steps below.

  1. Using PeopleSoft Application Designer, open the TE_SHEET_LINES page.
  2. Select the Insert\Push Button/Hyperlink menu.
  3. Place the button to the right of the View Pending Queue hyperlink.
  4. Right click on the button and select Page Field Properties.
  5. Select the Hyperlink radio button.
  6. Enter ACORDE_CMDREC for the Record Name.
  7. Enter the field name that matches the field from the SEIS configuration tool for this logical update command.
  8. Select the Enable When Page is Display Only check box.

Note that the Field Name shown above may be different for your installation (refer to the SEIS Configuration Tool).

  9. Click on the Label tab in the Push Button/Hyperlink Properties dialog.
  10. Select Type of Text, Size of Custom, Label Text Type of Static Text and Label Text of Update IBPM.

  11. Click OK to close the dialog.
  12. Resize the hyperlink so that it is wide enough for the text and vertically even with the View Pending Queue hyperlink.

  13. Save the TE_SHEET_LINES page.

Enabling Receipt Imaging in PeopleSoft

To enable Receipt Imaging in PeopleSoft, modify the RCPT_IMG_SELECT field in the PS_INSTALLATION_EX table to 'R'. On MS SQL Server, this can be done using Query Analyzer by executing the following command against the PeopleSoft database UPDATE PS_INSTALLATION_EX SET RCPT_IMG_SELECT='R'.

By default, PeopleSoft shows the View Receipts link but hides the View Queue links when Receipt Imaging is disabled. To modify this behavior in PeopleCode, the IsReceiptImaging() function may be used to check the Receipt Imaging Enabled flag. This function returns true if Receipt Imaging is enabled, false if not. Note that this is not required, it is purely an informative statement.

Test the View Exception Queue, View Pending Queue and Update IBPM Hyperlinks

To test these integration points, navigate to the TE_VERIFY_EXP_RCPT component using the Travel and Expense | Audit | Verify Receipts | Receipts Verified menu. Open IBPM workflow documents using the View Exception Queue and View Pending Queue hyperlinks. Once an IBPM document is opened, it may be updated with the PeopleSoft index values by clicking the Update IBPM hyperlink.

See the Copyright topic for copyright information. This INTERNALTOPIC has been provided for internal use.


PeopleSoft T&E 8.8 Integration Install & Config

PeopleSoft Travel and Expense Integration Installation
and Configuration Procedures for PeopleSoft 8.8

This section describes the installation and configuration of the PeopleSoft Travel and Expense integration. This integration requires ERP Integration Suite (EIS) 7.6 or later. PeopleSoft 8.9 and 9.0 are not supported.

Travel and Expense integration is an add-on to the main PeopleSoft Integration. It can not be installed alone. Please follow the instructions for PeopleSoft Integration before continuing. Also the Travel & Expense component must be applied to the same version of the PeopleSoft Integration.

Only import the Acorde_Integration.ini if this is a brand new (clean) 8.8 install. If you have an existing integration and you are adding Travel & Expense, follow these steps.

  1. Open the Application Designer.
  2. From the Tools menu, select Copy Project | From File.
  3. Browse to the folder where the T&E files were extracted (by default Travel & Expense/8_8/Acorde_TE_8_8) and select the Acorde_TE_8_8.ini file. Click the Open button.
  4. Click the Select All checkbox.
  5. Select the Options tab | Compare Options | Keep Customizations.
  6. Click OK.
  7. Click the Copy button.
  8. Exit the Application Designer.

Manually Install the
ERP Integration Suite (EIS)
Travel & Expense Cover Sheet XML Files

  1. Copy the CoverSheetDirectory.XML and the BasicCoverSheet.XML files from the PeopleSoft Files\Travel & Expense folder into the Inetpub\wwwroot\IBPMWeb\OTInfrastructure\AcordeCoverSheetDefinitions directory on the Web Server. Overwrite existing files if prompted to do so. (The IBPMWeb directory was Web previously.)
  2. Modify the file properties of these XML files to be read/write.
  3. Open the BasicCoverSheet.XML file in a program that allows you to edit the file (Notepad works fine for this).
  4. Edit the following text values with appropriate (site-specific) information.
    • Replace AcordeLogo.gif file name in the LogoImage node to the name of the image that you wish to appear on the cover page. This image must exist in the CoverSheetImages directory (which is a child of the AcordeCoverSheetDefinitions directory) on the Web Server. Alternate file types, such as JPG or GIF may be used as well. Note that the cover page web service does not resize the image, so it should exist in a size that is appropriate for the header portion of the cover page.
    • In the CompanyName Displayed Field node, replace My Company Name with the name of the company that you wish to appear on the cover sheet.
  5. Save the changes to the BasicCoverSheet.XML file.

Grant folder security to ASP.NET user account

  1. On the Web Server, grant Full Control to the IBPMData folder (recursive to all children as well) for the ASP.NET user. This allows the Cover Page web service to create the bar code images in temporary directories off of the IBPMData folder.

Add the Print Cover Page button to the PeopleSoft Travel & Expense Page

  1. Read and follow all of the steps described in the PeopleSoft Integration | Configuration section of the EIS.CHM on-line help document.
  2. Using PeopleSoft Application Designer, add a button to the bottom of the TE_SHEET_LINES and EX_SHEET_ENTRY pages. See the PeopleSoft Integration User's Guide section of the EIS.CHM on-line help document for more information on adding custom buttons to existing PeopleSoft pages. Note the correct placement of the button as shown in the figure below.

  3. Right click on the Print Cover Sheet button and select Page Field Properties. Select ACORDE_TE for the Record Name and ACORDE_INT_1 for the Field Name. Select the Enabled When Page is Display Only check box.

  4. On the Label tab of the Page Field Properties dialog box, select the following: Type = Text, Size = Custom, Label Text Type = Static Text, Label Text Text = Print Cover Sheet.

  5. Click OK to close the Page Field Properties dialog.
  6. Select Insert | HTML Area and drop the control near the bottom of the page.
  7. Right click on the control and select Page Field properties.
  8. Enter ACORDE_HTML_REC for the Record Name and ACORDE_HTML for the field name. Nothing else needs to be modified for this page field.
  9. Select the Order tab on the page designer and ensure that the ACORDE_HTML field has a value of 0 in the Lvl column. This means that the record field occurs at level 0 of the page and will therefore be accessible to any integration commands, regardless of the level at which they occur. If this field is not at level 0, click on the row number for the field in the far left hand portion of the grid and drag the row up to the top of the grid. This should cause it to be assigned to level 0. You may have to leave the tab and re-enter the tab to see the change take effect.
    NOTE: Only one instance of the HTML area control should appear on each page. If there are multiple integration commands on a single page, they will share the one instance of the HTML area control. If multiple pages are customized within one component, however, each page will need its own instance of the HTML area control.
  10. Click Save to save the page definition.
  11. Repeat steps 3-10 using the EX_SHEET_ENTRY page.
  12. Test the functionality of the Print Cover Sheet button by navigating to an existing expense report in PeopleSoft (Travel and Expenses\Travel and Expense Center\Expense Reports\View) and clicking the Print Cover Sheet button.

If everything has been configured correctly, a new browser window should open with a properly formatted Expense Report Cover Sheet. The Cover Sheet may be printed using the browser's native print capability.

Grant Security Permissions to the Oracle I/PM Component Interface objects in PeopleSoft

Security access must be granted in PeopleSoft to the Oracle I/PM Component Interfaces required for the Travel and Expense integration. To do this, follow the steps below.

  1. Log in to the PeopleSoft web client and navigate to PeopleTools | Security | Permissions & Roles | Permission Lists.
  2. Select the permission list to add the Oracle I/PM page access. For demo A/P systems, use the ALLPAGES permission list.
  3. Select the Component Interfaces tab. You will have to page to the right (arrow to the right of the tabs) to see this tab.
  4. Click the Plus Sign on the right of the first row to add a new row.
  5. Type or select ACORDE_EXP_SHT for the Component Interface name.
  6. Click the Edit link.
  7. Select Full Access for all five method types as shown below.

  8. Click OK to exit the Component Interface Permissions page.
  9. Scroll to the bottom of the Component Interfaces tab and click the Save button.

  10. Repeat steps 4-9 using the ACORDE_NAME_SRCH, ACORDE_EXP_SHT_INQ and ACORDE_USERMAINT component interface name.

Build the ACORDE_TE_VW Record Using PeopleSoft Application Designer

  1. Log into PeopleSoft Application Designer and open the ACORDE_TE_VW record (File/Open Definition=Record, Name=ACORDE_TE_VW).
  2. Select the Build/Current Definition menu.
  3. Check the Create Views check box under Build Options.
  4. Select the Execute and build script radio button under Build Execute Options.

  5. Click Build.
  6. In the Build window at the bottom of the Application Designer, check to ensure that the following lines appear: "1 records processed, 0 errors, 0 warnings." and "SQL executed online".
  7. Exit the Application Designer.

Test the Oracle I/PM Component Interface objects using PeopleSoft Application Designer

  1. Log into PeopleSoft Application Designer and open the ACORDE_EXP_SHT Component Interface (File/Open Definition=Component Interface, Name=ACORDE_EXP_SHT).
  2. Choose the Tools\Test Component Interface menu option. If this menu option is disabled, ensure that the component interface child window has the focus. If necessary, close all objects and re-open just the component interface.
  3. Upon selecting Test Component Interface, PeopleSoft Application Designer will launch the Component Interface Tester application. If the application is not given immediate focus, select it from the Windows task bar so that it appears.
  4. Double click in the right hand column of the SHEET_ID field under the Get Keys section and type a valid expense report id. For the demo system, use 0000000020.

  5. Click the Get Existing Button. The data for the corresponding expense report should be returned as shown below.

  6. Close the Component Interface Tester application.
  7. Close the ACORDE_EXP_SHT component interface.
  8. Open the ACORDE_NAME_SRCH Component Interface (File/Open Definition=Component Interface, Name=ACORDE_NAME_SRCH).
  9. Repeat steps 2-6 using a valid employee id for the EMPLID field. For the demo system, use KU0042. Employee information for Kenneth Schumacher should be returned.
  10. Open the ACORDE_EXP_SHT_INQ Component Interface (File/Open Definition=Component Interface, Name=ACORDE_EXP_SHT_INQ).
  11. Repeat steps 2-6 using a valid sheet id for the SHEET_ID field under the Get Keys section and type a valid expense report id. For the demo system, use 0000000020.

Do not proceed with the configuration of the Process Broker until steps 1-11 above are completed successfully.

Configure the Process Broker Machine for PeopleSoft Communication

  1. On the Process Broker machine, copy the new PeopleSoftTE_8_8.exe file from the PeopleSoft Files\Travel & Expense folder into the Oracle I/PM install directory.
  2. Open a DOS shell on the Process Broker machine and navigate to the Oracle I/PM install directory. Type PeopleSoftTE_8_8.exe /regserver and press Enter. This registers the PeopleSoftTE_8_8.exe file so that the Process Broker can see the file at run time.
  3. Install the PeopleSoft Application Designer locally on the Process Broker machine. The files must be installed locally for the Process Broker to access them successfully when running as a Windows service.
  • Insert the PeopleTools Disk 1 CD and run setup.exe from the root of the CD.
  • Type in the PeopleTools License Code when prompted and click Next.
  • Leave the default database type selected and click Next.
  • Select the PeopleSoft File Server check box when prompted for which applications to install. Clear all of the other check boxes and click Next.
  • Choose an appropriate installation directory and click Next.
  • Verify the database connectivity program directory and click Next.
  • Select Yes or No to the prompt to create PeopleTools icons and click Next.
  • When prompted to select which features of PeopleTools you would like to install, select only the PeopleTools check box. Deselect all other check boxes.
  • You will then be prompted with a confirmation dialog box. Click Next to proceed with the installation.
  4. Make sure the current environment variable PATH includes the location of the JVM.DLL. For example, C:\PT8.45\jre\bin\client, where C:\PT8.45 is the install directory specified in step 3 above.
  5. Make sure the environment variable ClassPath includes the location of psjoa.jar. For example, C:\PT8.45\web\psjoa\psjoa.jar.
  6. Configure the PeopleSoft Application Designer to connect to the PeopleSoft system.
  • Run ODBCAD32 from the Windows Start/Run menu.
  • Create a new System DSN connection to the PeopleSoft database called EP.
  • Using ODBCAD32, test the connection to ensure a correct configuration.
  • Launch the PeopleSoft Configuration Manager by selecting Start | Programs | PeopleTools 8.4 | Configuration Manager.
  • On the Startup tab, enter the PeopleSoft database server name for Server Name. Enter EP for the Database name. Enter a correct user id, connect id, and connect password (For demo systems, this will be VP1, people, and peop1e respectively. Note that the connect password uses a numeric one digit for the L character in the word people).
  • Click Apply and close the Configuration Manager.
  • Test the PeopleTools installation by launching the PeopleSoft Application Designer program using the Start | Programs | PeopleTools 8.4 | Application Designer menu option.
  7. Log into PeopleSoft Application Designer and open the ACORDE_EXP_SHT Component Interface (File/Open Definition=Component Interface, Name=ACORDE_EXP_SHT).
  8. Select the Build/PeopleSoft APIs menu.
    Note: There will be numerous Unknown field... and PeopleCode compile error... errors that will be generated. These errors originate from a known issue in PeopleSoft 8.8 trying to check ALL Component Interfaces instead of just the one currently open. Press OK and continue until you reach the Build PeopleSoft API Bindings dialog.
  9. The COM Type Library Build check box must be selected, as well as the Auto-Register and Clean-up Registry check boxes in the COM Type Library section. Note the Target Directory path. You may deselect the Java Classes Build Check Box near the bottom. This is the location where the built modules will be written.
  10. After reviewing the settings, Click the OK button. PeopleSoft Application Designer will then build the COM objects required by the Process Broker.
  11. Verify the correctness of the CLASSPATH environment variable. This system environment variable must contain the full path to the PeopleSoft psjoa.jar java library. This path may resemble the following: C:\PT8.44\web\psjoa\psjoa.jar. Create this environment variable if it does not already exist.
  12. Verify the correctness of the PATH environment variable. The PATH environment variable must include the path where the jvm.dll resides. This path may resemble the following: C:\PT8.44\jre\bin\hotspot.
  13. Close the Application Designer.

Information: Create Process Broker Scripts for Communication with PeopleSoft

The Process system communicates with the PeopleSoft COM objects using scripts. Four sample scripts are included on the CD in the Sample Scripts subdirectory beneath Travel and Expense. These sample scripts are text files that contain sample methods which could be used as Supporting Code in Process Script definitions. To use these sample scripts, the package field names would have to be updated to match the existing Process package template fields. Additionally, the information used to connect to PeopleSoft would have to be modified to reflect the correct information for the given installation. Below is a brief description of the functionality that is contained in these samples.

  1. Find Expense Report Script.txt: Searches the PeopleSoft system for an expense report based on the expense report id field in the package. Upon completing this search, a Boolean package field is updated with a true or false value based on whether the look up succeeded or failed.
  2. Get Sheet Status Script.txt: Retrieves the expense report sheet status based on the expense report id field in the package. Upon completing this look up, the sheet status package field is updated with the result. Note that if the expense report cannot be located, the sheet status value will be an empty string.
  3. Get Expense Report Fields Script.txt: Retrieves the following expense report fields based on the expense report id field in the package: Employee Id, Business Unit, Department Id, Reimbursable Amount. Upon completing these retrievals, the corresponding package fields are updated with the values.
  4. Get Employee Information Script.txt: Retrieves the following employee fields based on the employee id field in the package: First Name, Last Name, email address. Upon completing these retrievals, the corresponding package fields are updated with the values.
  5. Update Receipts Received.txt: Uses the package information to update the date and time fields in Peoplesoft.

Each of these scripts contain inline comments regarding the functionality. Note that a connection must be made to PeopleSoft through the supporting objects prior to invoking any of the functionality. This Connect call is shown and commented in the sample scripts as well.

NOTE: The IP Address that is coded in these scripts will need to be modified to point to your PeopleSoft Server.

Configure the PeopleSoft Travel and Expense Page with Oracle I/PM Integration Points

The Travel & Expense integration is performed on the TE_SHEET_LINES and EX_SHEET_ENTRY pages in PeopleSoft. This page resides in many different components within PeopleSoft. An integration must be defined using the EIS Configuration tool for each component that is to be enabled with the integration.

Configuring the View Receipts Search Integration

The following PeopleSoft Travel & Expense components should be enabled with a Search integration:

  • TE_APPROVE_SHEET
  • TE_EXPENSE_SHEET
  • TE_EXPENSE_SHEET2
  • TE_EE_INQ_HIST
  • TE_EXP_SHEET_INQ
  • TE_AUDIT_SHEET
  • TE_VERIFY_EXP_RCPT

The information below will use the TE_VERIFY_EXP_RCPT component as the example for setting up a search integration on the PeopleSoft TE_SHEET_LINES and EX_SHEET_ENTRY pages. Note that the EIS configuration steps should be replicated for each of the components listed above. All seven of these components may use the same template detailed below.

  1. Define the following Travel and Expense template. Refer to the PeopleSoft Integration User Guide which may be found on the EIS CD in the EIS.CHM for detailed information on how to define PeopleSoft templates using EIS.
    ExpenseReportId | EX_SHEET_HDR.SHEET_ID
    EmployeeId | EX_SHEET_HDR.EMPLID
  2. Configure a Search integration using this template and the TE_VERIFY_EXP_RCPT component. The Search should use the ExpenseReportId field as the only search index. Refer to the PeopleSoft Integration User Guide for detailed information on how to define PeopleSoft Search Integrations using EIS.
  3. Using PeopleSoft Application Designer, open the TE_SHEET_LINES page. Note the 3 hyperlinks in the middle of the page labeled View Receipts, View Exception Queue, and View Pending Queue. View Receipts is the link that we want to use for our search integration.
  4. Right click on the View Receipts hyperlink and select Page Field Properties.
  5. Change the Record Name to ACORDE_CMDREC and the Field Name to match the field name provided in the EIS configuration.
  6. Save the changes to TE_SHEET_LINES.
  7. Add the HTML area control as described in the PeopleSoft Integration User Guide.
  8. Repeat steps 3-7 using the EX_SHEET_ENTRY page name..
  9. To test the Search integration, manually index an existing Oracle I/PM document to have a matching expense report id for a transaction in PeopleSoft. You may navigate to the TE_VERIFY_EXP_RCPT component using the Travel and Expense | Audit | Verify Receipts | Receipts Verified menu.

Configuring the View Exception Queue and View Pending Queue Process Automation Integrations

The TE_VERIFY_EXP_RCPT component is the only component to configure with a Process Automation Integration. The TE_SHEET_LINES and EX_SHEET_ENTRY pages should be configured so that both the View Exception Queue and View Pending Queue links open the Worklist. Users with access to multiple profiles will have to select a profile after clicking on either of these links. To configure these pages with this functionality, follow the steps below.

  1. Configure a Process Automation integration using the same template as before along with the same TE_VERIFY_EXP_RCPT component. The logical update should use the ExpenseReportId field as the only update value. The rest of the information for the expense report will be retrieved later by the Package Broker using the Travel and Expense scripts. Refer to the PeopleSoft Integration User's Guide for information on how to define PeopleSoft Process Automation Integrations using EIS.
    Note the ACORDE_CMDREC field specified for the Open Worklist command in the PeopleSoft Integration Command Configuration dialog (inside the EIS Configuration). The ability to bind the Open Worklist command to a custom button/link is a new feature in this release. This field name, along with the Logical Update ACORDE_CMDREC field will be needed to configure the process automation integration.
  3. Using PeopleSoft Application Designer, open the TE_SHEET_LINES page.
  4. Right click on the View Exception Queue hyperlink and select Page Field Properties.
  5. Change the Record Name to ACORDE_CMDREC and the Field Name to match the field name provided for the OpenWorklist command in the EIS configuration.
  6. Right click on the View Pending Queue hyperlink and select Page Field Properties.
  7. Change the Record Name to ACORDE_CMDREC and the Field Name to match the field name provided for the OpenWorklist command in the EIS configuration.
  8. Save the changes to TE_SHEET_LINES. Note that you will get a message notifying you that the Oracle I/PM field is used more than one time. This is expected, click OK.
  9. With the TE_SHEET_LINES page open in the PeopleSoft Application Designer, click View | View Page PeopleCode.
  10. Steps 11-13 below use the integration fields that will result from following this guide. These integration fields are dynamically generated in the order in which the integration is configured. ACORDE_INT_1 represents the Search Command record field. ACORDE_INT_2 represents the Open Worklist Command record field. If your command record fields are different, be sure to use the appropriate record field when changing this code. These changes can be made by doing a search and replace for the given strings.
  11. Change all references to EX_ICLIENT_WRK.EX_VIEW_RECEIPTS to ACORDE_CMDREC.ACORDE_INT_1.
  12. Change all references to EX_ICLIENT_WRK.EX_VIEW_EXCP to ACORDE_CMDREC.ACORDE_INT_2
  13. Change all references to EX_ICLIENT_WRK.EX_VIEW_PEND to ACORDE_CMDREC.ACORDE_INT_2
  14. Save the changes.
  15. Repeat steps 4-14 using the EX_SHEET_ENTRY page name.
  16. Using PeopleSoft Application Designer, open the TE_VERIFY_EXP_RCPT Component.
  17. With the TE_VERIFY_EXP_RCPT Component open in the PeopleSoft Application Designer, click View | Page PeopleCode.
  18. Steps 20-22 below use the integration fields that will result from following this guide. These integration fields are dynamically generated in the order in which the integration is configured. ACORDE_INT_1 represents the Search Command record field. ACORDE_INT_2 represents the Open Worklist Command record field. If your command record fields are different, be sure to use the appropriate record field when changing this code. These changes can be made by doing a search and replace for the given strings.
  19. Change all references to EX_ICLIENT_WRK.EX_VIEW_RECEIPTS to ACORDE_CMDREC.ACORDE_INT_1.
  20. Change all references to EX_ICLIENT_WRK.EX_VIEW_EXCP to ACORDE_CMDREC.ACORDE_INT_2 .
  21. Change all references to EX_ICLIENT_WRK.EX_VIEW_PEND to ACORDE_CMDREC.ACORDE_INT_2.
  22. Save the changes.

Creating & Configuring the Update Oracle I/PM hyperlink

The EIS configuration was completed in the previous step. All that is left to do is add a new button/hyperlink, and bind it to the ACORDE_CMDREC field to which the logical update has been assigned. To do this, follow the steps below.

  1. Using PeopleSoft Application Designer, open the TE_SHEET_LINES page.
  2. Select the Insert\Push Button/Hyperlink menu.
  3. Place the button to the right of the View Pending Queue hyperlink.
  4. Right click on the button and select Page Field Properties.
  5. Select the Hyperlink radio button.
  6. Enter ACORDE_CMDREC for the Record Name.
  7. Enter the field name that matches the field from the EIS configuration tool for this logical update command.
  8. Select the Enable When Page is Display Only check box.

Note that the Field Name shown above may be different for your installation (refer to the EIS Configuration Tool).

  9. Click on the Label tab in the Push Button/Hyperlink Properties dialog.
  10. Select Type of Text, Size of Custom, Label Text Type of Static Text and Label Text of Update Oracle I/PM.

  11. Click OK to close the dialog.
  12. Resize the hyperlink so that it is wide enough for the text and vertically even with the View Pending Queue hyperlink.

  13. Save the TE_SHEET_LINES page.
  14. Repeat steps 1-13 using the EX_SHEET_ENTRY page name.

Enabling Receipt Imaging in PeopleSoft

To enable Receipt Imaging in PeopleSoft, modify the RCPT_IMG_SELECT field in the PS_INSTALLATION_EX table to 'R'. On MS SQL Server, this can be done using Query Analyzer by executing the following command against the PeopleSoft database UPDATE PS_INSTALLATION_EX SET RCPT_IMG_SELECT='R'.

By default, PeopleSoft shows the View Receipts link but hides the View Queue links when Receipt Imaging is disabled. To modify this behavior in PeopleCode, the IsReceiptImaging() function may be used to check the Receipt Imaging Enabled flag. This function returns true if Receipt Imaging is enabled, false if not. Note that this is not required, it is purely an informative statement.

Test the View Exception Queue, View Pending Queue and Update Oracle I/PM Hyperlinks

To test these integration points, navigate to the TE_VERIFY_EXP_RCPT component using the Travel and Expense | Audit | Verify Receipts | Receipts Verified menu. Open Oracle I/PM workflow documents using the View Exception Queue and View Pending Queue hyperlinks. After an Oracle I/PM document is opened, it may be updated with the PeopleSoft index values by clicking the Update Oracle I/PM hyperlink.

See the Copyright topic for copyright information. This INTERNALTOPIC has been provided for internal use.